livecd-rootfs (26.04.19) resolute; urgency=medium

  * Translate the debian-cd tools/boot/$series/boot-$arch scripts to Python
    and use that to make ISOs bootable rather than cloning debian-cd.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 17 Feb 2026 11:16:43 +1300

livecd-rootfs (26.04.18) resolute; urgency=medium

  [ Michael Hudson-Doyle ]
  * document ARCH_VARIANT and BUILD_TYPE in README.parameters
  * isobuilder: pass ignore_dangling_symlinks=True when copying apt config

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 16 Feb 2026 16:14:03 +0530

livecd-rootfs (26.04.17) resolute; urgency=medium

  * desktop: build the stable ISO using the stable model - essentially
    reverting all the hacks.
  * desktop: update the stable model to the latest. It has:
    - components defined for the 6.19 kernel (nvidia 580 series)
    - no core26: for TPM/FDE recovery testing, please install the core26 snap
      from edge.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 12 Feb 2026 10:25:15 +0100

livecd-rootfs (26.04.16) resolute; urgency=medium

  * Rename ISO_STATUS to BUILD_TYPE for image builds.

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 12 Feb 2026 01:41:11 +0530

livecd-rootfs (26.04.15) resolute; urgency=medium

  [ Matthew Hagemann ]
  * desktop: delay display manager starting until snapd seeding completes

  [ Michael Hudson-Doyle ]
  * Make an ISO in the livefs build when building an installer.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 11 Feb 2026 10:04:37 +1300

livecd-rootfs (26.04.14) resolute; urgency=medium

  [ Olivier Gayot ]
  * desktop: build stable image with snapd from beta. Snapd 2.74 has just been
    uploaded to beta. Let's stop using the version declared in the dangerous model.

  [ Didier Roche-Tolomelli ]
  * desktop: add (commented out) config to force reexecution of snapd snap version

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 22 Jan 2026 10:13:36 +0100

livecd-rootfs (26.04.13) resolute; urgency=medium

  * Bootstrap and install variant packages if ARCH_VARIANT is set.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 06 Jan 2026 22:03:15 +1300

livecd-rootfs (26.04.12) resolute; urgency=medium

  * desktop: add variables pointing to the different models (stable & dangerous).
  * desktop: fix snap components taken from original model when overriding a
    snap with another model.
    - if we decide to override the definition of a snap (i.e., by taking in
      from a different model), we also need to override the definition of its
      components.
  * desktop: refactor how we filter the snaps when overriding
  * desktop: update the dangerous model so that it includes core26 and the 6.17
    kernel and components.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 16 Dec 2025 14:54:17 +0100

livecd-rootfs (26.04.11) resolute; urgency=medium

  [ Valentin Haudiquet ]
  * refactor: added a function to generate grub config for netboot
  * riscv/server: add grub efi bootloader in netboot tarballs

  [ Olivier Gayot ]
  * desktop: build with optional components included
  * desktop: don't build the stable image with pc-kernel from 26.04/beta
    - This was needed before because there was pc-kernel in 26.04/stable but
      now there is one and it matches the components definition from the model.

 -- Valentin Haudiquet <valentin.haudiquet@canonical.com>  Thu, 11 Dec 2025 09:28:37 +0100

livecd-rootfs (26.04.10) resolute; urgency=medium

  [ Olivier Gayot ]
  * desktop: fix a comment typo

  [ Michael Hudson-Doyle ]
  * Build Ubuntu Server images with the 'restricted' component enabled.

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 09 Dec 2025 21:07:54 +1300

livecd-rootfs (26.04.9) resolute; urgency=medium

  * desktop: Add mesa to the hybrid model required by core24 apps.

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Wed, 26 Nov 2025 08:51:24 +0100

livecd-rootfs (26.04.8) resolute; urgency=medium

  * desktop: update TPM/FDE ubuntu model to use a GNOME platform snap
    compatible with core24.

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Tue, 25 Nov 2025 11:38:59 +0100

livecd-rootfs (26.04.7) resolute; urgency=medium

  * desktop: build both ISOs with snapd, firmware-updater and
    desktop-security-center from edge for TPM/FDE.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Wed, 19 Nov 2025 10:41:17 +0100

livecd-rootfs (26.04.6) resolute; urgency=medium

  * desktop: build classic ISO with "grade: dangerous" and pull pc-kernel from
    edge to workaround unavailability of pc-kernel in the stable 26.04 channel.
  * desktop: refresh models to 26.04

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 18 Nov 2025 17:01:47 +0100

livecd-rootfs (26.04.5) resolute; urgency=medium

  [ Dan Bungert ]
  * desktop: fix build error when SUBPROJECT is unset

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 Nov 2025 12:05:26 +0100

livecd-rootfs (26.04.4) resolute; urgency=medium

  * desktop: update dangerous model for 26.04

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 31 Oct 2025 11:13:53 +0100

livecd-rootfs (26.04.3) resolute; urgency=medium

  * desktop: use dangerous model for TPMFDE bits until snaps are available on
    stable channels.
  * desktop: use snapd from edge.

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 29 Oct 2025 10:58:00 +0100

livecd-rootfs (26.04.2) resolute; urgency=medium

  [ Gauthier Jolly ]
  * ubuntu-cpc:
    - Use the right specific UUID type for the root filesystem partition.
    - Set a PARTLABEL (cloudimg-rootfs) on the root filesystem partition.

 -- Gauthier Jolly <gauthier.jolly@canonical.com>  Thu, 23 Oct 2025 12:50:07 +1300

livecd-rootfs (26.04.1) resolute; urgency=medium

  [ Heinrich Schuchardt ]
  * Remove unused riscv64 SUBARCHs

  [ Chad Smith ]
  * Refresh cloud-init service override for updated service netcat invocation
    to cloud-init 25.3. (LP: #2128887)

 -- Chad Smith <chad.smith@canonical.com>  Mon, 20 Oct 2025 16:32:36 -0600

livecd-rootfs (25.10.24) questing; urgency=medium

  [ Chad Smith ]
  * Limit permissions for /etc/netplan/01-network-manager.yaml to
    root read-write. (LP: #2119020)

  [ Chloé 'kajiya' Smith ]
  * Increase CPC disk-image base imagesize to 2.5GB
    * In the ubuntu-cpc disk-image binary we need to avail of the ever increasing size
      of packages. 2.2GB is now just a bit too small leading to `No space
      left on device` errors when the binary hits `grub-install`. This change
      increases $imagesize to 2.5GB (in the binary as an override, initially
      implemented in ecaaf0484 by dlalaj). Also now run `df` just after the
      grub-pc && grub2-common installs to make for easier debugging in the future.
      (LP: #2115811)

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 19 Sep 2025 13:47:20 -0600

livecd-rootfs (25.10.23) questing; urgency=medium

  * Add 6.17 kernel apparmor features' preseeds.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Thu, 18 Sep 2025 13:29:42 +0200

livecd-rootfs (25.10.22) questing; urgency=medium

  * Disable apparmor_restrict_unprivileged_userns in the live layers.
    (LP: #2122675)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Sep 2025 08:51:02 +1200

livecd-rootfs (25.10.21) questing; urgency=medium

  * Fix daily-dangerous builds:
    - Copy hooks.
    - Mangle the channel of seeded snaps to use the edge risk of whichever
      track they are taken from.
    - Update the dangerous model to reference tracks that actually exist.
    - Include providers of content plugs when seeding snaps and creating
      TPMFDE system.
    - Do not attempt to build an UEFI boot image or hyperv desktop image for
      this project/subproject combination.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 Sep 2025 12:16:08 +1200

livecd-rootfs (25.10.20) questing; urgency=medium

  * edubuntu: use dracut

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 10 Sep 2025 17:15:45 -0600

livecd-rootfs (25.10.19) questing; urgency=medium

  * Increase default image size for buildd.

 -- Denis Lalaj <denis.lalaj@canonical.com>  Tue, 09 Sep 2025 16:53:52 -0600

livecd-rootfs (25.10.18) questing; urgency=medium

  * desktop: use dracut

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 08 Sep 2025 17:00:46 -0600

livecd-rootfs (25.10.17) questing; urgency=medium

  [ Tim Andersson ]
  * Enable ubuntu-dangerous desktop builds (desktop images
    with all snaps on edge).
  * Remove temporary snap overrides.
  * Import latest 25.10 classic model (LP: #2120473)
  * Import 25.10 dangerous model with all snap channels corrected.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 27 Aug 2025 18:57:13 +0530

livecd-rootfs (25.10.16) questing; urgency=medium

  * Put the uc20-style system seed for TPM backed FDE in the live layer.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Aug 2025 10:34:39 +1200

livecd-rootfs (25.10.15) questing; urgency=medium

  * Add missing components to 6.14 kernel apparmor features' preseeds.
    (LP: #2116199)

 -- Bryan Alexander <bryan.alexander@canonical.com>  Thu, 17 Jul 2025 13:27:17 -0700

livecd-rootfs (25.10.14) questing; urgency=medium

  [ Didier Roche-Tolomelli ]
  [ Tim Andersson ]
  [ Daniel Bungert ]
  * desktop TPMFDE: move snaps back to stable channels

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 07 Aug 2025 16:21:32 -0600

livecd-rootfs (25.10.13) questing; urgency=medium

  [ Olivier Gayot ]
  * Build ubuntu-server with multipath-tools-boot installed, so that the
    multipath stack ends up present in the initramfs.
    The LVM stack is already present in the initramfs of the installer. And
    since kinetic, the /dev/mapper entries for LVM devices are created during
    the initramfs phase. This is a problem when we have LVM on top of a
    multipath disk because LVM ends up creating /dev/mapper entries out of
    /dev/sdX (or /dev/sdXpY) devices, not out of /dev/mapper/mpatha as it
    should. Adding the multipath stack in the initramfs gives multipath a
    chance to take ownership of /dev/sdX (or /dev/sdXpY) devices before LVM
    does (LP: #2080474).

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 24 Jul 2025 17:37:33 -0600

livecd-rootfs (25.10.12) questing; urgency=medium

  [ Zygmunt Krynicki ]
  * Use snap wait system seed.loaded to wait for snapd (LP: #2114923)

  [ Dennis Loose ]
  [ Didier Roche-Tolomelli ]
  * Allow the ubuntu-desktop-installer to request snap seeding state

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Tue, 15 Jul 2025 16:30:41 +0200

livecd-rootfs (25.10.11) questing; urgency=medium

  * Fix installer startup to wait for snapd to be preseeded first
    (LP: #2114923)

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Fri, 11 Jul 2025 14:57:56 +0200

livecd-rootfs (25.10.10) questing; urgency=medium

  * risc-v cloud images: enable cpc fixes for riscv64

 -- Adriano Cordova <adriano.cordova@canonical.com>  Tue, 01 Jul 2025 09:11:16 -0400

livecd-rootfs (25.10.9) questing; urgency=medium

  * desktop and server: read $SUBARCH to allow the use of nvidia's kernel
    instead of generic (LP: #2109822)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Tue, 17 Jun 2025 22:23:11 +1200

livecd-rootfs (25.10.8) questing; urgency=medium

  [ Didier Roche-Tolomelli ]
  * desktop: use snapd from edge
  * desktop: tpmfde image use desktop-security-center and firmware-updater
    from edge

  [ Dan Bungert ]
  * lb_binary_layered: try #2 to fix mtimes in layered squashfses. (LP2107332)
    Constrain mtime sync to the current upperdir so that files in lower layers
    are not redundantly included.
  * server: fix failure to process the hwe kernel layer due to multiple
    kernels being present (LP: #2112501)

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 13 Jun 2025 12:00:20 -0600

livecd-rootfs (25.10.7) questing; urgency=medium

  * revert 25.10.6 due to duplicated snaps

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 10 Jun 2025 07:55:40 -0600

livecd-rootfs (25.10.6) questing; urgency=medium

  * lb_binary_layered: fix mtimes in layered squashfses. (LP: #2107332)
    Failing to preserve mtime causes unnecessary python pyc rebuilds due to
    mtime mismatch, and it's generally strange that reinstalling a package
    that is already installed changes the files on the system (minus
    intentional differences such as what's going on in the minimized install
    source).

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 30 May 2025 17:05:15 -0600

livecd-rootfs (25.10.5) questing; urgency=medium

  * desktop: TPMFDE snapd from latest/edge

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 28 May 2025 10:27:47 -0600

livecd-rootfs (25.10.4) questing; urgency=medium

  * desktop: TPMFDE kernel from 25.10/candidate

 -- Dan Bungert <daniel.bungert@canonical.com>  Sun, 25 May 2025 23:18:59 -0600

livecd-rootfs (25.10.3) questing; urgency=medium

  * desktop: update TPMFDE model and don't skip 020-ubuntu-enhanced-sb.binary.
    (LP: #2110195)  Temporarily use the model that allows overriding snap
    channels so we can get matching snaps.

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 23 May 2025 12:59:40 -0600

livecd-rootfs (25.10.2) questing; urgency=medium

  * desktop: skip 020-ubuntu-enhanced-sb.binary until a matching kernel is
    ready for snapd 2.68.x

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 06 May 2025 08:24:10 +0200

livecd-rootfs (25.10.1) questing; urgency=medium

  * desktop: no longer involve cloud-init in early networking (LP: #2107225)
  * server: provide network config direct to netplan
  * server: update default netplan config for IPv6 autoconfiguration &
    connectivity

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 28 Apr 2025 09:53:34 -0600

livecd-rootfs (25.04.26) plucky; urgency=medium

  * cpc: Restore UseDomains=true in cloud images (LP: #2106729)

 -- Tomáš Virtus <tomas.virtus@canonical.com>  Thu, 10 Apr 2025 13:07:25 +0000

livecd-rootfs (25.04.25) plucky; urgency=medium

  * live-build/auto/build: Use --workdir in ubuntu-image to avoid filling
    tmpfs-based /tmp (LP: #2103735)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 20 Mar 2025 17:22:47 +0000

livecd-rootfs (25.04.24) plucky; urgency=medium

  * desktop: update TPMFDE model to move pc-kernel to channel 25.04/stable.

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 13 Mar 2025 17:17:30 -0600

livecd-rootfs (25.04.23) plucky; urgency=medium

  * Add 6.14 kernel apparmor features' preseeds. (LP: #2102120)

 -- Jess Jang <jess.jang@canonical.com>  Wed, 12 Mar 2025 21:08:31 -0500

livecd-rootfs (25.04.22) plucky; urgency=medium

  * server: leave the initrd.img symlink, we want that later for probably
    several reasons but at least for LP: #2101831
  * desktop: update TPMFDE model for 25.04.

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 11 Mar 2025 09:16:03 -0600

livecd-rootfs (25.04.21) plucky; urgency=medium

  * With subiquity builds, setup install-sources to offer bridge kernel.
  * Add USE_BRIDGE_KERNEL to make it easier to control in the future.

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 05 Mar 2025 08:18:54 -0700

livecd-rootfs (25.04.20) plucky; urgency=medium

  [ Adriano Cordova ]
  * riscv: add SUBARCH 'jh7110'. (LP: #2099993)

  [ Michael Hudson-Doyle ]
  * In ubuntu-server builds, install the first kernel in the base layer, not
    the "ga" kernel (which may not be installed at all, as is the case in e.g.
    the arm64+largemem builds).
  * Again in ubuntu-server builds, configure LAYERFS_PATH in the kernel layer
    and ensure the initrd is freshly regenerated in that layer. LAYERFS_PATH
    was being set to the layer below the kernel layer, which meant that the
    live session did not get access to all the modules in the case that the
    kernel had not been installed in the base layer, which in turn means that
    installs fail. (LP: #2100148)
  * While we're at it, delete any initrd from any other layer than a kernel
    layer, as they just waste space on the ISO.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 27 Feb 2025 20:34:01 +1300

livecd-rootfs (25.04.19) plucky; urgency=medium

  * add cpc-sbom to create_manifest calls to generate sboms (LP: #2077105)

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Tue, 25 Feb 2025 13:20:49 +0100

livecd-rootfs (25.04.18) plucky; urgency=medium

  [ Michael Hudson-Doyle ]
  * Pre-emptively include the override to not try to build HWE kernel layer in
    post .2 server riscv64 ISOs.

  [ Simon Quigley ]
  * Move from http://ppa.launchpad.net to https://ppa.launchpadcontent.net
    when specifying EXTRA_PPAS.
  * Update debhelper compat to 13, no changes needed.
  * Make the package completely Lintian-clean except for no-dep5-copyright.
  * Update Standards-Version to 4.7.0, no changes needed.
  * Add support for multiple pools (/var/lib/{livefs,preinstalled}-pool/).

  [ Simon Poirier ]
  * increase ubuntu-cpc ppc64el disk size to 2.4G

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 20 Feb 2025 10:24:04 +1300

livecd-rootfs (25.04.17) plucky; urgency=medium

  [ Dan Bungert ]
  * Fix build failure when using lowlatency-hwe-24.04, as ubuntustudio does.
    (LP: #2098105)

  [ Michael Hudson-Doyle ]
  * live-build/ubuntu-mini-iso/hooks/01-mini-iso.binary: Drop the
    assumption that the uncompressed part of the initrd is unpacked to a
    directory called "main".
  * live-build/ubuntu-mini-iso/hooks/01-mini-iso.chroot_early: Fix paths that
    should have been adjusted when code moved from binary to chroot hook.

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 14 Feb 2025 17:25:29 +1300

livecd-rootfs (25.04.16) plucky; urgency=medium

  * buildd: add udev to buildd images to fix networking issue. (LP: #2092196)

 -- Simon Poirier <simon.poirier@canonical.com>  Thu, 13 Feb 2025 13:44:02 -0500

livecd-rootfs (25.04.15) plucky; urgency=medium

  * Add 6.12 kernel apparmor features' preseeds.

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Thu, 13 Feb 2025 12:14:33 +0100

livecd-rootfs (25.04.14) plucky; urgency=medium

  * Restore the default-layer.conf file in the initrd (LP: #2097838)

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 11 Feb 2025 08:21:56 -0700

livecd-rootfs (25.04.13) plucky; urgency=medium

  * install-sources: quote default kernel argument.
  * ubuntu-core-installer: update install-sources.yaml with kernel.

 -- Chris Peterson <chris.peterson@canonical.com>  Wed, 05 Feb 2025 17:43:34 -0800

livecd-rootfs (25.04.12) plucky; urgency=medium

  * Stop producing a rootfs tarball for the ubuntu-mini-iso builds.
  * Move configuration of casper in ubuntu-serve:live builds to a "chroot
    early" hook for the installer layer and remove the now unnecessary
    update-initramfs from the binary hook that breaks because mkinitramfs
    now requires that /sys is mounted. (LP: #2097280)
  * Similar changes for ubuntu-mini-iso build.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 05 Feb 2025 15:26:13 +1300

livecd-rootfs (25.04.11) plucky; urgency=medium

  [ Heinrich Schuchardt ]
  * riscv: copy device trees dtb/ in ESP

  [ Michael Hudson-Doyle ]
  * Allow snapd to re-exec in installer environment (the issues between snapd,
    overlayfs and apparmer that meant re-execing caused problems were fixed in
    snapd a long time ago).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 29 Jan 2025 08:51:49 +1300

livecd-rootfs (25.04.10) plucky; urgency=medium

  * riscv: copy device trees to the ESP. Fixes (LP: #2095415)

 -- Adriano Cordova <adriano.cordova@canonical.com>  Tue, 21 Jan 2025 10:38:54 -0300

livecd-rootfs (25.04.9) plucky; urgency=medium

  * Move reference wsl-setup script to /usr/lib/wsl/

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Wed, 22 Jan 2025 10:17:56 +0100

livecd-rootfs (25.04.8) plucky; urgency=medium

  * risc-v: directly copy device trees to /boot/dtbs (LP: #2092205)

 -- Adriano Cordova <adriano.cordova@canonical.com>  Thu, 19 Dec 2024 10:42:57 -0300

livecd-rootfs (25.04.7) plucky; urgency=medium

  [ Carlos Nihelton ]
  [ Didier Roche-Tolomelli ]
  * Adapt to new Microsoft package format: (LP: #2091293)
    - Keep a single wsl rootfs upgrade policy
    - Create livecd-roots tarball as a .wsl extension
    - Create wsl-distribution.conf for WSL images

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Mon, 09 Dec 2024 14:29:37 +0100

livecd-rootfs (25.04.6) plucky; urgency=medium

  * Refer to LB_DISTRIBUTION, not SUITE, in the ubuntu-mini-iso binary hook.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 06 Dec 2024 18:59:35 +1300

livecd-rootfs (25.04.5) plucky; urgency=medium

  * Fix ubuntu-mini-iso build, by using script from debian-cd to create a
    bootable ISO rather than the now deleted cd-boot-images-amd64 package.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 04 Dec 2024 13:33:53 +1300

livecd-rootfs (25.04.4) plucky; urgency=medium

  [ Rémy Martin ]
  * Add support for arm64+tegra-jetson flavor to disambiguate from the
    NVIDIA IGX builds.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 26 Nov 2024 13:41:05 +0000

livecd-rootfs (25.04.3) plucky; urgency=medium

  * Switch Lubuntu to stacked squashfses, and split apart the common
    functionality to avoid Subiquity-specific commands.
  * Add optional Dracut support for installed images, enable it for Lubuntu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Nov 2024 13:52:09 -0600

livecd-rootfs (25.04.2) plucky; urgency=medium

  * Explicitly create home directory for buildd system user to avoid issues
    with installing and running snaps. (LP: #2083240)

 -- jchittum <john.chittum@canonical.com>  Wed, 06 Nov 2024 07:40:42 -0500

livecd-rootfs (25.04.1) plucky; urgency=medium

  * Add support for install-sources version: 2, which handles bridge kernels.

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 17 Oct 2024 08:22:38 -0600

livecd-rootfs (24.10.27) oracular; urgency=medium

  * Set UBUNTU_STORE_COHORT_KEY="+" to prepare-image to make sure we simply
    use the latest snap versions regardless of phasing state.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 08 Oct 2024 13:06:10 +0100

livecd-rootfs (24.10.26) oracular; urgency=medium

  * Use generic kernel flavor for Nezha D1 and LicheeRV Dock.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 04 Oct 2024 10:30:28 +0200

livecd-rootfs (24.10.25) oracular; urgency=medium

  * Update the model used for TPM FDE installs, yet again.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Oct 2024 12:21:38 +1300

livecd-rootfs (24.10.24) oracular; urgency=medium

  * desktop: Remove some cruft referencing the subiquity snap, which can
    result in 'error: snap "subiquity" is not installed' messages being
    printed on the terminal.  (LP: #2083554)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 02 Oct 2024 10:13:41 -0600

livecd-rootfs (24.10.23) oracular; urgency=medium

  * Update the model used for TPM FDE installs, again, hopefully working this
    time.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 02 Oct 2024 19:06:50 +1300

livecd-rootfs (24.10.22) oracular; urgency=medium

  * Revert "Update the model used for TPM FDE installs."
    (to unblock apparmor fixes for cloud images)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 30 Sep 2024 16:19:22 +0530

livecd-rootfs (24.10.21) oracular; urgency=medium

  [ Utkarsh Gupta ]
  * Add 6.11 kernel apparmor features' preseeds.

  [ Michael Hudson-Doyle ]
  * Update the model used for TPM FDE installs.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 19 Sep 2024 19:42:24 +0530

livecd-rootfs (24.10.20) oracular; urgency=medium

  [ Chad Smith ]
  * Refresh cloud-init service override for updated service file name and
    ordering fix. (LP: #2081325)

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 20 Sep 2024 12:36:12 -0600

livecd-rootfs (24.10.19) oracular; urgency=medium

  * live-server and desktop: disable kdump-tools only in the live layer.

 -- Chris Peterson <chris.peterson@canonical.com>  Tue, 17 Sep 2024 21:11:15 -0700

livecd-rootfs (24.10.18) oracular; urgency=medium

  * live-server and desktop: disable kdump-tools in the minimal layer
    to allow the installer to decide when to enable it (LP: #2077990).

 -- Chris Peterson <chris.peterson@canonical.com>  Fri, 13 Sep 2024 09:08:33 -0700

livecd-rootfs (24.10.17) oracular; urgency=medium

  * desktop and subiquity-using flavors: install the kernel in the minimal
    layer (LP 2080272)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 12 Sep 2024 15:30:34 -0600

livecd-rootfs (24.10.16) oracular; urgency=medium

  * live-server: fix issue where the kernel was not actually placed in the
    minimal layer

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 11 Sep 2024 12:30:35 -0600

livecd-rootfs (24.10.15) oracular; urgency=medium

  * live-server: install the kernel in the minimal layer (LP: #2080272)

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 10 Sep 2024 12:42:33 -0600

livecd-rootfs (24.10.14) oracular; urgency=medium

  [ Sergio Costas ]
  * Switch ubuntu-core-desktop project to be a subproject of the
    ubuntu-core-installer project.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 10 Sep 2024 16:11:32 +1200

livecd-rootfs (24.10.13) oracular; urgency=medium

  * Fix autopkgtest issue where /tmp mounted with nodev is used as a working
    directory, which understandably causes problems for device node creation.
    (LP: #2078980)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 04 Sep 2024 14:27:27 -0600

livecd-rootfs (24.10.12) oracular; urgency=medium

  * Update ubuntu-classic-2404-amd64 model in ubuntu hooks. (LP: #2077899)

 -- Chris Peterson <chris.peterson@canonical.com>  Mon, 26 Aug 2024 17:03:28 -0700

livecd-rootfs (24.10.11) oracular; urgency=medium

  [ Simon Poirier ]
  * disk-image-uefi: Fix regression with partition sizing on arm.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 22 Aug 2024 04:58:46 +0530

livecd-rootfs (24.10.10) oracular; urgency=medium

  * disk-image-uefi.binary: Shift down boot partition to 13 to support systems
    which don't handle partition numbers higher than 15. (LP: #2072929)

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 20 Aug 2024 18:57:57 -0400

livecd-rootfs (24.10.9) oracular; urgency=medium

  [ Cody Shepherd ]
  * fix: remove ec2-version hook for cpc images.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 14 Aug 2024 18:02:29 +0530

livecd-rootfs (24.10.8) oracular; urgency=medium

  [ Erich Eickmeyer ]
  * Add minimal installation to Ubuntu Studio

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 25 Jul 2024 11:12:52 -0700

livecd-rootfs (24.10.7) oracular; urgency=medium

  * riscv64: preinstalled server image for Microchip PIC64GX Curiosity Kit
    (LP: #2072956)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 22 Jul 2024 14:51:25 +0200

livecd-rootfs (24.10.6) oracular; urgency=medium

  [ Chad Smith ]
  * Override cloud-init.service in /etc so as to not invalidate debsums
    (LP: #2069391)
  * Update the overridden copy of cloud-init.service

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 18 Jul 2024 15:58:53 -0600

livecd-rootfs (24.10.5) oracular; urgency=medium

  [ Erich Eickmeyer ]
  * Switch Ubuntu Studio to generic kernel

  [ Zhaoxuan Zhai ]
  * support config sector size in ubuntu-image

  [ Łukasz 'sil2100' Zemczak ]
  * Build qcow2 images for ubuntu-core LXD support.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 11 Jul 2024 12:57:54 +0200

livecd-rootfs (24.10.4) oracular; urgency=medium

  [ Philip Roche ]
  * Revert removal of unminimize call in server builds. (LP: #2069828)

  [ Utkarsh Gupta ]
  * Use packaged unminimize in the ubuntu-server images.
  * Drop unminimize spit out by livecd-rootfs.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 19 Jun 2024 22:02:39 +0530

livecd-rootfs (24.10.3) oracular; urgency=medium

  [ Heinrich Schuchardt ]
  * riscv64: use earlycon=sbi on command line

  [ Michael Hudson-Doyle ]
  * Add 'ubuntu-core-installer' project.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 11 Jun 2024 11:51:14 +1200

livecd-rootfs (24.10.2) oracular; urgency=medium

  [ Michael Hudson-Doyle ]
  * Replace 'ubuntustudio-dvd' project with an almost identical 'ubuntustudio'
    project.

  [ Philip Roche ]
  * No longer install LXD snap in unminimize script (LP: #2066905)

 -- Philip Roche <phil.roche@canonical.com>  Thu, 23 May 2024 14:11:57 +0100

livecd-rootfs (24.10.1) oracular; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Add experimental support for building ubuntu-core-desktop installer images
    (LP: #2063203)

  [ Philip Roche ]
  * Re-enable ability to build HyperV desktop images (LP: #2064280)

 -- Philip Roche <phil.roche@canonical.com>  Tue, 30 Apr 2024 17:58:43 +0100

livecd-rootfs (24.04.69) noble; urgency=medium

  * desktop: move udisks2-inhibit to service (LP: #2063192)

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 23 Apr 2024 13:37:05 -0600

livecd-rootfs (24.04.68) noble; urgency=medium

  * Rename the milk-v-mars SUBARCH to milkvmars.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 23 Apr 2024 15:20:56 +0100

livecd-rootfs (24.04.67) noble; urgency=medium

  [ Julian Andres Klode ]
  * Update wording for universe sources

  [ Łukasz 'sil2100' Zemczak ]
  * Update the classic model assertion for TPM FDE, dropping thunderbird as
    it is not part of the minimal install.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 22 Apr 2024 13:00:36 +0100

livecd-rootfs (24.04.66) noble; urgency=medium

  [ Heinrich Schuchardt ]
  * riscv: add pre-installed image for Milk-V Mars.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 22 Apr 2024 09:11:59 +0100

livecd-rootfs (24.04.65) noble; urgency=medium

  [ Aaron Rainbolt ]
  * Allows Multiverse packages to be pulled into Kubuntu. This is necessary so
    that fonts-ibm-plex can be installed on the ISO, which is going to be used
    by kubuntu-installer-prompt as part of Kubuntu's rebrand.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 18 Apr 2024 19:35:49 +0200

livecd-rootfs (24.04.64) noble; urgency=medium

  * Update the Ubuntu classic model assertion for TPM FDE to the 24.04 model.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 18 Apr 2024 18:57:28 +0200

livecd-rootfs (24.04.63) noble; urgency=medium

  [ Simon Poirier ]
  * Re-enable armhf disk-image-uefi building. (LP: #2062024)
    This reverts commit 4f51ff45 (fix: Remove UEFI booting armhf, 2024-03-12).

 -- Philip Roche <phil.roche@canonical.com>  Wed, 17 Apr 2024 18:28:47 +0100

livecd-rootfs (24.04.62) noble; urgency=medium

  [ Steve Langasek ]
  * Invert check for whether to include casper since the "yes" list is now
    much shorter than the "no" list
  * Refactor task/package handling for new installer images

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 15 Apr 2024 22:40:40 -0600

livecd-rootfs (24.04.61) noble; urgency=medium

  * Fix the UC24 builds: use --snap instead of --extra-snaps.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 11 Apr 2024 10:44:04 +0200

livecd-rootfs (24.04.60) noble; urgency=medium

  * Drop use of 'laptop' for x13s as this is now migrated to generic.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Apr 2024 21:35:46 -0700

livecd-rootfs (24.04.59) noble; urgency=medium

  [ Catherine Redfield ]
  * Add policy:unconfined_restrictions feature to 6.8 kernel (LP: #2060558)

  [ Dan Bungert ]
  * budgie: remove add_snap of ubuntu-budgie-installer,
    ubuntu-desktop-bootstrap is used instead. (LP: #2060568)

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 08 Apr 2024 14:09:15 -0600

livecd-rootfs (24.04.58) noble; urgency=medium

  * Add console-conf to UC24 extra snaps by default, as the models define
    it as optional so we need to explicitly request it to be added.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 08 Apr 2024 16:24:38 +0200

livecd-rootfs (24.04.57) noble; urgency=medium

  * Ensure the proper hooks are copied for Ubuntu MATE (LP: #2058161).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 07 Apr 2024 17:37:21 -0500

livecd-rootfs (24.04.56) noble; urgency=medium

  * l/a/build: if debootstrap fails, cat deboostrap.log
  * flavors: cloud-init needs to be present in Subiquity-based installers.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 01 Apr 2024 19:39:25 -0600

livecd-rootfs (24.04.55) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Mar 2024 11:26:01 -0700

livecd-rootfs (24.04.54) noble; urgency=medium

  [ Steve Langasek ]
  * Drop dkms from the riscv64 lichee images.

  [ Erich Eickmeyer ]
  * Add chroot_early symlink for Ubuntu MATE

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 28 Mar 2024 11:47:02 -0600

livecd-rootfs (24.04.53) noble; urgency=medium

  * Add support for building Ubuntu Core 24 images.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 28 Mar 2024 12:10:15 +0100

livecd-rootfs (24.04.52) noble; urgency=medium

  * Move from hwe-22.04 to hwe-24.04 throughout, hwe-22.04 is obsolete and
    to be dropped from the release pocket imminently.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 27 Mar 2024 12:03:04 -0700

livecd-rootfs (24.04.51) noble; urgency=medium

  * Rename the casper.gschema override to livecd-rootfs.override
    to try to avoid conflicts with the override generated in casper

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Mar 2024 11:46:35 +0100

livecd-rootfs (24.04.50) noble; urgency=medium

  [ Dan Bungert ]
  * Use the same includes.chroot* overrides from desktop for the
    subiquity-backed oem and flavor installer ISOs. (LP: #2055077)
  * copy include.* directories for subiquity desktop install ISOs (LP: #2055077)

  [ Utkarsh Gupta ]
  * Add NOW env variable in autopkgtest.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 21 Mar 2024 01:23:00 +0530

livecd-rootfs (24.04.49) noble; urgency=medium

  [ Erich Eickmeyer]
  * Move Ubuntu MATE to the new Ubuntu desktop installer snap.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 Mar 2024 13:18:54 -0700

livecd-rootfs (24.04.48) noble; urgency=medium

  * Fix bash synxtax for index parameter expansion.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 13 Mar 2024 18:43:53 +0530

livecd-rootfs (24.04.47) noble; urgency=medium

  [ Utkarsh Gupta ]
  * Add build_name metadata to build.info file for OCI and Base images.

  [ jchittum ]
  * Drop support for armhf uefi booting vm images. (LP: #2057776)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 13 Mar 2024 18:27:01 +0530

livecd-rootfs (24.04.46) noble; urgency=medium

  [ Dan Bungert ]
  * mini-iso: move depends to mini-iso-tools package

  [ handsome_feng ]
  * Move Ubuntu Kylin to the new installer.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Mar 2024 18:31:13 -0800

livecd-rootfs (24.04.45) noble; urgency=medium

  [ Jess Jang ]
  * fix: Missing apparmor feature for 6.8 kernel (LP: #2056078)

  [ Chad Smith ]
  * Fix cloud-init clean script, by declaring the interpreter.

 -- Jess Jang <jess.jang@canoical.com>  Mon, 04 Mar 2024 15:17:53 -0600

livecd-rootfs (24.04.44) noble; urgency=medium

  * Switch to using the candidate channel for the ubuntu-image snap. This way
    we can more easily make use of fixes in ubuntu-image without having to
    wait for the full validation process to finish.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 01 Mar 2024 12:08:13 +0100

livecd-rootfs (24.04.43) noble; urgency=medium

  * Set the required debconf settings to allow for noninteractive
    grub updates in cloud images (LP: #2054103)

 -- Philip Roche <phil.roche@canonical.com>  Fri, 23 Feb 2024 13:54:57 +0000

livecd-rootfs (24.04.42) noble; urgency=medium

  [ Sean Davis ]
  * xubuntu: Fix description 2-line indentation.

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 Feb 2024 17:52:12 -0800

livecd-rootfs (24.04.41) noble; urgency=medium

  [ Simon Poirier ]
  * live-build/buildd/includes.chroot/etc/apt:
    unpin backports for buildd images (LP: #2009871)

 -- Philip Roche <phil.roche@canonical.com>  Thu, 22 Feb 2024 17:39:57 +0000

livecd-rootfs (24.04.40) noble; urgency=medium

  [ Sean Davis ]
  * Fix the KERNEL_FLAVOURS variable for Xubuntu.

 -- Brian Murray <brian@ubuntu.com>  Wed, 21 Feb 2024 17:04:37 -0800

livecd-rootfs (24.04.39) noble; urgency=medium

  [ Steve Langasek ]
  * Pare down 'BASE_SEED' handling to only those flavors which still use it.

  [ Łukasz 'sil2100' Zemczak ]
  * Attempt building netboot tarballs for largemem arm64 server images.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 20 Feb 2024 17:04:01 +0100

livecd-rootfs (24.04.38) noble; urgency=medium

  * Fix overlooked syntax error

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 18 Feb 2024 09:14:21 -0800

livecd-rootfs (24.04.37) noble; urgency=medium

  [ Sean Davis ]
  * Move Xubuntu to the new installer.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 18 Feb 2024 09:08:50 -0800

livecd-rootfs (24.04.36) noble; urgency=medium

  * live-build/buildd/hooks/00-mirror.binary: Patch all sources files

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 16 Feb 2024 22:04:07 +0100

livecd-rootfs (24.04.35) noble; urgency=medium

  [ Steve Langasek ]
  * Drop references to ubuntu-gnome which is not a current flavor.

  [ Didier Roche ]
  * Ensure ubuntu-wsl image can be published in cloud-images again.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 16 Feb 2024 11:11:58 +0100

livecd-rootfs (24.04.34) noble; urgency=medium

  [ Michael Hudson-Doyle ]
  * Hooks and other things need to go in live-build/$PROJECT and $PROJECT for
    Ubuntu Studio is ubuntustudio-dvd, not ubuntustudio.

  [ Erich Eickmeyer ]
  * Change Ubuntu Cinnamon to layered image.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 16 Feb 2024 10:17:27 +1300

livecd-rootfs (24.04.33) noble; urgency=medium

  [ Michael Hudson-Doyle ]
  * Edubuntu, Ubuntu Studio and Ubuntu Budgie have hooks in
    live-build/${PROJECT}/hooks now but they need to be copied to config/ to
    do anything.  LP: #2052617.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Feb 2024 09:42:07 -0800

livecd-rootfs (24.04.32) noble; urgency=medium

  * Switch from sources.list to ubuntu.sources (LP: #2048129)
  * Setup preinstalled pool in preinstalled-pool.sources

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 12 Feb 2024 21:55:42 +0100

livecd-rootfs (24.04.31) noble; urgency=medium

  * Use the ubuntu-desktop-bootstrap snap as the Ubuntu Desktop installer

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Feb 2024 21:30:16 +0100

livecd-rootfs (24.04.30) noble; urgency=medium

  [ Heinrich Schuchardt ]
  * riscv: install u-boot-starfive on VisionFive 2 preinstalled image.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 12 Feb 2024 17:06:59 +0100

livecd-rootfs (24.04.29) noble; urgency=medium

  * Fix ubuntu-wsl images to be published in cloud-images.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Feb 2024 11:01:18 +0100

livecd-rootfs (24.04.28) noble; urgency=medium

  * Add missing mkdir invocation from 24.04.26 (LP: #2052617).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 09 Feb 2024 13:32:40 -0600

livecd-rootfs (24.04.27) noble; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche-Tolomelli ]
  * Create different WSL tarballs depending on upgrade policy.
  * Enable systemd as part of image creation instead of launcher hack.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 07 Feb 2024 17:01:15 +0100

livecd-rootfs (24.04.26) noble; urgency=medium

  [ Steve Langasek ]
  * Share live-build/ubuntu/hooks/020-ubuntu-live.chroot_early across
    all flavors using new-style layered squashfs, removing need for
    kernel commandline options in debian-cd.

  [ dann frazier ]
  * Use flock to avoid races with systemd-udevd that cause loop device
    partitions to briefly disappear.

 -- dann frazier <dann.frazier@canonical.com>  Thu, 01 Feb 2024 09:09:17 -0700

livecd-rootfs (24.04.25) noble; urgency=medium

  * live-build/auto/config: for ubuntu-server, consider the actual kernel
    flavor when dealing with netboot layers - even if we don't really care.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 30 Jan 2024 11:27:46 +0100

livecd-rootfs (24.04.24) noble; urgency=medium

  [ Tomáš Virtus ]
  * live-build/functions: mount_disk_image: add rootpart parameter

  [ Utkarsh Gupta ]
  * live-build/auto/config: drop python3-systemd from CPC's minimized builds.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 22 Jan 2024 18:01:53 +0530

livecd-rootfs (24.04.23) noble; urgency=medium

  * Remove magic-proxy and all references to it as it is not used by any
    builds of any release newer than 18.04.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 29 Jan 2024 14:53:26 +1300

livecd-rootfs (24.04.22) noble; urgency=medium

  * Add a largemem subarch for ubuntu-server that ships a 64k kernel variant
    by default (LP: #2050209).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 25 Jan 2024 11:01:28 +0100

livecd-rootfs (24.04.21) noble; urgency=medium

  * live-build/functions: avoid losetup -P as it appears to race with udev and
    do it a bit more by-hand instead. (LP: #2045586)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 25 Jan 2024 10:28:38 +1300

livecd-rootfs (24.04.20) noble; urgency=medium

  * fix: Fix for calling unminimize if lxd-installer package
    not installed. (LP: #2049723)
  * Do not exit live image build if PASSES_TO_LAYERS is true and layer
    is already registered.

 -- Philip Roche <phil.roche@canonical.com>  Thu, 25 Jan 2024 07:57:29 +1300

livecd-rootfs (24.04.19) noble; urgency=medium

  * live-build/auto/config: don't repeatedly add the same pass name to the
    list of layers.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 Jan 2024 11:03:55 -0800

livecd-rootfs (24.04.18) noble; urgency=medium

  * update apparmor feature overlay match for target 6.6 kernel.

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Tue, 16 Jan 2024 13:06:37 +0100

livecd-rootfs (24.04.17) noble; urgency=medium

  * unminimize: Use lxd-installer to install LXD itself. (LP: #2036725)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 11 Jan 2024 15:12:53 +0530

livecd-rootfs (24.04.16) noble; urgency=medium

  * Fix overlooked syntax error in live-build/auto/config.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 03 Jan 2024 23:38:53 -0800

livecd-rootfs (24.04.15) noble; urgency=medium

  * live-build/ubuntu/hooks/020-ubuntu-live.chroot_early: apply to any
    layer ending in .live so this can be reused across flavors
  * live-build/ubuntu/hooks/020-ubuntu-live.chroot_early: check for
    glib-compile-schemas presence before calling
  * live-build/auto/config: include a sanity check that no layered image has
    more than one "live" layer that would cause undefined behavior with the
    above hook.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 03 Jan 2024 23:26:05 -0800

livecd-rootfs (24.04.14) noble; urgency=medium

  * When the files we're creating in the live layer have static content,
    ship them in live-build/ubuntu/includes.chroot.minimal.standard.live
    instead of generating them from
    live-build/ubuntu/hooks/020-ubuntu-live.chroot_early.  Also fixes the
    fact that live-build/ubuntu/hooks/020-ubuntu-live.chroot_early was
    incorrectly writing to /root in the previous upload instead of /usr.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 Dec 2023 11:40:02 -0800

livecd-rootfs (24.04.13) noble; urgency=medium

  * Drop support for building armhf+raspi images; as of noble these are
    arm64-only.
  * live-build/ubuntu/hooks/020-ubuntu-live.chroot_early: move code here
    from scripts/casper-bottom/61desktop_canary_tweaks that should be done
    statically at image build time, not at boot.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 Dec 2023 08:15:34 -0800

livecd-rootfs (24.04.12) noble; urgency=medium

  * Switch Edubuntu to the new installer.
  * Add casper to minimal.standard.live seed.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 12 Dec 2023 12:56:37 -0800

livecd-rootfs (24.04.11) noble; urgency=medium

  * Explicitly add_package linux-$KERNEL_FLAVOURS in Ubuntu Studio.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Dec 2023 18:34:07 -0800

livecd-rootfs (24.04.10) noble; urgency=medium

  * Set C.UTF-8 locale in /etc/default/locale for all images; originally
    intended to be landed in the cosmic cycle..
  * Project name for Ubuntu Studio needs to be 'ubuntustudio-dvd'
    throughout, not 'ubuntustudio'.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Dec 2023 15:07:41 -0800

livecd-rootfs (24.04.9) noble; urgency=medium

  * When building locally using the auto/build script unmounting fails.
    Instead of mounting /dev/pts per bind mount the devpts file system
    directly.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 08 Dec 2023 15:43:04 +1300

livecd-rootfs (24.04.8) noble; urgency=medium

  [ Erich Eickmeyer ]
  * Switch Ubuntu Studio to the new installer.

  [ Steve Langasek ]
  * Remove *-dvd glob handling for live layers; Ubuntu Studio is the only
    remaining "DVD" flavor, and with the move to the new installer this bit
    is also now incorrect.
  * live-build/auto/config: fail immediately on unknown arch/subarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Dec 2023 15:36:30 -0800

livecd-rootfs (24.04.7) noble; urgency=medium

  [ Dave Jones ]
  * Remove more bits related to pre-installed desktop images (LP: #2038098)

  [ Jean-Baptiste Lallement ]
  * Include -updates when calling germinate.  LP: #1921862.

  [ Dan Bungert ]
  * cpc/vagrant: fix possible autopkgtest hang on ssh-keygen

  [ Simon Poirier ]
  * add systemd-resolved back to buildd images.  LP: #2007419.

  [ Steve Langasek ]
  * live-build/functions: add additional debugging to mount_image() on
    failure since we again have loop partitions failing to be block devices.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Dec 2023 21:38:27 -0800

livecd-rootfs (24.04.6) noble; urgency=medium

  * Re-enable universe for pre-installed images (LP: #2044154)

 -- Ankush Pathak <ankush.pathak@canonical.com>  Tue, 21 Nov 2023 11:26:46 -0500

livecd-rootfs (24.04.5) noble; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * ubuntu-oem: add dummy files in order not to fail make-hooks

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 17 Nov 2023 17:20:44 +1300

livecd-rootfs (24.04.4) noble; urgency=medium

  * Drop a few remaining 'legacy' references.
  * Drop cargo-culted code for "preinstalled" images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2023 16:42:19 +0200

livecd-rootfs (24.04.3) noble; urgency=medium

  * Drop the legacy images for both Ubuntu and Ubuntu Budgie.
  * We no longer need to remove ubiquity from the Ubuntu live layer and
    install ubuntu-desktop-installer, this is now handled via the seeds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Nov 2023 22:06:57 +0200

livecd-rootfs (24.04.2) noble; urgency=medium

  * Enable snap preseeding with ppc64el images where /boot/vmlinux is used
    instead of /boot/vmlinuz. (LP: #2038957)

 -- Philip Roche <phil.roche@canonical.com>  Thu, 26 Oct 2023 17:56:00 +0100

livecd-rootfs (24.04.1) noble; urgency=medium

  [ Steve Langasek ]
  * call ubuntu-image classic with --debug, because --verbose doesn't give
    us anything useful in the livefs build logs.

  [ Heinrich Schuchardt ]
  * arm: fix console parameter for ARM cloud-images (LP: #2036730)

 -- Paride Legovini <paride@ubuntu.com>  Wed, 25 Oct 2023 17:58:13 +0200

livecd-rootfs (23.10.55) mantic; urgency=medium

  * fix: add 6.5 kernel appamor features to livecd-rootfs based on
    features pulled from 6.5.0.1006 kernel in proposed (LP: #2037567)

 -- jchittum <john.chittum@canonical.com>  Thu, 05 Oct 2023 11:10:43 -0500

livecd-rootfs (23.10.54) mantic; urgency=medium

  * Update the desktop fde model to include firmware-updater

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Oct 2023 22:32:37 +0200

livecd-rootfs (23.10.53) mantic; urgency=medium

  * oem, budgie: kernel in the live layer

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 03 Oct 2023 10:42:32 -0600

livecd-rootfs (23.10.52) mantic; urgency=medium

  [ Philip Roche ]
  * fix: Sort filelists creating when building ubuntu-cpc images (LP: #2033677)
  * fix: Create .filelist in ubuntu-cpc project binary hooks that do not use
    create_manifest shared function (LP: #2033751)
    * fix: Ensure any created .filelist is symlinked with expected prefix
      and correct permissions
    * fix: disk-image-non-cloud ubuntu-cpc build target now provides
      manifest and filelist

  [ Steve Langasek ]
  * remove ssl-cert "snakeoil" private keys from images, since this makes
    them not very private.  LP: #2037869.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Oct 2023 18:13:03 -0700

livecd-rootfs (23.10.51) mantic; urgency=medium

  [ Dimitri John Ledkov ]
  * Add support to live-build/lb_chroot_layered to allow adding the kernel to
    the currently required layer location, which fixes arm64+x13s and also
    allows for removing live-build/ubuntu/hooks/020-ubuntu-live.binary.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 02 Oct 2023 14:55:29 -0600

livecd-rootfs (23.10.50) mantic; urgency=medium

  * live-build/ubuntu/hooks: ensure kernel artifacts named with subarch

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 29 Sep 2023 21:36:07 +0100

livecd-rootfs (23.10.49) mantic; urgency=medium

  [ Phil Roche ]
  * fix: arm64 flash-kernel removal from ubuntu-cpc project cloud images
    (LP: #2037074)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 27 Sep 2023 22:37:45 -0700

livecd-rootfs (23.10.48) mantic; urgency=medium

  [ Dimitri John Ledkov ]
  * Add support for x13s subarch.  LP: #2037099.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 27 Sep 2023 12:49:04 -0700

livecd-rootfs (23.10.47) mantic; urgency=medium

  [ Phil Roche ]
  * fix: Ensure that grub/shim package installs do not install recommends for
    minimized ubuntu-cpc image builds (LP: #2037075)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 26 Sep 2023 15:04:09 -0700

livecd-rootfs (23.10.46) UNRELEASED; urgency=medium

  [ Simon Poirier ]
  * Fix use of variable declared in conditional branch and used in parent
    scope in snap_validate_seed. This would affect binary for images without
    kernel and using "set -u". (LP: #2037338)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 26 Sep 2023 15:11:07 +1300

livecd-rootfs (23.10.45) mantic; urgency=medium

  * budgie: Configure universe & multiverse sources (LP: #2036966)

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 25 Sep 2023 13:57:21 -0600

livecd-rootfs (23.10.44) mantic; urgency=medium

  * Fix the subarch used in the hook to identify images for sifive
    unmatched.  LP: #2037060.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Sep 2023 10:58:57 -0700

livecd-rootfs (23.10.43) mantic; urgency=medium

  * The unminimize script should install the lxd snap from the per-release
    channel, the same as in the full image. (LP: #2036725)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 22 Sep 2023 15:01:43 +0530

livecd-rootfs (23.10.42) mantic; urgency=medium

  * fix: Fix the missing `fi` with the recent changes in the
    `unminimize` script for `ubuntu-cpc` project (LP: #2036591)

 -- Phil Roche <phil.roche@canonical.com>  Tue, 19 Sep 2023 11:30:19 +0100

livecd-rootfs (23.10.41) mantic; urgency=medium

  * ubuntu-cpc: create a new boot partition on all UEFI cloud-images
  * ubuntu-cpc: refactor the logic to define the disk image size for UEFI
    images

 -- Gauthier Jolly <gauthier.jolly@canonical.com>  Tue, 19 Sep 2023 08:20:00 -0700

livecd-rootfs (23.10.40) mantic; urgency=medium

  * Enhance unminimize to transform into a base image
    for ubuntu-cpc.
  * Install linux-virtual to restore the stripped headers
    for ubuntu-cpc.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 19 Sep 2023 14:05:19 +0530

livecd-rootfs (23.10.39) mantic; urgency=medium

  * The chroot tmpfs mount should only be /var/lib/apt/lists, not
    /var/lib/apt; the latter breaks changes to /var/lib/apt/extended_states.
    LP: #2036195.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 Sep 2023 15:06:23 -0700

livecd-rootfs (23.10.38) mantic; urgency=medium

  * desktop: construct a minimal+tpmfde catalog variation, with matching
    layers (LP: #2036461)

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 18 Sep 2023 15:48:33 -0600

livecd-rootfs (23.10.37) mantic; urgency=medium

  * fix: ensure minimize-manual script uses passed in argument for all commands (LP: #2036198)
  * fix: armhf flavour for 6.5+ kernel is now generic (LP: #2036192)

 -- Philip Roche <phil.roche@ubuntu.com>  Fri, 15 Sep 2023 11:58:23 +0100

livecd-rootfs (23.10.36) mantic; urgency=medium

  * Since we restored the minimal layer, we also need to adjust all hook
    conditionals to use the minimal.standard layer name instead of standard.
  * 020-ubuntu-live.binary hook: make sure the kernel and initrd artifacts are
    named correctly.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 13 Sep 2023 11:43:22 +0200

livecd-rootfs (23.10.35) mantic; urgency=medium

  * Restore a desktop minimal layer and use if by default (ffe lp: #2034261)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Sep 2023 13:12:16 +0200

livecd-rootfs (23.10.34) mantic; urgency=medium

  [ Steve Langasek ]
  * Drop (outdated, inconsistent) /etc/hosts from ubuntu-server chroot
    includes.

  [ Michael Hudson-Doyle ]
  * auto/config: use the new server-live task to reduce the use of explicit
    calls to add_package and add_snap a bit.

  [ Dave Jones ]
  * clean up references to obsolete pi subarchs no longer built, and remove
    code that writes out /boot/firmware settings that are later clobbered

  [ Dan Bungert ]
  * desktop: adjust kernel to be in the live layer, to support changing which
    kernel is installed rather than always using hwe. (LP: #2026225)

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 08 Sep 2023 08:54:13 -0600

livecd-rootfs (23.10.33) mantic; urgency=medium

  * Drop references to kubuntu-plasma5, obsolete since wily
  * ubuntucinnamon-live task has existed for a while now, use it instead of
    hard-coded list of packages.
  * Don't hard-code addition of xterm package on xubuntu, it's in the task
    already.
  * Drop references to ubuntu-netbook, obsolete since Ubuntu 11.04.
  * ubuntu-unity-live task exists, use it also instead of hard-coded list of
    packages.
  * live-build/auto/config: various refactors to eliminate code duplication
  * Drop references to ubuntu-dvd, obsolete after precise.
  * Drop references to mythbuntu, obsolete after xenial.
  * Parameterize and consolidate live image definitions for flavors using
    a common pattern
  * generic is the default kernel flavor in live-build on Ubuntu; remove
    hard-coded cargo-culting of this setting.
  * Drop references to kubuntu-dvd, obsoleted in 2012.
  * ubuntukylin-default-settings is part of the task, don't hard-code the
    package.
  * Remove unnecessary arch guarding of the UbuntuStudio kernel selection:
    we only build this image on amd64 (the arch checking is from i386 days),
    and the lowlatency kernel also exists on arm64.
  * Drop code only used for d-i based ubuntu-server images, no longer
    supported.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Sep 2023 15:51:11 -0700

livecd-rootfs (23.10.32) mantic; urgency=medium

  * Make the hybrid canary images the default for Ubuntu.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 06 Sep 2023 18:21:34 +0200

livecd-rootfs (23.10.31) mantic; urgency=medium

  * blkid is unreliable in mount_image(), but this blkid call is only here
    for debugging, so ignore any failures (even if we don't understand
    them).  LP: #2034299.
  * mark the minimized autopkgtest as also allowing stderr, in the event of
    any error messages from blkid.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Sep 2023 14:42:03 -0700

livecd-rootfs (23.10.30) mantic; urgency=medium

  * Fix unminimize to correctly list packages. (LP: #1996489)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Sat, 02 Sep 2023 02:16:03 +0530

livecd-rootfs (23.10.29) mantic; urgency=medium

  * canary: switch to use the live task, try to use KERNEL_FLAVOURS instead
    of a manual kernel add_package.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 31 Aug 2023 11:57:11 +0200

livecd-rootfs (23.10.28) mantic; urgency=medium

  * Allow stderr in the autopkgtest.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 30 Aug 2023 08:28:57 -0700

livecd-rootfs (23.10.27) mantic; urgency=medium

  * Add ubuntu to the list of targets we autopkgtest for on amd64, to ensure
    coverage of the lb_chroot_layered behavior.
  * lb_chroot_layered: if the unmount of the chroot mountpoint fails, dump
    mount information for debugging.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 29 Aug 2023 10:39:23 -0700

livecd-rootfs (23.10.26) mantic; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Update the enhanced-sb layer model to not preinstall the printing snaps,
    per changes to seeds. Live layer model not changed as it will go away
    soon per our staged changes.

  [ Michael Hudson-Doyle ]
  * Use a traditional seed.yaml style seed for the canary installer's live

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 28 Aug 2023 12:13:38 +0200

livecd-rootfs (23.10.25) mantic; urgency=medium

  * snap-seed-parse.py: fix builds with no snaps.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 28 Aug 2023 14:02:56 +1200

livecd-rootfs (23.10.24) mantic; urgency=medium

  * update-source-catalog: Fix case where a variaton does not point at the
    base layer (i.e. most builds) (LP: #2033168)
  * Configure universe sources in canary ISO. (LP: #2033109)
  * snap-seed-parse.py: Update to allow parsing uc20-style seeds.
    (LP: #2028984)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 28 Aug 2023 12:48:53 +1200

livecd-rootfs (23.10.23) mantic; urgency=medium

  * i386 foreign-arch support was added for the canary image before 23.04
    released, but by mistake it was only added to the squashfs for the live
    session, and not the squashfs layer used as the source for installation.
    split the chroot hooks to add this to the standard.squashfs.
    LP: #2033170.
  * Drop mke2fs.conf override, no longer needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 26 Aug 2023 16:34:27 -0700

livecd-rootfs (23.10.22) mantic; urgency=medium

  * Undo preseeding in reset_snapd_state.
  * update-source-catalog: work better when we want a variation to point
    at the base layer.
  * Stop launching a gnome-terminal at startup of the canary live session.
    (LP: #2032647)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 25 Aug 2023 18:45:03 +1200

livecd-rootfs (23.10.21) mantic; urgency=medium

  * Deduplicate the layers just before creating the squashfs, to enable
    deduplication of the result of binary hooks as well.

  [ Steve Langasek ]
  * Deduplicate snaps between squashfs layers on classic:
    - Consolidate canary layers to merge 'classic' back into 'standard'
    - Reset /var/lib/snapd in the upper layers before calling snap
      prepare-image
    - No need to use rsync in hooks now to avoid file duplication since layer
      handling as a whole now uses rsync.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 23 Aug 2023 10:31:42 -0700

livecd-rootfs (23.10.20) mantic; urgency=medium

  * Update canary model assertions to include all the regular seeded snaps,
    using the right channels for all of them.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 22 Aug 2023 17:14:38 +0200

livecd-rootfs (23.10.19) mantic; urgency=medium

  * Add python3-systemd to CPC's minimized builds.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 22 Aug 2023 14:54:57 +0530

livecd-rootfs (23.10.18) mantic; urgency=medium

  * Refresh the canary model assertions. The live model now includes all the
    snaps of the standard installation (including firefox), as we want to offer
    the same experience in the livefs as in the target installation. We also
    track other, proper channels for the seeded snaps.
  * Fix the 020-canary-* hooks referencing the wrong layer names after changes
    introduced in 23.10.17.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 18 Aug 2023 17:58:54 +0200

livecd-rootfs (23.10.17) mantic; urgency=medium

  * Merge the minimal and standard layers on the Ubuntu Desktop images
    (both daily-live and canary), now that there is no separate minimal
    install target.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Aug 2023 09:39:39 -0700

livecd-rootfs (23.10.16) mantic; urgency=medium

  * fix: Do not install recommends for ubuntu-cpc minimized project (LP: #2031640)
    * fix: Remove dangling symlink /boot/initrd.img.old if exists
    * fix: Ensure required dependencies are installed before trying `grub-install`
    * fix: Install required package fuse3 when preseeding snaps

 -- Philip Roche <phil.roche@ubuntu.com>  Thu, 17 Aug 2023 11:44:23 +0100

livecd-rootfs (23.10.15) mantic; urgency=medium

  [ Stefan Hammer ]
  * fix(armhf): Fix armhf kernel file detection

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 17 Aug 2023 07:06:53 +0530

livecd-rootfs (23.10.14) mantic; urgency=medium

  * canary
    * fix the install of the classic variation by including dctrl-tools in the
      live layer
    * fix the layer for the classic variation
    * fix language layer generation (LP: #2031027)
    * drop minimal install source to match the other desktop image

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 15 Aug 2023 18:05:39 -0600

livecd-rootfs (23.10.13) mantic; urgency=medium

  [ Jess Jang ]
  * fix: bind correct apparmor feature for validating snap seed.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 10 Aug 2023 01:44:29 +0530

livecd-rootfs (23.10.12) mantic; urgency=medium

  * live-build/auto/build: Avoid purging packages for ubuntu-cpc.
    With the switch to the ubuntu-cloud-minimal seed, we
    don't really need to purge anything now. On the contrary,
    the purging of packages if not installed, fails with the
    exit code of 100.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 08 Aug 2023 15:44:42 +0530

livecd-rootfs (23.10.11) mantic; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * canary: enable locale support for canary layers.

  [ Michael Hudson-Doyle ]
  * Remove additional dependencies from subiquity units as they are now
    interfering with the boot process. (LP: #2028862)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 08 Aug 2023 13:57:47 +1200

livecd-rootfs (23.10.10) mantic; urgency=medium

  * Revert "desktop, budgie: no need to include the kernel directly, it is
    installed at runtime" due to build breakage

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 03 Aug 2023 21:37:46 -0600

livecd-rootfs (23.10.9) mantic; urgency=medium

  * desktop, budgie: no need to include the kernel directly, it is installed
    at runtime (LP: #2026225)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 02 Aug 2023 13:16:00 -0600

livecd-rootfs (23.10.8) mantic; urgency=medium

  [ Heinrich Schuchardt ]
  * risc-v: increase loader2 partition for VisionFive 2. EDK II is available
    for the StarFive VisionFive 2 board. As it is larger than U-Boot we need
    to increase the size of the loader 2 partition to accommodate it.

  [ Michael Hudson-Doyle ]
  * lb_chroot_layered: use rsync to make more minimal overlay layers.
    (LP: #2028213)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 02 Aug 2023 13:19:29 +1200

livecd-rootfs (23.10.7) mantic; urgency=medium

  * Actually fix live-build/ubuntu-cpc/hooks.d/base/disk-image.binary to not
    call force_boot_without_initramfs on s390x rather than
    disk-image-uefi.binary which obviously would never run on s390x.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sun, 30 Jul 2023 09:17:52 +1200

livecd-rootfs (23.10.6) mantic; urgency=medium

  * live-build/ubuntu-cpc/hooks.d/base/disk-image-*.binary: Fix invocations of
    force_boot_without_initramfs to pass "mountpoint" and not "${mountpoint}"
    (which actually worked on most arches for VERY BAD reasons but fails on
    s390x).
  * live-build/ubuntu-cpc/hooks.d/base/disk-image.binary: Do not call
    force_boot_without_initramfs on s390x.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 29 Jul 2023 07:56:28 +1200

livecd-rootfs (23.10.5) mantic; urgency=medium

  [ Utkarsh Gupta ]
  * Use ubuntu-cloud-minimal metapackage in minimized CPC images rather than
    cloud-image task which brings in snaps that are unwanted in minimized
    builds.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 28 Jul 2023 11:05:44 +1200

livecd-rootfs (23.10.4) mantic; urgency=medium

  * canary: use new 23.10 models for both the live and enhanced-sb layers.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 19 Jul 2023 11:04:51 +0200

livecd-rootfs (23.10.3) mantic; urgency=medium

  * Depend on devscripts: classic ubuntu-image builds will build the gadget
    from a repository using make, and the reference pc-gadget snap uses
    chdist to pull the latest GRUB/shim from the proper series x pocket;
    NB: chdist was used instead of the more convenient pull-lp-debs as
    devscripts is in main while ubuntu-dev-tools is in universe. It's
    inelegant for livecd-rootfs to pick up dependencies needed to build
    gadgets, even if it's for the official ones as other gadgets might want
    other dependencies, rather this should be expressed as part of the build
    contract of the gadget, or livecd-rootfs should only consume pre-built
    gadgets built in a standard way (e.g. snap build, deb build etc.).

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 16 Jul 2023 10:41:31 +0000

livecd-rootfs (23.10.2) mantic; urgency=medium

  * Fixup up two more places with kvm removal.
  * Set `gbp dch` vendor to debian for correct new changelog version.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 14 Jul 2023 13:42:00 +0100

livecd-rootfs (23.10.1) mantic; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * Add ubuntu-oem build project:
    - auto/config: Make ubuntu-oem project available, and runs make-hooks like
      ubuntu-cpc.
    - live-build/ubuntu-oem: Create the directory for ubuntu-oem project, and
      link make-hooks from ubuntu-cpc into it.

  [ Dimitri John Ledkov ]
  * Switch armhf from generic-lpae to virtual
  * Deprecate linux-kvm usage

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 14 Jul 2023 00:25:33 +0100

livecd-rootfs (2.899) mantic; urgency=medium

  * ubuntu-cpc: Revert mount ESP on /boot and bind mount /boot on /boot/efi

 -- Gauthier Jolly <contact@gauthierjolly.com>  Mon, 10 Jul 2023 12:01:18 +0200

livecd-rootfs (2.898) mantic; urgency=medium

  * Remove the catalog entry for the Ubuntu desktop minimal installation,
    we are removing the option from the desktop installer and making the
    content of the default installation closer from minimal instead.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 07 Jul 2023 07:39:38 +0200

livecd-rootfs (2.897) mantic; urgency=medium

  [ Heinrich Schuchardt ]
  * RISC-V: handle kernel flavour allwinner. Package linux-allwinner has a
    kernel with the generic flavour as dependency.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 05 Jul 2023 17:57:11 +0200

livecd-rootfs (2.896) mantic; urgency=medium

  * live-build/ubuntu/hooks/033-disk-image-uefi.binary: update to point at
    ubuntu-cpc/hooks.d/base/disk-image-uefi-non-cloud.binary, fixing canary
    build.
  * Disable the orphan_file ext4 feature in the canary live environment so
    that the installed system can be handled by the e2fsck in the extant
    kernel snap (cf. bug 2025339).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 05 Jul 2023 13:23:45 +1200

livecd-rootfs (2.895) mantic; urgency=medium

  * live-build/ubuntu-cpc/hooks.d/base/disk-image-uefi.binary: should now
    only be used for cloud images, so clean up other code.  Thanks,
    Gauthier Jolly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Jul 2023 12:35:35 -0700

livecd-rootfs (2.894) mantic; urgency=medium

  [ Heinrich Schuchardt ]
  * RISC-V: sunset allwinner kernel flavour. The Nezha D1 and LicheRV Dock now
    use the generic kernel.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 03 Jul 2023 16:32:25 +0200

livecd-rootfs (2.893) mantic; urgency=medium

  * Add various overrides to make it to develop image definitions:
    - LB_UBUNTU_IMAGES_REPO and LB_UBUNTU_IMAGES_BRANCH can be used
      to override the default repository and branch used for official
      images.
    - LB_UBUNTU_IMAGE_CHANNEL can be used to install the ubuntu-image
      snap from another channel than stable (e.g. edge, or a track, or a
      hotfix branch).
  * config/build: don't make a copy of the image definition, but rather
    pass the path to the .yaml file; no functional impact, but could be
    used to implement support for locating overrides once ubuntu-image
    knows how to use relative pathnames.
  * Extend Tegra support to support pre-installed Server images using the
    usual cpc project and ubuntu-image.
  * Add support for tegra-igx subarch, much like tegra but with a different
    kernel flavor.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 28 Jun 2023 10:09:04 +0000

livecd-rootfs (2.892) mantic; urgency=medium

  [ Gauthier Jolly ]
  * ubuntu-cpc: fix images for hardware devices
  * ubuntu-cpc: install grub-efi on riscv images

  [ Heinrich Schuchardt ]
  * RISC-V: use GRUB on Unmatched board. Simplify the code.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 28 Jun 2023 10:42:31 +0200

livecd-rootfs (2.891) mantic; urgency=medium

  * Follow up fix to the CHANNEL handling for subiquity images: make sure that
    we include config/binary, as that's where CHANNEL is passed over.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 19 Jun 2023 10:03:52 +0200

livecd-rootfs (2.890) mantic; urgency=medium

  * Allow choosing installer channels with the CHANNEL variable for
    subiquity-based installer ISOs.

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 16 Jun 2023 09:12:08 -0600

livecd-rootfs (2.849) mantic; urgency=medium

  [ Gauthier Jolly ]
  * ubuntu-cpc: mount ESP on /boot and bind mount /boot on /boot/efi

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Jun 2023 12:18:47 -0700

livecd-rootfs (2.848) mantic; urgency=medium

  * Migrate default Ubuntu Budgie image builds to their new
    ubuntu-budgie-installer, mirroring what has been done for Ubuntu. At the
    same time, we add support for building legacy ubiquity-based images as
    well.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 07 Jun 2023 13:33:26 +0200

livecd-rootfs (2.847) mantic; urgency=medium

  * canary images: add boot-managed-by-snapd preinstalled by default on the
    enhanced-secureboot layer. This will make sure that all canary installs
    will not allow installing non-snap kernels and bootloader packages (as
    this could break their systems).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 05 Jun 2023 16:57:58 +0200

livecd-rootfs (2.846) mantic; urgency=medium

  * Make the newly added mtools dependency arch-specific as it's not
    installable on i386, causing migration issues.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 01 Jun 2023 11:40:52 +0200

livecd-rootfs (2.845) mantic; urgency=medium

  * Add the mtools dependency for ubuntu-image.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 31 May 2023 17:08:44 +0200

livecd-rootfs (2.844) mantic; urgency=medium

  * Switch to use ubuntu-image 3.0 for our raspberry pi mantic images.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 31 May 2023 15:15:09 +0200

livecd-rootfs (2.843) mantic; urgency=medium

  * Unconditionally enable i386 in the chroot for Ubuntu Desktop; the new
    installer doesn't handle enabling this at install time, and late
    enablement also misses us some recommends.
  * Restore losetup code, the necessary launchpad-buildd changes were being
    deployed just as this revert landed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 May 2023 13:51:18 -0700

livecd-rootfs (2.842) mantic; urgency=medium

  * Revert once again the kpartx->losetup changes as those are causing
    constant build failures for RISC-V images. This clearly needs some more
    investigation before proceeding. This means that we're back to using
    kpartx for loop device setup.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 24 May 2023 11:07:21 +0200

livecd-rootfs (2.841) mantic; urgency=medium

  * The base seed for edubuntu is desktop-gnome, not desktop.  LP: #2019060.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 17 May 2023 23:50:57 -0700

livecd-rootfs (2.840) mantic; urgency=medium

  * auto/config: switch ubuntucinnamon and ubuntu-unity builds to use add_task
    to get their desktop packages. Previously most (all?) flavour builds got
    the snaps from that flavour's "desktop" seed implicitly added, but now an
    explicit add_task is needed.
  * auto/config: alter check for unexpectedly seeded snaps in
    ubuntu-cpc:minimized build. As the build no longer implicitly seeds the
    snaps from the server seed, we can just assert no snaps are seeded. This
    fixes an autopkgtest regression but also cleaner.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 18 May 2023 11:33:59 +1200

livecd-rootfs (2.839) mantic; urgency=medium

  * Drop use of --removable flag to grub-install from
    live-build/buildd/hooks/02-disk-image-uefi.binary, to match the cloud
    images (7c760864fdcb278ca37396f06f5e3f297428d63d).  This fixes
    bootloader updates in the buildd images, but also fixes compatibility
    with using devtmpfs for losetup.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 17 May 2023 09:27:56 -0700

livecd-rootfs (2.838) mantic; urgency=medium

  * auto/config: Set FLAVOUR appropriately for flavours added since the
    expand-task branch was created.
  * live-build/expand-task: Fix expansion of tasks with non-flavour specific
    name (e.g. "minimal") when building a non-Ubuntu flavour.
  * auto/config: Do not include the ubuntu-desktop-minimal task in edubuntu.
    Cross flavour task references do not work with the approach expand-task
    takes, and the ubuntu-desktop-minimal package is part of the
    edubuntu-desktop-gnome task already.
  * live-build/expand-task: handle seeding of classic snaps correctly.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 17 May 2023 15:53:50 +1200

livecd-rootfs (2.837) mantic; urgency=medium

  * auto/config: Rewrite add_task to use a Python script that cribs the logic
    from lp:ubuntu-archive-publishing's generate_extra_overrides.py. This
    means we can avoid some dubious hacks around seeding snaps and no longer
    depend on the Task headers in the archive. (LP: #2019265)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 May 2023 09:36:29 +1200

livecd-rootfs (2.836) mantic; urgency=medium

  * canary: include cryptsetup in the live layer

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 11 May 2023 19:16:18 -0600

livecd-rootfs (2.835) mantic; urgency=medium

  * canary: fix the lookup location for 'enhanced-secureboot-desktop'

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 10 May 2023 16:01:02 -0600

livecd-rootfs (2.834) mantic; urgency=medium

  * Use the correct seed base for edubuntu.  LP: #2019060.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 May 2023 19:06:50 -0700

livecd-rootfs (2.833) mantic; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Add ubuntucinnamon, ubuntu-unity and edubuntu to the workaround for the
    invalid apt cache issue we encountered during all of our previous
    releases.
  * Switch to use the desktop model for the installer for the canary images.

  [ Steve Langasek ]
  * Try to use udevadm settle after losetup to resolve race in riscv64 image
    builds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 May 2023 15:47:08 -0700

livecd-rootfs (2.832) lunar; urgency=medium

  * Clean up some remaining references to /dev/mapper.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Apr 2023 18:50:18 -0700

livecd-rootfs (2.831) lunar; urgency=medium

  * Use the correct path for the loop device.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Apr 2023 16:11:52 -0700

livecd-rootfs (2.830) lunar; urgency=medium

  * Call losetup -d properly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Apr 2023 12:22:19 -0700

livecd-rootfs (2.829) lunar; urgency=medium

  [ Loïc Minier ]
  * Initial support for NVIDIA Tegra.  LP: #2015644.

  [ Steve Langasek ]
  * Use losetup instead of kpartx to try to resolve race conditions in
    riscv64 image builds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Apr 2023 08:22:21 -0700

livecd-rootfs (2.828) lunar; urgency=medium

  * 099-ubuntu-image-customization.chroot: Remove redundant creation of oem
    user and oem-config-prepare (LP: #2016285)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 14 Apr 2023 09:48:31 +0100

livecd-rootfs (2.827) lunar; urgency=medium

  * Fix netboot tarball generation code to properly handle the recent change
    of shim to use alternatives (and the path becoming a symlink).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 13 Apr 2023 19:28:46 +0200

livecd-rootfs (2.826) lunar; urgency=medium

  * Now that we moved the seeding for canary into further layers, a resed of
    the preseeding is not required.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 13 Apr 2023 14:46:43 +0200

livecd-rootfs (2.825) lunar; urgency=medium

  * For canary images, actually consider moving the seed listed snaps from
    both minimal and standard layers to the classic layer.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 13 Apr 2023 11:46:37 +0200

livecd-rootfs (2.824) lunar; urgency=medium

  * Fix build failures of desktop raspi images due to canary hooks
    interfering.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 13 Apr 2023 09:43:58 +0200

livecd-rootfs (2.823) lunar; urgency=medium

  * Update infinite_scream URL to mastodon
  * Make PROPOSED=1 builds work with NotAutomatic (lunar and later).
    LP: #2016022.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Apr 2023 10:40:56 -0700

livecd-rootfs (2.822) lunar; urgency=medium

  [ jchittum ]
  * riscv64: fix conditional check in install-grub to correctly check if
    platform supports grub-efi-64, or exit func. (LP: #2015750)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Apr 2023 08:37:30 -0700

livecd-rootfs (2.821) lunar; urgency=medium

  [ Chad Smith ]
  * desktop livecd: allow cloud-init to write netplan config instead of
    directly to /etc/NetworkManager because ubuntu-desktop-installer
    will write netplan config in ephemeral boot stage when
    autoinstall.network is provided. This allows ubuntu-desktop-installer
    to control all netplan config written and apply to the ephemeral boot
    as generated from /etc/netplan/*. (LP: #2015605)

  [ Dan Bungert ]
  * d/control: fix uninstallability of livecd-rootfs due to rsync not being on
    i386.

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 07 Apr 2023 17:24:28 -0600

livecd-rootfs (2.820) lunar; urgency=medium

  * Initial implementation of canary image builds for 23.04.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 05 Apr 2023 20:50:35 +0200

livecd-rootfs (2.819) lunar; urgency=medium

  [ Heinrich Schuchardt ]
  * Add image for StarFive VisionFive 2.

  [ Steve Langasek ]
  * Update URL to point to ubuntu-archive-team.ubuntu.com.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 05 Apr 2023 18:01:07 +0200

livecd-rootfs (2.818) lunar; urgency=medium

  [ Dave Jones ]
  * raspi: drop mkswap.service and swapfile.swap units in
    099-ubuntu-image-customization.chroot in favour of units provided by
    ubuntu-raspi-settings-desktop
  * raspi: drop 01-network-manager-all.yaml in favour of configuration
    provided by ubuntu-raspi-settings-desktop
  * raspi: drop growfs option from fstab in favour of growroot-almost
    service provided by ubuntu-raspi-settings-desktop

  [ William 'jawn-smith' Wilson ]
  * Skip oem-config setup in hooks if the oem user already exists.

 -- Dave Jones <dave.jones@canonical.com>  Tue, 28 Mar 2023 14:38:55 +0100

livecd-rootfs (2.817) lunar; urgency=medium

  [ John Chittum ]
  * revert ipc change. kernel 6.2 will have the correct setting

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Mar 2023 12:11:06 -0700

livecd-rootfs (2.816) lunar; urgency=medium

  [ Chad Smith ]
  * Replace cloud-init.service on NetworkManager images to address an ordering
    cycle interfering with autoinstall with ubuntu-desktop-installer.
    (LP: #2008952)

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 24 Mar 2023 18:35:46 -0600

livecd-rootfs (2.815) lunar; urgency=medium

  [ Dan Bungert ]
  * debian/control: depend on zstd to fix unmkinitramfs failure.

  [ Łukasz 'sil2100' Zemczak ]
  * Change the mini-iso livefs artifact name from .mini-iso.iso to .iso to be
    more compatible with existing cdimage machinery.
  * Rename variables accessed in the mini-iso to the equivalents exported to
    binary hooks.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 23 Mar 2023 10:43:29 +0100

livecd-rootfs (2.814) lunar; urgency=medium

  * Adjust journald settings for live-server for compatibility with Subiquity.
    With a move to core22 we can turn zstd back on, but the new compact flag
    needs to be off. (LP: #2006985)

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 20 Mar 2023 15:00:52 -0600

livecd-rootfs (2.813) lunar; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Make sure that for devel we also use the right intel-iot kernel flavor
    for the images. We don't build any for this series, but it's good to have
    parity in the devel branch.
  * Add support for building intel-iot server images. Not used in lunar, but
    adding to keep devel up-to-date with changes.

  [ Steve Langasek ]
  * No new dependencies on i386 (xorriso).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 18 Mar 2023 08:25:03 -0700

livecd-rootfs (2.812) lunar; urgency=medium

  * Inform cloud-init when network manager is in use.  (LP: #1982855)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 09 Mar 2023 14:59:17 -0600

livecd-rootfs (2.811) lunar; urgency=medium

  [ John Chittum ]
  * fix: remove ipc from apparmor features in 6.1
  * open 2.810 release

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 09 Mar 2023 18:10:05 +0000

livecd-rootfs (2.810) lunar; urgency=medium

  * Add ubuntu-mini-iso build project.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 06 Mar 2023 08:17:11 -0700

livecd-rootfs (2.809) lunar; urgency=medium

  * Do not use the ubuntucinnamon-desktop task for cinnamon builds, it doesn't
    seem to be present in the archive yet. Use the metapackage instead, which
    seems like a better way forward anyway. For the live task, temporarily use
    a hard-coded list of packages.
  * Explicitly define the kernel flavor for ubuntucinnamon.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 06 Mar 2023 11:27:02 +0100

livecd-rootfs (2.808) lunar; urgency=medium

  * Add ubuntucinnamon to the seed-determination switch-case.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 03 Mar 2023 15:07:06 +0100

livecd-rootfs (2.807) lunar; urgency=medium

  * auto/config: Add support for ubuntu core arm64 generic images (LP: #2009067)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 02 Mar 2023 18:18:18 +0000

livecd-rootfs (2.806) lunar; urgency=medium

  [ Sean Davis ]
  * Remove snap base seed for xubuntu:minimal

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Feb 2023 08:00:08 -0800

livecd-rootfs (2.805) lunar; urgency=medium

  * riscv64: set attribute required partition for firmware.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 27 Feb 2023 21:49:27 +1300

livecd-rootfs (2.804) lunar; urgency=medium

  * Clarified with Erich that edubuntu should install ubuntu-desktop-minimal
    task.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Feb 2023 21:11:56 -0800

livecd-rootfs (2.803) lunar; urgency=medium

  * Fix wrong task name for xubuntu-minimal.
  * Fix edubuntu build: ubuntu-minimal is not a task and minimal is already
    declared.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Feb 2023 21:05:48 -0800

livecd-rootfs (2.802) lunar; urgency=medium

  * Address the fact that debootstrap doesn't follow Recommends and as a
    result we're missing several Recommends that should be installed by
    default and are on upgrades but not on new installs.  This is not
    applied to minimized images, which don't follow Recommends; but does get
    separately applied to the ubuntu-server full squashfs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Feb 2023 17:47:54 -0800

livecd-rootfs (2.801) lunar; urgency=medium

  [ Heinrich Schuchardt ]
  * RISC-V: avoid soft lockup Radeon GPUs. With Radeon GPUs and kernel 5.19 a
    soft lockup was observed. Increase the watchdog threshold.

  [ Łukasz 'sil2100' Zemczak ]
  * Add ubuntucinnamon to the supported flavours.
  * Terrible hack workaround for clearing out the non-offline apt cache
    for desktop related images.

  [ Dimitri John Ledkov ]
  * ubuntu-cpc: set default ext4 mount option commit=30 (LP: #2006511).
  * Cherry-pick jammy point release fixes.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 24 Feb 2023 12:20:04 +0000

livecd-rootfs (2.800) lunar; urgency=medium

  * WSL: do not depend on standard anymore.
    Evolve the seed to only ship the specific part useful to WSL users. This
    allows to trim down the image size.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 20 Feb 2023 11:59:25 +0100

livecd-rootfs (2.799) lunar; urgency=medium

  * Reintroduce edubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Feb 2023 15:55:41 -0800

livecd-rootfs (2.798) lunar; urgency=medium

  * Add xubuntu minimal subproject.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Feb 2023 21:07:27 -0800

livecd-rootfs (2.797) lunar; urgency=medium

  * Drop dependency on rsync, not used in a very long time and lets us drop
    rsync on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 01 Feb 2023 07:44:33 -0800

livecd-rootfs (2.796) lunar; urgency=medium

  [ Heinrich Schuchardt ]
  * riscv64: adjust U-Boot installation for Nezha D1 and LicheeRV. Since
    version 2022.10 U-Boot SPL and U-Boot are installed onto the same
    partition. Package nezha-boot0 is not needed anymore.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 09 Jan 2023 14:10:22 +0100

livecd-rootfs (2.795) lunar; urgency=medium

  * Don't depend on python3-launchpadlib on i386.  This breaks ppa-enabled
    builds on i386, but avoids pulling in a large dependency tree that's
    not otherwise needed on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Jan 2023 22:07:17 -0800

livecd-rootfs (2.794) lunar; urgency=medium

  [ Sebastien Bacher ]
  * Change the desktop build to let canary be the default.
    Make canary images the default Ubuntu desktop images, while switching
    the old desktop to a 'legacy' flavor instead.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 08 Dec 2022 15:33:05 +0100

livecd-rootfs (2.793) lunar; urgency=medium

  [ Heinrich Schuchardt ]
  * riscv64: use efi=debug earlycon. RISC-V boards tend to boot slowly. We
    should provide progress information when booting.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 16 Nov 2022 13:25:46 +0100

livecd-rootfs (2.792) lunar; urgency=medium

  [ Samir Akarioh ]
  * feat: Add metadata on ubuntu-oci image.
  * feat: Add Ubuntu user.

  [ Utkarsh Gupta ]
  * Remove whitespaces.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 14 Nov 2022 15:26:30 +0530

livecd-rootfs (2.791) kinetic; urgency=medium

  [ Brian Murray ]
  * Finish the rename of FK_FORCE_CONTAINER into FK_FORCE. (LP: #1989194)

  [ Simon Poirier ]
  * update apparmor feature overlay match the target kernel (LP: #1993204)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Oct 2022 13:08:52 -0700

livecd-rootfs (2.790) kinetic; urgency=medium

  * riscv: reduce the size of the intird for Nezha and LicheeRV
  * fix invalid redirects

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 13 Oct 2022 15:38:01 +0200

livecd-rootfs (2.789) kinetic; urgency=medium

  * re-enable snap preseed (LP: #1991011)

 -- jchittum <john.chittum@canononical.com>  Thu, 13 Oct 2022 12:41:23 -0500

livecd-rootfs (2.788) kinetic; urgency=medium

  * riscv: Remove the default installation of the Wifi driver for the LicheeRV
    board as the package is in universe, and only install its dependencies
    instead.

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Wed, 12 Oct 2022 14:15:58 +0200

livecd-rootfs (2.787) kinetic; urgency=medium

  [ Samir Akarioh ]
  * fix: build OCI image failed to build.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 29 Sep 2022 13:55:17 +0530

livecd-rootfs (2.786) kinetic; urgency=medium

  * linux-firmware-raspi2 is now the package known as linux-firmware-raspi.

 -- Brian Murray <brian@ubuntu.com>  Tue, 27 Sep 2022 13:51:05 -0700

livecd-rootfs (2.785) kinetic; urgency=medium

  * Disable the snap-preseed calls in the interest of getting images built for
    the 22.10 beta. (LP: #1990884)

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Sep 2022 15:55:26 -0700

livecd-rootfs (2.784) kinetic; urgency=medium

  * Don't set a desktop base seed for ubuntu-base or ubuntu-core.
  * autopkgtest now references ubuntu-server:live, the only ubuntu-server we
    still build.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Sep 2022 01:52:55 -0700

livecd-rootfs (2.783) kinetic; urgency=medium

  [ Alexandre Ghiti ]
  * Support for the LicheeRV Dock and Microchip icicle.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Sep 2022 12:02:03 +0200

livecd-rootfs (2.782) kinetic; urgency=medium

  * Default to using 'desktop' for the base seed so we don't have another
    place we have to extend the list for each new flavor (ubuntu-unity)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Sep 2022 15:36:51 -0700

livecd-rootfs (2.781) kinetic; urgency=medium

  * Drop override of components for raspi images.  The reference to
    multiverse is historic, all firmware is now in restricted where it
    should be; and raspi images should not categorically include universe,
    they should follow the per-flavor rules.
  * Drop use of deprecated apt-key.
  * Drop edubuntu and kubuntu-active, both obsolete in *all* supported
    releases.
  * Fix passing of components to germinate commandline (how did this ever
    work?)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Sep 2022 16:47:49 -0700

livecd-rootfs (2.780) kinetic; urgency=medium

  * live-build/auto/config: set COMPONENTS for all flavors *before* we
    invoke germinate.  Fixes a regression introduced in commit 07873ec.
    In the process, stop declarations of COMPONENTS that shadow the default
    in germinate (main restricted).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Sep 2022 12:56:26 -0700

livecd-rootfs (2.779) kinetic; urgency=medium

  * ubuntu-cpc/hooks.d/base/disk-image-uefi.binary: Bump UEFI disk image
    size for amd64 to 3.5 GB.
    Current builds are failing because the disk size is not big enough.

 -- Ivan Kapelyukhin <ivan.kapelyukhin@canonical.com>  Wed, 14 Sep 2022 18:55:20 +0200

livecd-rootfs (2.778) kinetic; urgency=medium

  [ Rudra Saraswat ]
  * Add live packages to Ubuntu Unity config.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 14 Sep 2022 16:11:10 +0200

livecd-rootfs (2.777) kinetic; urgency=medium

  * Rename FK_FORCE_CONTAINER into FK_FORCE as its role was extended to also
    support chroot (LP: #1989194).

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Thu, 08 Sep 2022 16:25:36 +0200

livecd-rootfs (2.776) kinetic; urgency=medium

  * Do not modify /etc/ssh/sshd_config for ubuntu-cpc project
    builds. (LP: #1968873). The cloud-init bug (LP #1968873) got
    fixed so using a config snippet now.

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Tue, 23 Aug 2022 10:45:06 +0200

livecd-rootfs (2.775) kinetic; urgency=medium

  [ Rudra Saraswat ]
  * Add ubuntu-unity flavor support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 31 Aug 2022 13:34:53 -0700

livecd-rootfs (2.774) kinetic; urgency=medium

  * Remove modemmanager and udisks2 from cloud images in addition to fwupd.
    The use of tasks at install means all packages are marked manually
    installed in the apt database, so removing fwupd does not remove its
    dependencies.  LP: #1981109.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 Aug 2022 11:24:55 -0700

livecd-rootfs (2.773) kinetic; urgency=medium

  * When adding the new RISC-V platforms, some of the generic non-SUBARCH code
    went missing and some invalid assumptions have been made, causing cloud
    images to fail building. This upload fixes these.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 29 Jul 2022 18:05:09 +0200

livecd-rootfs (2.772) kinetic; urgency=medium

  * When converting images to qcow2 stop using the traditional image format
    and switch to using the default image format which will include zero
    clusters and allow efficient copy-on-read for sparse images.

 -- Brian Murray <brian@ubuntu.com>  Thu, 28 Jul 2022 14:04:45 -0700

livecd-rootfs (2.771) kinetic; urgency=medium

  [ Steve Langasek ]
  * Drop support for building i386 images aside from the launchpad builder
    images.
  * Remove fwupd from the cloud images.  LP: #1981109.

  [ Michael Hudson-Doyle ]
  * Fix some issues with the netboot tarballs:
    - Include the signed shim (oops).
    - Make the kernel path on disk and in the bootloader config match (more
      oops).
    - Make paths more architecture dependent as the code in grubnetXXX.efi to
      probe a platform dependent path first doesn't work.

  [ Alexandre Ghiti ]
  * Install wpasupplicant by default as for now, most of the RISC-V boards
    embed a Wifi chipset (LP: #1983008)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 25 Jul 2022 12:49:28 -0700

livecd-rootfs (2.770) kinetic; urgency=medium

  [ Alexandre Ghiti ]
  * Fix SiFive Unmatched build. While merging the VisionFive support, we
    removed the installation of u-boot-menu for the Unmatched by mistake
    (LP: #1982735).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 25 Jul 2022 10:18:50 +0200

livecd-rootfs (2.769) kinetic; urgency=medium

  [ Alexandre Ghiti ]
  * Add support for the VisionFive and the Nezha boards (LP: #1980935)
  * Set FK_FORCE_CONTAINER for RISC-V images build to force flash-kernel
    to run in a container (LP: #1980929).

  [ Thomas Bechtold ]
  * Revert "don't modify ssh_config for ubuntu-cpc projects (LP:1968873)"
    This change triggered a bug in cloud-init (see LP: #1968873).

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Mon, 11 Jul 2022 14:10:52 +0200

livecd-rootfs (2.768) kinetic; urgency=medium

  * Use the new iso-url= parameter in the bootloader configs in the netboot
    tarballs.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 30 Jun 2022 14:37:53 +1200

livecd-rootfs (2.767) kinetic; urgency=medium

  * Do not modify /etc/ssh/sshd_config for ubuntu-cpc project
    builds. (LP: #1968873)

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Tue, 28 Jun 2022 13:29:05 +0200

livecd-rootfs (2.766) kinetic; urgency=medium

  * live-build/ubuntu-cpc/hooks.d/base/ovf/ubuntu-ova-v1-vmdk.tmpl:
    Revert OVF cd-rom controller to be IDE for VMWare (LP: #1970795)

 -- Simon Poirier <simon.poirier@canonical.com>  Sat, 11 Jun 2022 13:11:30 -0400

livecd-rootfs (2.765) kinetic; urgency=medium

  [ Michael Hudson-Doyle ]
  * auto/config: preserve germinate-output directory when removing config to
    speed up local iteration.
  * auto/config: Emit error message to stderr in _sanitize_passes.
  * Produce a tarball of artifacts for netbooting during live-server build.

  [ John Chittum ]
  * vagrant: use ed25519 insecure key (LP: #1969664)

 -- John Chittum <john.chittum@canonical.com>  Thu, 26 May 2022 09:28:26 -0500

livecd-rootfs (2.764) jammy; urgency=medium

  [ Michał Sawicz ]
  * Add arm64 buildd bootable image. (LP: #1966636)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 11 Apr 2022 23:02:30 +0530

livecd-rootfs (2.763) jammy; urgency=medium

  * auto/config: upgrade from hwe-20.04 to hwe-22.04 variant.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 06 Apr 2022 15:09:47 +0100

livecd-rootfs (2.762) jammy; urgency=medium

  [ Dimitri John Ledkov ]
  * auto/config: drop support for 0c3.net domain, now obsolete.


  [ Jean-Baptiste Lallement ]
  * wsl: Create missing groups in chroot

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Thu, 31 Mar 2022 08:56:33 +0200

livecd-rootfs (2.761) jammy; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Remove attributes not supported by WSL's tar

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Thu, 24 Mar 2022 13:59:50 +0100

livecd-rootfs (2.760) jammy; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Create a separate WSL image than CPC so it can be managed independently.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Mon, 14 Mar 2022 11:30:41 +0100

livecd-rootfs (2.759) jammy; urgency=medium

  * Optionally (when ALLOW_CORE_SNAP env var is set) allow to install core
    snap. Still needed by some CPC projects. (LP: #1964303)

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Fri, 04 Mar 2022 14:00:16 +0100

livecd-rootfs (2.758) jammy; urgency=medium

  * Split UEFI image out of `disk-image` series file into
    `disk-image-uefi`. (LP: #1961760)

 -- Ivan Kapelyukhin <ivan.kapelyukhin@canonical.com>  Thu, 03 Mar 2022 15:44:52 +0100

livecd-rootfs (2.757) jammy; urgency=medium

  [ Dave Jones ]
  * Fix holes in swapfiles on pre-installed desktop images. Instead of
    pre-allocating the swapfile in the image, allocate it on first boot and
    use a systemd .swap unit to activate it (LP: #1961047)

  [ Łukasz 'sil2100' Zemczak ]
  * Use the 'classic' branch of the pi gadget for both classic and desktop
    pi images by specifying the gadget make target during the gadget priming
    phase.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 22 Feb 2022 11:33:28 +0100

livecd-rootfs (2.756) jammy; urgency=medium

  * Unset `initrdless_boot_fallback_triggered` in /boot/grub/grubenv instead
    of setting it to 0 when the fallback is not triggered to prevent integrity
    monitoring errors on GCE. (LP: #1960564)

 -- Ivan Kapelyukhin <ivan.kapelyukhin@canonical.com>  Thu, 10 Feb 2022 23:45:57 +0100

livecd-rootfs (2.755) jammy; urgency=medium

  [ Brian Murray ]
  * Add the casper package instead of the lupin-casper package as the
    installer for Windows is a project that is no longer supported and lupin
    is being removed the archive in LP: 1960457.

  [ John Chittum ]
  *  Add sleep due to e2fsck error in umount_partition. LP: #1960537

 -- Brian Murray <brian@ubuntu.com>  Thu, 10 Feb 2022 13:54:42 -0800

livecd-rootfs (2.754) jammy; urgency=medium

  * Disable APT periodic update for OCI/docker images when cron-like
    services are installed. (LP: #1810451)

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Fri, 04 Feb 2022 11:41:12 +0100

livecd-rootfs (2.753) jammy; urgency=medium

  * Disable compression and "hash table hardening" for journald in the
    live installer environment as these features make the journal unreadable
    using the systemd libraries from 20.04 that are included in the subiquity
    snap. (LP: #1953744)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 02 Feb 2022 22:43:20 +1300

livecd-rootfs (2.752) jammy; urgency=medium

  * Remove references to archive.canonical.com, which is no longer used and
    should not be included in the default sources.list.  LP: #1959343.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Jan 2022 14:26:52 -0800

livecd-rootfs (2.751) jammy; urgency=medium

  * Revert patch for unmounting in local builds as it is causing autopkgtest
    regressions

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 12 Jan 2022 13:43:24 -0600

livecd-rootfs (2.750) jammy; urgency=medium

  * Do not look for a base snap on snaps of type base, because recursive
    dependencies are not allowed for snaps.  LP: #1957123.
  * Treat it as a fatal error if we are asked to install a snap that would
    pull in the core snap.  Ubuntu 20.04 and Ubuntu 22.04 official images
    should never require snaps that depend on an Ubuntu 16.04 runtime, this
    indicates a misconfiguration that will bloat the install.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Jan 2022 17:34:37 -0800

livecd-rootfs (2.749) jammy; urgency=medium

  [ Heinrich Schuchardt ]
  * riscv64: ensure reasonable partition alignment (LP: #1952916).
  * functions: fix unmounting for local builds (LP: #1952921).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 16 Dec 2021 12:40:16 +0100

livecd-rootfs (2.748) jammy; urgency=medium

  * live-build/ubuntu-cpc/hooks.d/base/ovf/ubuntu-ova-v1-vmdk.tmpl: do not
    automatically allocate serial0 as it causes a hang when upgrading.
    (LP: #1895104)

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Dec 2021 10:09:44 -0800

livecd-rootfs (2.747) jammy; urgency=medium

  * ubuntu-cpc/hooks.d/base/disk-image-uefi.binary: Bump UEFI disk image
    size for armhf to 3.5 GB.
    Current builds are failing because the disk size is not big enough.

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Tue, 23 Nov 2021 10:15:18 +0100

livecd-rootfs (2.746) jammy; urgency=medium

  * Add the capability to build an ISO image for the Intel IoT project.
    Additionally, stop using universe with the project given that the kernel
    is now in main.

 -- Brian Murray <brian@ubuntu.com>  Tue, 16 Nov 2021 17:00:57 -0800

livecd-rootfs (2.745) jammy; urgency=medium

  [ Erich Eickmeyer ]
  * Remove fonts and publishing tasks from ubuntustudio DVD

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Nov 2021 13:43:53 -0800

livecd-rootfs (2.744) jammy; urgency=medium

  * Install desired already seeded snap in wsl.
    As wsl is an image target of ubuntu-cpc, the base seed is hardcoded to
    ubuntu-server instead of wsl one. For now, add it, as for the other
    cpc images, in hooks.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 05 Nov 2021 10:23:24 +0100

livecd-rootfs (2.743) jammy; urgency=medium

  * magic-proxy: fix exception handling for URLError. LP: #1946520

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Mon, 25 Oct 2021 12:22:16 +0200

livecd-rootfs (2.742) impish; urgency=medium

  [ Brian Murray ]
  * Properly check ARCH when setting the intel-iot model.

  [ Sebastien Bacher ]
  * Enable universe sources on the desktop canary image.  LP: #1945831

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Oct 2021 13:11:33 -0700

livecd-rootfs (2.741) impish; urgency=medium

  [ John Chittum ]
  * mount cgroup2 type for snapd LP:#1944004

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Sep 2021 11:25:24 -0700

livecd-rootfs (2.740) impish; urgency=medium

  [ Thomas Bechtold ]
  * magic-proxy: fix TypeError when trying to call get_uri() LP:#1944906

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Sep 2021 08:38:00 -0700

livecd-rootfs (2.739) impish; urgency=medium

  [ Daniel Bungert ]
  * Correct the 'type' in the source catalog entries for the desktop ISOs.

  [ Michael Hudson-Doyle ]
  * Record information about locale support (in particular, whether to install
    langpacks and which languages have pre-baked squashfses).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 27 Sep 2021 11:10:46 +1300

livecd-rootfs (2.738) impish; urgency=medium

  [ Thomas Bechtold ]
  * Keep changelogs for native deb pkgs in minimized builds.  LP: #1943114.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Sep 2021 09:40:28 -0700

livecd-rootfs (2.737) impish; urgency=medium

  * Generate source catalogs for the desktop canary build.
  * Check for duplicate ids in update-source-catalog.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 Sep 2021 21:39:23 +1200

livecd-rootfs (2.736) impish; urgency=medium

  * Change the per language layers in the desktop canary build to have more
    regular names (and make their implementation better documented and
    hopefully more comprehensible).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 30 Aug 2021 15:30:37 +1200

livecd-rootfs (2.735) impish; urgency=medium

  * Get source catalog translations from subiquity git, as brz is in universe.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 23 Aug 2021 15:42:33 +1200

livecd-rootfs (2.734) impish; urgency=medium

  [ Ethan Hsieh ]
  * Download snap packages with correct architecture.

  [ Michael Hudson-Doyle ]
  * Create source catalogs for the installable live server layers.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 19 Aug 2021 16:49:26 +1200

livecd-rootfs (2.733) impish; urgency=medium

  [ Michael Hudson-Doyle ]
  * Add a minimal server layer underneath the full server layer. Continue to
    mount the full server layer at /media/filesystem for now to keep
    compatibility with current subiquity.

  [ Brian Murray ]
  * Check for SUBARCH and ARCH when setting the intel-iot model. (LP: #1938338)

 -- Brian Murray <brian@ubuntu.com>  Mon, 16 Aug 2021 12:22:25 -0700

livecd-rootfs (2.732) impish; urgency=medium

  [ Michael Hudson-Doyle ]
  * lb_chroot_layered: fix quoting when searching for
    trusted.overlay.opaque

  [ Łukasz 'sil2100' Zemczak ]
  * Revert previous change of fixing /dev sharing - this causes weird
    autopkgtest issues.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 02 Aug 2021 22:10:11 +0200

livecd-rootfs (2.731) impish; urgency=medium

  [ Jason C. McDonald ]
  * Generate manifest for HyperV desktop image

  [ Łukasz 'sil2100' Zemczak ]
  * Fix sharing of the /dev tree to make sure we can safely umount the chroot
    when needed. This fixes local non-livefs-builder image builds.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 28 Jul 2021 22:01:56 +0200

livecd-rootfs (2.730) impish; urgency=medium

  * Rename subarch of intel-iotg to intel-iot, add support for intel-iot
    models.

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Jul 2021 11:55:42 -0700

livecd-rootfs (2.729) impish; urgency=medium

  [ Michael Hudson-Doyle ]
  * Fix a few things found while porting the live server ISO builds to
    layers.
  * Port live server ISO builds to layers.

  [ Chloé 'kajiya' Smith ]
  * Image hangs during boot after deploying groovy-server-cloudimg-amd64.ova,
    and the upgrading the ESXi hardware version. Adding a serial port
    rectifies this - so this code change simply adds a serial port to the OVF
    template (so there is a serial port as default). (LP: #1895104)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 12 Jul 2021 10:27:35 +1200

livecd-rootfs (2.728) impish; urgency=medium

  [ Dan Bungert ]
  * Remove the customized final message from the live server cloud-init config
    as it is no longer displayed.

  [ Michael Hudson-Doyle ]
  * Make sure the process that prints SSH connection info on s390x has
    its output connected to the console. (LP: #1933523)

  [ Brian Murray ]
  * Add a subarch of intel-iotg which is used for creating images with a
    kernel optimized for Intel IOT devices.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 01 Jul 2021 11:00:08 +1200

livecd-rootfs (2.727) impish; urgency=medium

  * Remove assumption in 032-installer-squashfs.binary that all core snaps
    needed for subiquity are already in the filesystem layer. (LP: #1933352)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Jun 2021 11:51:43 +1200

livecd-rootfs (2.726) impish; urgency=medium

  * Fix overriding of ExecStart in
    serial-getty@sclp_line0.service.d/subiquity-serial.conf.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 19 Jun 2021 11:44:33 +1200

livecd-rootfs (2.725) impish; urgency=medium

  * Revert previous change. I was too impatient and didn't wait long enough
    after performing some seed changes. The tasks are now correct and we can
    go back to using ubuntu-server-raspi once again.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 15 Jun 2021 09:44:21 +0200

livecd-rootfs (2.724) impish; urgency=medium

  * Use the server-raspi task name instead of ubuntu-server-raspi. It's still
    a mystery to me why ubuntu-desktop-raspi works as expected but the server
    variant needs to use 'server-raspi', even though both tasks seem
    implemented in the same way.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 09 Jun 2021 11:14:13 +0200

livecd-rootfs (2.723) impish; urgency=medium

  [ Steve Langasek ]
  * Drop code for the 'ubuntu-core' project when not using
    image_format: ubuntu-image, as this is obsolete and not used to build
    core* snaps in recent series.

  [ Michael Hudson-Doyle ]
  * Remove all references to the "base" project, which has not been
    built since 16.04 release day.

  [ Sebastien Bacher ]
  * The u-boot-tools package was typoed. Should fix the ubuntu-preinstalled
    impish build.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 20 May 2021 10:26:53 +0200

livecd-rootfs (2.722) impish; urgency=medium

  * Simplify how getty services are customized / overriden in the live server
    installer environment. (LP: #1888497)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 11 May 2021 11:44:06 +1200

livecd-rootfs (2.721) impish; urgency=medium

  [ Dimitri John Ledkov ]
  * 999-cpc-fixes: enable more code on grub2 armhf & arm64 (LP: #1925780)
  * Add support for generic preinstalled images. LP: #1923832
  * Change iptables calls, to query rules and quickly check that
    connectivity works after transparent proxy has been installed. LP:
    #1917920
  * magic-proxy: replace http.client with urllib calls
  * buildd: Re-enable merged /usr by default, as it is now required

  [ Michael Hudson-Doyle ]
  * remove the workaround for bug #1893818

  [ Łukasz 'sil2100' Zemczak ]
  * Start using the ubuntu-server-raspi seeds for preinstalled raspi server
    images, similarly to how it's done for desktop-preinstalled images.
  * Drop the unused imx6 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 May 2021 19:08:21 +0100

livecd-rootfs (2.720) impish; urgency=medium

  [ Thomas Bechtold ]
  * Add a new ubuntu-oci project that contains the customizations currently
    performed downstream for the official Ubuntu images on dockerhub.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 30 Apr 2021 11:48:32 +1200

livecd-rootfs (2.719) hirsute; urgency=medium

  * Our raspi server images should have used the raspi-server seed in hirsute,
    but we forgot to enable it. As it's release week and doing such invasive
    changes to our Pi images is risky, let's add the dependency on
    ubuntu-raspi-settings (which is seeded) to fix USB ethernet devices and
    GPIO permissions (LP: #1922266).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 19 Apr 2021 22:54:03 +0200

livecd-rootfs (2.718) hirsute; urgency=medium

  * Do not have cloud-init set the installer user's password to something
    random during boot, as cloud-init now hides the value it was set to much
    better. Instead, subiquity will reset the password itself.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 30 Mar 2021 10:57:21 +1300

livecd-rootfs (2.717) hirsute; urgency=medium

  * riscv64: generalise slightly how preinstalled server images are built,
    to allow using subarch to pick u-boot binaries to install.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Mar 2021 17:08:56 +0000

livecd-rootfs (2.716) hirsute; urgency=medium

  * Use the correct config keys in suppressing cloud-init output during boot
    of live server ISO.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 11 Mar 2021 10:49:47 +1300

livecd-rootfs (2.715) hirsute; urgency=medium

  [ Gauthier Jolly ]
  * ubuntu-cpc: change mount options in fstab to be align with defaults
    (LP: #1902103, LP: #1881006)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 02 Mar 2021 11:40:56 -0600

livecd-rootfs (2.714) hirsute; urgency=medium

  * Suppress cloud-init output during boot of live server ISO.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 26 Feb 2021 09:57:21 +1300

livecd-rootfs (2.713) hirsute; urgency=medium

  * Use the full name of the 'boot' flag in parted calls as it's not good
    practice to rely on the shortened, ambiguous version.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 24 Feb 2021 12:55:37 +0100

livecd-rootfs (2.712) hirsute; urgency=medium

  [ Cody Shepherd ]
  * Add grub config to produce console output and install lxd-agent loader
    to allow buildd vm images to work in lxd without requirement for manual
    installation (LP: #1915571)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 23 Feb 2021 14:32:19 -0600

livecd-rootfs (2.711) hirsute; urgency=medium

  * Perform fsck on all rootfs. (LP: #1912835)
  * functions: stop removing systemd-detect-virt unconditionally in undivert_grub
    (LP: #1902260)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Feb 2021 12:48:44 +0000

livecd-rootfs (2.710) hirsute; urgency=medium

  * esp: install grub in ubuntu bootloader id path, instead of removable.
    (LP: #1912830)
  * esp: perform fsck. (LP: #1912835)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 28 Jan 2021 10:43:20 +0000

livecd-rootfs (2.709) hirsute; urgency=medium

  [ Sebastien Bacher ]
  * Desktop is using the hwe kernel, do the same on canary

  [ Iain Lane ]
  * auto/config: Install pi-bluetooth for raspi images.
    These are in restricted, and so cannot be depended on by the
    metapackages which are in main.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 04 Jan 2021 10:38:15 +0000

livecd-rootfs (2.708) hirsute; urgency=medium

  * disk-image-uefi: fix riscv64 subarch user-data.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Dec 2020 09:15:36 +0000

livecd-rootfs (2.707) hirsute; urgency=medium

  * qcow2-image: unbreak builds without subarch.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 05 Dec 2020 15:17:46 +0000

livecd-rootfs (2.706) hirsute; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * As per discussion, we might want to keep the UC20 images a bit bigger than
    what's defined via the gadget/rootfs contents, to make sure writable is
    comfortably big enough. Use the same hard-coded value as for UC16 and UC18.
    (LP: #1905990)

  [ Dimitri John Ledkov ]
  * riscv64: fixup subarch build, unbound variable

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 03 Dec 2020 16:18:21 +0000

livecd-rootfs (2.705) hirsute; urgency=medium

  * config: on hirsute build UC22 images

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Dec 2020 11:05:55 +0000

livecd-rootfs (2.704) hirsute; urgency=medium

  * riscv64: build preinstalled riscv64 image with uboot SPL and CIDATA.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Dec 2020 17:16:03 +0000

livecd-rootfs (2.703) hirsute; urgency=medium

  * Do not hard-code the UC20 amd64 image size as now ubuntu-image should be
    able to properly calculate the needed size itself (LP: #1905990).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 27 Nov 2020 17:39:29 +0100

livecd-rootfs (2.702) hirsute; urgency=medium

  [ Sebastien Bacher ]
  * Use the target realpath to do the unmounting
  * Correctly set the environment needed by snapd in layered

  [ Dimitri John Ledkov ]
  * get-ppa-fingerprint: use production instance with latest api.
  * disk-image-uefi: riscv64 add u-boot spl (LP: #1905274)
  * disk-image-uefi: riscv64 add ubuntu:ubuntu login, without expiry.
  * rebuild with the correct version of 2.701 changes.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Nov 2020 18:41:34 +0000

livecd-rootfs (2.701) hirsute; urgency=medium

  [ Cody Shepherd ]
  * buildd: Create manifests for buildd tarballs

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 20 Nov 2020 14:55:21 -0600

livecd-rootfs (2.700) hirsute; urgency=medium

  [ David Krauser ]
  * buildd: produce kernel and initrd as separate artifacts
  * buildd: call update-initramfs for all installed kernels
    We only have one kernel installed, so we don't need to
    specify an explicit version.
  * Include -security and -updates packages in bootable buildd images
  * Produce buildd kernel and initrd as separate artifacts

  [ Patrick Viafore ]
  * Replace archive.ubuntu.com and security.ubuntu.com with launchpad
    mirrors. This is only done inside a build context, and the original
    sources.list file is restored at the end of the build

  [ Robert C Jennings ]
  * Use build env archive mirror in binary hooks
  * Ensure a binary hook has not changed the temporary sources.list

  [ Dimitri John Ledkov ]
  * disk-image.binary: actually skip building MBR image on EFI platforms.
  * disk-image.binary: skip building MBR image on riscv64.
  * disk-image.binary: however still build MBR image on amd64.
  * disk-image-uefi.binary: enable secureboot on the arm64 image.
  * disk-image-uefi.binary: build riscv64 image without a bootloader.

  [ Sebastien Bacher ]
  * During the layered build generate the right content for no languages

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Nov 2020 17:43:47 +0000

livecd-rootfs (2.699) hirsute; urgency=medium

  * hyper-v hook: Fix writing of pkla file out to correct scratch directory
    for image build.

 -- "Jinming Wu, Patrick" <me@patrickwu.space>  Tue, 03 Nov 2020 10:13:53 +0000

livecd-rootfs (2.698) hirsute; urgency=medium

  * amd64: always install grub-pc with shim-signed (LP: #1901906)
  * control: install qemu-utils & snapd on riscv64.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Oct 2020 22:22:30 +0000

livecd-rootfs (2.697) hirsute; urgency=medium

  [ John Chittum ]
  * Ensure vmtools version entered into vmdk header (LP: #1893898)

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 28 Oct 2020 12:02:04 -0500

livecd-rootfs (2.696) hirsute; urgency=medium

  * auto/config: seed ubuntu-desktop when building hyperv image LP: #1901846
  * auto/config: scope ubuntu:desktop-preinstalled:raspi image options LP: #1901846

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 Oct 2020 10:36:29 +0000

livecd-rootfs (2.695) hirsute; urgency=medium

  * Install only shim-signed to prevent shipping conflicting, autoremovable
    packages
  * Ensure autoremove is run after any package install

 -- Joshua Powers <josh.powers@canonical.com>  Mon, 26 Oct 2020 11:58:57 -0700

livecd-rootfs (2.694) groovy; urgency=medium

  * Add the pi desktop oem user to the adm and sudo groups, as that is needed
    for wifi configuration.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 20 Oct 2020 17:25:35 +0200

livecd-rootfs (2.693) groovy; urgency=medium

  * Build classic raspi server images by default from the 'classic' branch now.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 19 Oct 2020 12:58:15 +0200

livecd-rootfs (2.692) groovy; urgency=medium

  * Create a 1GB swapfile for the raspi desktop images.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 15 Oct 2020 11:23:47 +0200

livecd-rootfs (2.691) groovy; urgency=medium

  * Remove 68-del-part-nodes.rules from installer squashfs to work around it
    breaking curtin. (LP: #1893818)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 15 Oct 2020 08:56:11 +1300

livecd-rootfs (2.690) groovy; urgency=medium

  * Add initial support for the Ubuntu Desktop Raspberry Pi image.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 07 Oct 2020 10:49:38 +0200

livecd-rootfs (2.689) groovy; urgency=medium

  * ubuntu-cpc: remove explicit install of virtualbox-guest-utils.
    LP: #1895862

 -- John Chittum <john.chittum@canonical.com>  Tue, 29 Sep 2020 12:59:23 -0500

livecd-rootfs (2.688) groovy; urgency=medium

  * ubuntu-cpc: Fix spelling in vagrant file

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 16 Sep 2020 08:45:04 -0500

livecd-rootfs (2.687) groovy; urgency=medium

  [ Stanislav German-Evtushenko <giner> / John Chittum ]
  * Send Vagrant serial connection to NULL. (LP: #1874453)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 15 Sep 2020 15:25:19 -0500

livecd-rootfs (2.686) groovy; urgency=medium

  [ Dan Streetman ]
  * use python3-launchpadlib directly instead of python3-software-properties

  [ Steve Langasek ]
  * Restore the removal of fstab from squashfs images, now that cloud-init
    has been fixed (LP: #1877078; ref bug #1890803)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 08:53:31 -0700

livecd-rootfs (2.685) groovy; urgency=medium

  * Revert 'ubuntu-cpc: Disable boot splash in all cloud images
            (LP: #1725358)'

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 12 Aug 2020 16:52:05 -0500

livecd-rootfs (2.684) groovy; urgency=medium

  * ubuntu-cpc: Fix ppc64el grub console update

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 12 Aug 2020 13:40:42 -0500

livecd-rootfs (2.683) groovy; urgency=medium

  * Revert the removal of fstab from squashfs images, which has had knock-on
    effects and breaks MAAS (ref bug #1890803)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2020 11:31:12 -0700

livecd-rootfs (2.682) groovy; urgency=medium

  * ubuntu-cpc: Disable boot splash in all cloud images (LP: #1725358)

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 12 Aug 2020 04:52:22 -0500

livecd-rootfs (2.681) groovy; urgency=medium

  [ Patrick Wu ]
  * Use the Azure kernel for the HyperV gallery images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2020 14:54:25 -0700

livecd-rootfs (2.680) groovy; urgency=medium

  [ Cody Shepherd ]
  * Add dist-upgrade to bootable-buildd hook to ensure the built image
    doesn't contain vulnerable kernels or other packages.
  * Don't explicitly install grub-efi-amd64-signed, it's a dependency of
    shim-signed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2020 12:30:34 -0700

livecd-rootfs (2.679) groovy; urgency=medium

  *  Handle seeded lxd snap with channel name for ubuntu-cpc:minimized
     (LP: #1889470)

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 29 Jul 2020 14:55:57 -0500

livecd-rootfs (2.678) groovy; urgency=medium

  [ David Krauser ]
  * Add mechanism to detect initrdless boot fallback

  [ Dimitri John Ledkov ]
  * auto/build: use setup|teardown_mountpoint to reduce duplication
  * functions: provide nss_systemd-less nsswitch.conf in chroots.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 24 Jul 2020 21:08:07 +0100

livecd-rootfs (2.677) groovy; urgency=medium

  * Avoid rbind /sys for chroot snap pre-seeding (cgroups fail to unmount)

 -- Robert C Jennings <robert.jennings@canonical.com>  Sat, 18 Jul 2020 16:51:05 -0500

livecd-rootfs (2.676) groovy; urgency=medium

  * apparmor: Add generic v5.4 kernel apparmor features
  * apparmor: mount more up-to-date apparmor features in the chroot.
  * seccomp: add more up-to-date seccomp actions
  * seccomp: mount more up-to-date seccomp features
  * apparmor: compile all profiles

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 18 Jul 2020 01:17:54 +0100

livecd-rootfs (2.675) groovy; urgency=medium

  [ Robert C Jennings ]
  * Apply snap-preseed optimizations after seeding snaps

  [ Dimitri John Ledkov ]
  * live-server: remove duplicate snaps, due to overlayfs vs snap-preseed.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 17 Jul 2020 21:19:35 +0100

livecd-rootfs (2.674) groovy; urgency=medium

  [ David Krauser ]
  * Fix broken minimal cloud image boot on amd64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 16 Jul 2020 15:40:15 -0700

livecd-rootfs (2.673) groovy; urgency=medium

  * Fix an unbound variable in scripts/functions.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 Jul 2020 14:57:19 +1200

livecd-rootfs (2.672) groovy; urgency=medium

  [ David Krauser ]
  * Boot with an initramfs by default in cloud images, except when
    using a non-generic kernel.

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 10 Jul 2020 07:47:47 -0500

livecd-rootfs (2.671) groovy; urgency=medium

  * Fix-up seeding snaps with tracks.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jul 2020 01:55:47 +0100

livecd-rootfs (2.670) groovy; urgency=medium

  * snap_preseed: support channel specification with snap name (LP: #1882374)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 09 Jul 2020 18:34:43 +0100

livecd-rootfs (2.669) groovy; urgency=medium

  * chroot: disable amd64 codepath on riscv64

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 25 Jun 2020 18:02:51 +0100

livecd-rootfs (2.668) groovy; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Enable overrides of UC20 grade dangerous channels - as this is possible.
    (LP: #1879350)

  [ Patrick Wu ]
  * live-build/ubuntu/hooks/040-hyperv-desktop-images.binary: fix issues
    with Hyper-V xrdp support.

  [ Balint Reczey ]
  * Remove fstab from squashfs images (LP: #1877078)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 23 Jun 2020 15:05:11 +0100

livecd-rootfs (2.667) groovy; urgency=medium

  * Revert of initramfs package removal in KVM image
    (LP: #1875400)

 -- Phil Roche <phil.roche@canonical.com>  Mon, 18 May 2020 17:03:20 +0100

livecd-rootfs (2.666) groovy; urgency=medium

  [ Balint Reczey ]
  * debian/gbp.conf: Add minimal configuration for branch and tag naming

  [ Michael Hudson-Doyle ]
  * Call udevadm settle before kpartx -d

  [ Dimitri John Ledkov ]
  * Fixup indentation
  * make-lxd-metadata: add riscv64 lxd architecture tag

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 May 2020 12:29:16 +0100

livecd-rootfs (2.665) groovy; urgency=medium

  * Bump only the UC20 pc image to 8GB, and keep Pi images as small as possible.
    (LP: #1875430)
  * ubuntu-image: fix focal+ pi images for armhf to use pi-armhf model name.
    (LP: #1876358)
  * ubuntu-image: drop ubuntu-image dep on riscv64, as not installable yet.
    (LP: #1876359)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 01 May 2020 20:00:00 +0100

livecd-rootfs (2.664) focal; urgency=medium

  [ Patrick Viafore ]
  * Increase Vagrant disk size from 10G to 40G (LP: #1580596)

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 17 Apr 2020 11:03:18 -0500

livecd-rootfs (2.663) focal; urgency=medium

  * Run snap info on the downloaded snap, rather than against the
    store. First of all snap info doesn't have --channel argument, thus
    queries the wrong channel, and depening on the cohort, a different
    snap might be visible too. Thus seed the base of the snap revision we
    dowanloaded, rather than some random one from the store.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 17 Apr 2020 00:10:41 +0100

livecd-rootfs (2.662) focal; urgency=medium

  * Print subiquity ssh login details on s390x line based consoles.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 16 Apr 2020 23:54:33 +0100

livecd-rootfs (2.661) focal; urgency=medium

  * Switch Ubuntu desktop to only hwe-20.04 kernel flavour.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 16 Apr 2020 01:30:36 +0100

livecd-rootfs (2.660) focal; urgency=medium

  * Remove dependencies on qemu-utils and snapd on riscv64, we don't have
    those yet, but at least we can be on parity with i386 livecd-rootfs
    already.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 12 Apr 2020 15:42:06 +0100

livecd-rootfs (2.659) focal; urgency=medium

  * Fix logic to ensure snapd is seeded in core18-only images (LP: #1871919)

 -- Robert C Jennings <robert.jennings@canonical.com>  Thu, 09 Apr 2020 14:16:40 -0500

livecd-rootfs (2.658) focal; urgency=medium

  * Remove some deprecated raspi2 special-casing, switch the main universal
    raspi SUBARCH to use the raspi KERNEL_FLAVOUR now that the kernel packages
    have been renamed.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 08 Apr 2020 10:03:21 +0200

livecd-rootfs (2.657) focal; urgency=medium

  * server: networkd applies the first sorted matching network file, thus
    prefix 'all' fallback networks with 'zz-'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Apr 2020 13:02:56 +0100

livecd-rootfs (2.656) focal; urgency=medium

  [ David Krauser ]
  * Safely set /etc/resolv.conf to an empty file in buildd images

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 31 Mar 2020 09:56:13 -0500

livecd-rootfs (2.655) focal; urgency=medium

  * minimized: reinstall packages one by one, instead of all of them
    together, as otherwise apt fails to immediately configure libc6:amd64
    & libgcc-s1. LP: #1867607

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 16 Mar 2020 10:42:35 +0000

livecd-rootfs (2.654) focal; urgency=medium

  * Only install oem-20.04 kernel flavour on amd64, as it doesn't exist on
    other arches.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 13 Mar 2020 20:20:13 +0000

livecd-rootfs (2.653) focal; urgency=medium

  * Stop trying to extract autoinstall config during boot, subiquity will do
    it instead.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 11 Mar 2020 09:56:22 +1300

livecd-rootfs (2.652) focal; urgency=medium

  * Switch to using the generic pi gadget repo for classic builds. Use the
    generic branches instead of the 'classic' one as well, as this should now
    work for both core and classic.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 09 Mar 2020 09:52:30 +0100

livecd-rootfs (2.651) focal; urgency=medium

  * Do not start subiquity until cloud-final and snapd.seeded have
    completed.  (LP: #1863887)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 06 Mar 2020 17:07:37 +0100

livecd-rootfs (2.650) focal; urgency=medium

  * Support generating a .disk/info file via ubuntu-image from the passed-in
    datestamp parameter (using the $NOW environment variable).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 06 Mar 2020 11:12:12 +0100

livecd-rootfs (2.649) focal; urgency=medium

  * Fix autoinstall-extracting runcmd in the case no user-data is passed.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 05 Mar 2020 15:36:25 +0100

livecd-rootfs (2.648) focal; urgency=medium

  * Enable cloud-init in live server installer live session on all
    architectures.
  * Remove code for old design for getting autoinstall.yaml.
  * Add runcmd to extract autoinstall.yaml from user-data.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 04 Mar 2020 16:10:35 +0100

livecd-rootfs (2.647) focal; urgency=medium

  * Address snap base regression after snap-tool removal

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 25 Feb 2020 16:15:48 -0600

livecd-rootfs (2.646) focal; urgency=medium

  * Pass --verbose to `snap info` so that it includes the base.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 24 Feb 2020 11:22:21 +0000

livecd-rootfs (2.645) focal; urgency=medium

  [ Robert C Jennings ]
  * Use snap cli rather than custom snap-tool

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 13:02:43 -0800

livecd-rootfs (2.644) focal; urgency=medium

  * Rename the raspi3 SUBARCH to raspi, as we generate universal generic pi
    images since long.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 21 Feb 2020 12:37:02 +0100

livecd-rootfs (2.643) focal; urgency=medium

  * subiquity:
    - drop ds-identify policy, not needed with improved cloud config
    - drop disabling network, doesn't work with ip=
    - fixup setting up the INSTALLER_ROOT mountpoint

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Feb 2020 23:50:16 +0000

livecd-rootfs (2.642) focal; urgency=medium

  * Set uc20 image size to 10G.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 10 Feb 2020 12:43:44 +0000

livecd-rootfs (2.641) focal; urgency=medium

  * Configure a better nocloud datasource for subiquity cloud-init.
  * Encode CHANNEL specification in the UC20 model names.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 Feb 2020 22:18:11 +0000

livecd-rootfs (2.640) focal; urgency=medium

  * Although the request flavour to install is oem-20.04, it really is
    called just oem on disk. Override the flavour name from oem-20.04 to
    oem when renaming built artefacts. This also means that ubuntu-cdimage
    needs to simply download 'oem' vmlinuz+initrd pairs, not 'oem-20.04'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 30 Jan 2020 11:52:32 +0000

livecd-rootfs (2.639) focal; urgency=medium

  * On s390x subiquity:
    - enable cloud-init
    - make cloud-init handle the default/baked in networking configuration
    - install and enable openssh-server for the installation only
    - provide cloud.cfg that generates random installer user password
    - disable subiquity on sclp_line0 line based console

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 Jan 2020 14:16:09 +0000

livecd-rootfs (2.638) focal; urgency=medium

  * Install oem-20.04 kernel flavour on Ubuntu Desktop builds.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jan 2020 15:06:02 +0000

livecd-rootfs (2.637) focal; urgency=medium

  * Ensure seed partition is mounted on no-cloud images which use system-boot
    as their seed (LP: #1860046)
  * Have getty wait for cloud-init to complete to ensure that the default
    user exists before presenting a login prompt

 -- Dave Jones <dave.jones@canonical.com>  Fri, 24 Jan 2020 15:17:56 +0000

livecd-rootfs (2.636) focal; urgency=medium

  * Stop trying to install linux-oem. It's dropped, but us trying to install
    it is causing Ubuntu images to fail to build. It is due to be replaced by
    linux-oem-20.04 (currently built from linux-...-5.4). But that is stuck in
    focal-proposed at the minute, so there is nothing to transition to until
    it migrates.
  * Drop linux-signed-generic for flavours too - follow up from 2.630 which
    handled this for Ubuntu. (LP: #1859146)
  * Ditto for ubuntu-core:system-image - move from linux-signed-image-generic
    to linux-image-generic.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 10 Jan 2020 12:11:02 +0000

livecd-rootfs (2.635) focal; urgency=medium

  * Preserve apt preferences created by any package we install (i.e.
    ubuntu-advantage-tools) against live-build's attempt to delete them.
    (LP: #1855354)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 14 Dec 2019 21:00:45 +1300

livecd-rootfs (2.634) focal; urgency=medium

  * Only build bootable buildd images for amd64.
  * Properly setup the chroot before using the network.

 -- David Krauser <david.krauser@canonical.com>  Thu, 12 Dec 2019 13:50:58 -0400

livecd-rootfs (2.633) focal; urgency=medium

  * Snapd for uc20 model assertions does not support global channel overrides.
    So make sure --channel is not passed to u-i for any uc20 builds for now.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 12 Dec 2019 14:10:37 +0100

livecd-rootfs (2.632) focal; urgency=medium

  [ David Krauser ]
  * Fix broken DNS in buildd image builds.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 12 Dec 2019 10:34:55 +1300

livecd-rootfs (2.631) focal; urgency=medium

  * Add support for uc20 model assertions.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 10 Dec 2019 15:27:39 +0100

livecd-rootfs (2.630) focal; urgency=medium

  * Drop installing dummy transitional linux-signed-generic, these days
    linux-generic is always signed, on arches that need/support it.
  * Ship two kernel flavours on desktop image.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 09 Dec 2019 14:47:27 +0000

livecd-rootfs (2.629) focal; urgency=medium

  * Also make qemu-utils a non-i386 dependency, since it is only used for
    cloud images we're not making and pulls in a lot of other dependencies.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Nov 2019 20:56:28 -0800

livecd-rootfs (2.628) focal; urgency=medium

  * Also make the ubuntu-image dependency arch-conditional, since
    ubuntu-image pulls in snapd.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Nov 2019 21:47:05 -0800

livecd-rootfs (2.627) focal; urgency=medium

  * Don't depend on snapd on i386, since i386 support in focal is only for
    launchpad buildd chroots.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Nov 2019 10:49:23 -0800

livecd-rootfs (2.626) focal; urgency=medium

  * No-change rebuild to build for i386 again (for now).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 28 Nov 2019 11:43:51 +1300

livecd-rootfs (2.625) focal; urgency=medium

  * Make autoinstall files from initrd and filesystem with label autoinstall
    available on live-server systems.
  * Create a filelist whenever creating a manifest for an ubuntu-cpc
    project.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 28 Nov 2019 09:20:38 +1300

livecd-rootfs (2.624) focal; urgency=medium

  * Mark packages as autoinstalled using apt-mark in the chroot
    instead of using python-apt that potentially starts talking to the build
    system's dbus causing various problems. (LP: #1835406)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 13 Nov 2019 21:01:51 +0100

livecd-rootfs (2.623) focal; urgency=medium

  * Add new buildd based bootable image for snapcraft builds.

 -- David Krauser <david.krauser@canonical.com>  Fri, 08 Oct 2019 10:48:48 -0400

livecd-rootfs (2.622) focal; urgency=medium

  * Support fetching classic gadget trees from a non-github-mirrored launchpad
    repository for ubuntu-image to use.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 30 Oct 2019 14:06:48 +0100

livecd-rootfs (2.621) focal; urgency=medium

  * Make sure the imx6 subarch uses the ubuntu-image imageformat.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 29 Oct 2019 12:31:35 +0100

livecd-rootfs (2.620) eoan; urgency=medium

  * Limit the lxd group to images with an installer; it's less appropriate
    for random tarball images, which are configured in ways we don't know.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 13 Oct 2019 23:15:02 -0600

livecd-rootfs (2.619) eoan; urgency=medium

  * Subiquity: install linux-firmware in the installer layer, to make
    firmware blobs available in the live session. LP: #1847835

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 13 Oct 2019 20:53:11 +0100

livecd-rootfs (2.618) eoan; urgency=medium

  [ Michael Hudson-Doyle ]
  * Do not create a hook manually for ubuntu-cpc builds, make-hooks does not
    like that.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 08 Oct 2019 21:21:45 -0700

livecd-rootfs (2.617) eoan; urgency=medium

  * Create the lxd group as a system group for all projects. (LP: #1844498)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 09 Oct 2019 10:12:09 +1300

livecd-rootfs (2.616) eoan; urgency=medium

  * Subiquity images mount /usr/lib/modules from a squashfs, which systemd
    tries to unmount on shutdown, whilst they are still being in use. As
    systemd-udevd kmod built-in's libkmod has modules.* files
    memorymapped. This produces an warning on shutdown, flooding the
    screen with messages as systemd switches to a more verbose
    output. Specify LazyUnmount=yes on that mount, such that unmount call
    succeeds without flooding the shutdown log.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Oct 2019 19:05:01 +0100

livecd-rootfs (2.615) eoan; urgency=medium

  * magic-proxy: dump proxy log to stdout on failure

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 04 Oct 2019 10:24:18 -0500

livecd-rootfs (2.614) eoan; urgency=medium

  * 002-add-foreign-kernel.chroot_early: enable amd64 as a foreign arch on
    i386 image builds, since this is where the kernel comes from henceforth.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 02 Oct 2019 17:05:32 -0700

livecd-rootfs (2.613) eoan; urgency=medium

  * 999-ubuntu-image-customization.chroot: use IMAGEFORMAT=none for the checks
    instead of ubuntu-image, as that is what is used during ubuntu-image rootfs
    builds.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 19 Sep 2019 11:27:12 +0200

livecd-rootfs (2.612) eoan; urgency=medium

  * Hopefully the last fix for 999-ubuntu-image-customization.chroot: use
    config/chroot to pass IMAGEFORMAT instead of config/common, as only that
    file is updated with the right contents when the chroot hooks are run.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 16 Sep 2019 14:07:01 +0200

livecd-rootfs (2.611) eoan; urgency=medium

  * Execute chroot_hacks in live layer only.
  * lb_chroot_layered: also snap_validate_seed after all snaps are seeded

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 13 Sep 2019 12:37:25 +0100

livecd-rootfs (2.610) eoan; urgency=medium

  * Fix a typo in the 999-ubuntu-image-customization.chroot hook.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 10 Sep 2019 17:35:00 +0200

livecd-rootfs (2.609) eoan; urgency=medium

  [ Ethan Hsieh ]
  * Add support for the Nitrogen6x board (LP: #1838064).

  [ Łukasz 'sil2100' Zemczak ]
  * Do not initialize EXTRA_SNAPS with an empty value. Allow overrides via the
    environment.
  * Make sure that currently all ubuntu-image built images ship the NoCloud
    system-boot clout-init datasource (as right now all u-i targets are
    physical devices).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 10 Sep 2019 10:46:28 +0200

livecd-rootfs (2.608) eoan; urgency=medium

  [ Iain Lane ]
  * snap_preseed: Handle SNAP_NO_VALIDATE_SEED being unset.

  [ Colin Watson ]
  * Use iptables-legacy rather than iptables when running on older
    (pre-4.15) kernel versions.  The newer nf_tables-based tools misbehave
    at least on 4.4.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Sep 2019 15:35:17 +0100

livecd-rootfs (2.607) eoan; urgency=medium

  * snap seeding: Defer validation for regular image builds. When getting the
    list of snaps to include on an image via germinate, we process the snaps
    in alphabetical order. Currently we seed several packages `gnome-foo` and
    also `gtk-common-themes`, the default provider of `gtk-3-themes`. Since
    `gtk-common-themes` is alphabetically after `gnome-foo`, the `seed.yaml`
    we generate is invalid when we are part way through generating. What we
    really care about, though, is not that the `seed.yaml` is always valid at
    every step, but it is that it is valid at the *end* of seeding.  So for
    the germinate case, let's defer validation to happen once at the end.
    Other callsites of `snap_preseed`, where callers are careful to seed snaps
    in the right order, are unaffected by this.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 02 Sep 2019 14:22:49 +0100

livecd-rootfs (2.606) eoan; urgency=medium

  * Undivert update-initramfs more carefully: previously the wrapper script
    and diversion were left in place on images such as buildd images that
    don't have initramfs-tools installed (LP: #1841573).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Aug 2019 17:05:32 +0100

livecd-rootfs (2.605) eoan; urgency=medium

  [ David Krauser ]
  * KVM disk images should derive from the uefi image.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 26 Jul 2019 14:36:03 -0300

livecd-rootfs (2.604) eoan; urgency=medium

  * Stop installing the udisks2 and pulseaudio extra snaps for the UC18 kassel
    subflavor images - those snaps were only needed for internal testing
    purposes.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 23 Jul 2019 17:58:05 +0200

livecd-rootfs (2.603) eoan; urgency=medium

  [ Tobias Koch ]
  * Add retry logic to snap-tool to make downloads more resilient

  [ Robert C Jennings ]
  * ubuntu-cpc: Only produce explicitly specified artifacts (LP: #1837254)

 -- Tobias Koch <tobias.koch@canonical.com>  Mon, 15 Jul 2019 17:59:06 +0200

livecd-rootfs (2.602) eoan; urgency=medium

  [ David Krauser ]
  * Fixing broken binary hook symlinks for hyperv gallery image builds.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Jul 2019 14:07:10 +0100

livecd-rootfs (2.601) eoan; urgency=medium

  [ Michael Vogt ]
  * Run "snap debug validate-seed" during preseeding to do basic validation of
    the generated seed.yaml

 -- Iain Lane <iain.lane@canonical.com>  Tue, 16 Jul 2019 11:30:27 +0100

livecd-rootfs (2.600) eoan; urgency=medium

  [ Tobias Koch ]
  * Do proper error checking when calling snap-tool info to determine
    the base of a snap.

  [ Iain Lane ]
  * Seed core for non minimized builds, as it is still required (LP:
    #1836594).

 -- Tobias Koch <tobias.koch@canonical.com>  Mon, 15 Jul 2019 16:13:31 +0100

livecd-rootfs (2.599) eoan; urgency=medium

  * Append the list of seeded snaps to manifests for all regular images.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 02 Jul 2019 11:39:11 +0200

livecd-rootfs (2.598) eoan; urgency=medium

  * Change minimize-manual to read package section from version instead
    of package objects, fixing compatibility with (python-)apt 1.9.0

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 24 Jun 2019 17:55:03 +0200

livecd-rootfs (2.597) eoan; urgency=medium

  * Install s390-tools-zkey into the installer layer for zkey support in
    subiquity.
  * Unbreak cpc/server builds, by ensuring that includes are copied with
    archived symlinks, and only hooks resolve symlinks when getting
    copied.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Jun 2019 23:25:13 +0100

livecd-rootfs (2.596) eoan; urgency=medium

  * Add tzdata to buildd images.  It isn't strictly build-essential, but it
    has traditionally been present in both Debian and Ubuntu, and a variety
    of things fail without it.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Jun 2019 23:21:56 +0100

livecd-rootfs (2.595) eoan; urgency=medium

  * Remove dangling symlink
    /usr/lib/systemd/system/local-fs.target.wants/media-region.lower.mount.
    It's unclear why this has just started causing build failures, but the
    symlink should have been removed in 2.592 with the rest of the MAAS
    stuff.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 15 Jun 2019 11:09:48 -0700

livecd-rootfs (2.594) eoan; urgency=medium

  [ David Krauser ]
  * Add support for HyperV Gallery images

  [ Patrick Viafore ]
  * Add support for linux-kvm images

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 12 Jun 2019 17:47:43 +0000

livecd-rootfs (2.593) eoan; urgency=medium

  * Use boot-partition for cloud-init seed on RPi

 -- Dave Jones <dave.jones@canonical.com>  Thu, 06 Jun 2019 08:29:57 +0000

livecd-rootfs (2.592) eoan; urgency=medium

  * Drop trying to mount removed maas squashfs.
  * Stop overriding initramfs compression default to lzma. LP: #1831736
  * Do not force lzma on ubuntu-core builds, the compress format default
    should be set universally inside initramfs-tools-ubuntu-core package
    instead of getting duplicated multiple times all over the place.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Jun 2019 13:55:06 +0100

livecd-rootfs (2.591) eoan; urgency=medium

  * Fix typpo when dropping jasper.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Jun 2019 23:53:12 +0100

livecd-rootfs (2.590) eoan; urgency=medium

  * Drop dead wubi subproject.
  * Drop dead jasper subproject.
  * Drop old arm platforms.
  * Drop ubuntu-desktop-next configs
  * Drop ubuntu-desktop-next hooks
  * Drop ubuntu-touch configs
  * Drop ubuntu-touch hooks
  * Drop ubuntu-rtm configs

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Jun 2019 23:45:43 +0100

livecd-rootfs (2.589) eoan; urgency=medium

  * Add support for the 'kassel' subflavor of UC18 images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 May 2019 01:41:13 -0700

livecd-rootfs (2.588) eoan; urgency=medium

  * Add an explicit build-dependency on python3-yaml since livecd-rootfs
    uses it, rather than relying on this dependency being pulled in
    indirectly via ubuntu-image.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 May 2019 14:23:11 -0700

livecd-rootfs (2.587) eoan; urgency=medium

  * Strip translation files out of the minimal images, another thing that
    goes unused when there is no human console user (and we already don't
    have the locales themselves present on a minimal image).  LP: #1829333.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 May 2019 08:40:42 -0700

livecd-rootfs (2.586) eoan; urgency=medium

  [ Robert C Jennings ]
  * magic-proxy: Send headers on error (LP: #1829944)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 23 May 2019 12:33:21 +1200

livecd-rootfs (2.585) eoan; urgency=medium

  [ Robert C Jennings ]
  * ubuntu-cpc: Ensure base disk image is the same between all build targets

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 21 May 2019 09:37:23 +1200

livecd-rootfs (2.584) eoan; urgency=medium

  * Build WSL rootfs tarball (LP: #1827930)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 16 May 2019 23:01:13 +0200

livecd-rootfs (2.583) eoan; urgency=medium

  * Use snap-tool to seed subiquity snap.
  * Drop maas hook from server-live.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 16 May 2019 15:23:22 +0200

livecd-rootfs (2.582) eoan; urgency=medium

  * Don't purge busybox-static in minimized, no longer installed

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 13 May 2019 14:22:56 +0200

livecd-rootfs (2.581) eoan; urgency=medium

  * Remove device nodes later for ubuntu-base:minimized (i.e. docker) builds.
    (LP: #1828118)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 08 May 2019 09:59:35 +1200

livecd-rootfs (2.580) eoan; urgency=medium

  * Run clean_debian_chroot after minimize_manual (LP: #1826377)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 26 Apr 2019 10:30:15 +0200

livecd-rootfs (2.579) eoan; urgency=medium

  * Fix ubuntu-server-live images to generate initrd with casper
    UUID. Whilst configs are sources, the variables are not exported into
    the environment by default. Thus when casper hook is executed, it had
    no idea that it should generate UUID.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 25 Apr 2019 17:07:10 +0100

livecd-rootfs (2.578) disco; urgency=medium

  * Fix the sed script that Tobias had right in the first place and I
    mangled in the previous upload.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 13 Apr 2019 02:13:19 -0700

livecd-rootfs (2.577) disco; urgency=medium

  [ Tobias Koch ]
  * Detect which core snaps are required and install them on-the-fly.
  * If image has core18 snaps only, automatically preseed snapd.

  [ Michael Hudson-Doyle ]
  * Slim down ubuntu-cpc:minimized builds:
    - Do not include any snaps in ubuntu-cpc:minimized builds (erroring if any
      snap other than lxd is seeded).
    - Install the lxd-installer package instead, which installs the lxd snap
      when invoked.
    - Install lxd snap in unminimize.

  [ Balint Reczey ]
  * Pass --sort=name to tar to make tarballs more reproducible and
    rsync-friendly

  [ Steve Langasek ]
  * Adjust sed command for clarity.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2019 13:34:56 -0700

livecd-rootfs (2.576) disco; urgency=medium

  * When the "snap-tool" script encounters a core snap it will switch to
    the "stable" channel if the channel was set to "stable/ubuntu-X.X". This
    ensures that core snaps always come from one canonical source.
  * Running `snap-tool info <snap_name>` will now also print out the base of
    the snap.

 -- Tobias Koch <tobias.koch@canonical.com>  Tue, 09 Apr 2019 17:33:34 +0100

livecd-rootfs (2.575) disco; urgency=medium

  [ Robert C Jennings ]
  * Remove duplicate snap listings in ubuntu-cpc qcow manifest

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 01 Apr 2019 14:29:16 -0400

livecd-rootfs (2.574) disco; urgency=medium

  * Make serial-subiquity@ use the same codepath as tty1 subiquity.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 21 Mar 2019 22:51:04 +0000

livecd-rootfs (2.573) disco; urgency=medium

  * Add languages to live pass
    The name of the pass is live and not "ubuntu-live" which is the live pass
    default task.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Mar 2019 17:10:53 +0100

livecd-rootfs (2.572) disco; urgency=medium

  * Revert "subiquity: fix name of mdoules.squashfs to mount", debian-cd
    has been fixed to to go back to the original name.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 20 Mar 2019 00:57:54 +0000

livecd-rootfs (2.571) disco; urgency=medium

  * subiquity: fix name of mdoules.squashfs to mount

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Mar 2019 14:21:28 +0000

livecd-rootfs (2.570) disco; urgency=medium

  [ Jean-Baptiste Lallement ]
  * Fix grub divert for multilayer images:
    grub-probe must not be called during image build so grub is diverted. In
    multilayer image the chroot is always the tip of the filesystem, so we
    divert grub at the beginning of each pass and undivdert it as the end.
    For flat images, it's diverted just before building the chroot and
    undiverted after.

  [ Didier Roche ]
  * Ensure default langpacks are removed after installation:
    Add langpacks to live tasks to have them in the ubiquity diff file and
    thus, purged after installation if not selected. (LP: #1818890)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 18 Mar 2019 09:58:56 +0100

livecd-rootfs (2.569) disco; urgency=medium

  * Drop /etc/update-motd.d/51-cloudguest from cloud images; this is not
    consistent with current Ubuntu Advantage product language.  Any future
    customizations to update-motd for cloud images should be done via a
    package instead.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Mar 2019 10:05:48 -0700

livecd-rootfs (2.568) disco; urgency=medium

  [ Tobias Koch ]
  * Make sure snap-tool exits with non-zero exit status, if a problem
    occurred.

  [ Steve Langasek ]
  * divert grub when calling into lb chroot, to avoid any problems from
    grub-probe.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2019 18:14:46 -0700

livecd-rootfs (2.567) disco; urgency=medium

  * Fix change to ignore ubiquity packages, it failed to mark anything
    as automatic.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 27 Feb 2019 09:02:14 +0100

livecd-rootfs (2.566) disco; urgency=medium

  [ Julian Andres Klode ]
  * Do not mark direct dependencies of ubiquity as auto installed. This caused
    cryptsetup to remain auto on the installed system (LP: #1801629)

  [ Tobias Koch ]
  * When the magic-proxy script could not find a valid InRelease file for the
    configured timestamp, it would fall back to serving the canonical version
    of it. This meant that builds would succeed, even though snap-shotting the
    repository failed.
    .
    This update makes the script return HTTP 404 when an InRelease by-hash
    link for a given combination of mirror, suite and timestamp cannot be
    found.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 26 Feb 2019 08:56:02 +0100

livecd-rootfs (2.565) disco; urgency=medium

  * Also drop dependency on python.
  * Drop python3-minimal alternate dependency; nothing should depend on
    python3-minimal.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 Feb 2019 08:26:16 +0100

livecd-rootfs (2.564) disco; urgency=medium

  * Use python3 vmdkstream exclusively; we should not fall back to python2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Feb 2019 08:28:43 +0100

livecd-rootfs (2.563) disco; urgency=medium

  * Make sure buildd images have a /usr/sbin/policy-rc.d symlink.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Feb 2019 15:57:11 +0000

livecd-rootfs (2.562) disco; urgency=medium

  * subiquity: make subiqutiy_config.mount optional
  * Add python3 vmdkstream support

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Feb 2019 12:01:51 +0100

livecd-rootfs (2.561) disco; urgency=medium

  * Support building pi3-arm64 core18 images. At the same time, make sure we
    still use the right gadget tree repository for the classic arm64 pi3
    image.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 06 Feb 2019 18:07:06 +0100

livecd-rootfs (2.560) disco; urgency=medium

  [ Colin Watson ]
  * Disable merged /usr in buildd images.
  * Drop code to handle building buildd images for series earlier than
    disco; we'll deal with those in stable updates instead.

  [ Tobias Koch ]
  * When the REPO_SNAPSHOT_STAMP environment variable is set, inject a
    proxy into the build providing a snapshot view of the package repo.
  * Replace "snap download" with tool that uses snap store's coherence
    feature.

  [ Didier Roche ]
  * Fix customized images with multiple brand/models.
    Some customized images are built from the same chroot, but need to
    override brands and models.

  [ Balint Reczey ]
  * live-build/functions: Always use mount --make-private before umount.
    (LP: #1813730)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 05 Feb 2019 19:51:03 +0700

livecd-rootfs (2.559) disco; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Add support for multi layer filesystem by generating one squashfs per layer
    based on PASSES defined by project.
    Thanks Michael Hudson-Doyle for the reviews.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 01 Feb 2019 08:04:35 +0100

livecd-rootfs (2.558) disco; urgency=medium

  * Use the new linux-firmware-raspi2 for pi3 boot binary blobs as
    raspi3-firmware includes upgrade hooks that conflict with our image
    configuration.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 18 Jan 2019 17:09:26 +0100

livecd-rootfs (2.557) disco; urgency=medium

  * Don't install gpg or gpg-agent when building buildd images for series
    earlier than bionic.  (In earlier series, those packages didn't exist
    and gnupg was build-essential.)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Jan 2019 12:50:39 +0000

livecd-rootfs (2.556) disco; urgency=medium

  * Add wpasupplicant to the additional packages installed for the raspi2 and
    raspi3 targets.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 11 Jan 2019 11:25:05 +0100

livecd-rootfs (2.555) disco; urgency=medium

  * Apparently the last raspi3 image rename was not what cdimage expected.
    Link to the expected name instead, so that we can change it to something
    more sensible once raspi2 is migrated to ubuntu-image.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 10 Jan 2019 22:54:23 +0100

livecd-rootfs (2.554) disco; urgency=medium

  * Default to IMAGEFORMAT=ubuntu-image for raspi3 ubuntu-cpc builds.
  * Rename the resulting raspi3 image file to *.disk1.img.xz to be compatible
    with how raspi2 images are provided.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 09 Jan 2019 10:34:59 +0100

livecd-rootfs (2.553) disco; urgency=medium

  * Add a LXD image to builds for the buildd subproject.
  * Move buildd image building to binary hooks.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Jan 2019 21:23:31 +0000

livecd-rootfs (2.552) disco; urgency=medium

  * Do not include curtin in the live-server installer.squashfs as the
    version of subiquity that includes it in the snap has now been released to
    stable.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 19 Dec 2018 11:00:08 +1300

livecd-rootfs (2.551) disco; urgency=medium

  * Do no install openssh-server in the base filsystem for the live server
    installer.
  * Use right lsb_release argument for HWE kernel name (-sc -> bionic, need
    -sr -> 18.04).
  * A few simple tweaks to reduce size of live servers installer.squashfs:
    - Do not run apt-get update (which can bring in package lists if we are
      unlucky wrt publisher schedules).
    - Run apt-get clean to clear out downloaded debs of curtin/casper and
      dependencies.
    - Do not install user-setup.
    - Use the core snap from the base filesystem if present.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 17 Dec 2018 13:40:21 +1300

livecd-rootfs (2.550) disco; urgency=medium

  [ Balint Reczey ]
  * Update Vcs-* fields in debian/control to point to git.

  [ Michael Hudson-Doyle ]
  * Fix typo preventing builds of ubuntu-core images.
  * Changes to kernel handling for live-server: do not include kernel/initrd
    in filesystem.squashfs but rather install it in a throwaway layer on top
    of installer.squashfs and fish kernel, initrd and modules out of that with
    an initrd hook that records kernel metapackage name in /run and mounts
    /lib/modules from a squashfs on the ISO.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 13 Dec 2018 14:04:52 +1300

livecd-rootfs (2.549) disco; urgency=medium

  [ Tobias Koch ]
  * Use series files with dependency handling to generate hook symlinks
    dynamically

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Dec 2018 14:15:34 -0800

livecd-rootfs (2.548) disco; urgency=medium

  * Key netplan delegation to NetworkManager on presence of
    /usr/sbin/NetworkManager, not on /usr/lib/NetworkManager which may have
    hooks from other packages (i.e., wpasupplicant).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Dec 2018 13:38:09 +0200

livecd-rootfs (2.547) disco; urgency=medium

  [ Łukasz Zemczak ]
  * Add support for raspi3 rootfs builds (based on Ryan Finnie's changes).
  * For ubuntu-image consumption, export the kernel and initrd to
    image/boot/uboot for raspi*.
  * Avoid issues of hard-linking to a symbolic vmlinuz as this can lead to a
    dangling symlink.
  * Add raspi3 arm64 rootfs build support.
  * Add git to the build dependencies for the gadget tree pull.
  * Minor fixes to raspi3 builds: add arm64+raspi3 to the supported model
    list, pass SUITE on to the build stage and use the git:// url for the
    gadget tree.

  [ Aleksandr Bogdanov ]
  * vagrant: disabling automatic console log file

  [ Michael Zanetti ]
  * Don't set QML2_IMPORT_PATH in environment for Ubuntu Touch images.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Nov 2018 17:20:29 +0100

livecd-rootfs (2.546) disco; urgency=medium

  * Revert "Do not mount result, on top of lowerdir, appears to fail in
    disco." the actual problem is in live-build with merged-usr and
    copying over chroot/binary includes.
  * Move overlay include.binary /lib to /usr/lib.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Nov 2018 20:37:51 +0000

livecd-rootfs (2.545) disco; urgency=medium

  [ Dimitri John Ledkov ]
  * Do not mount result, on top of lowerdir, appears to fail in
    disco. Should unblock building server-live images in disco.
  * Also strip duplicate \n from the below.

  [ Cody Shepherd ]
  * Fix snap-seed-parse to take filename argument instead of printing to
    stdout

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 09 Nov 2018 22:22:29 +0000

livecd-rootfs (2.544) disco; urgency=medium

  [ Steve Langasek ]
  * Properly fix the hard-linking of vmlinuz, taken astray by my misguided
    merge review.

  [ Dimitri John Ledkov ]
  * When calling snap-seed-parse append stdout to file, but redirect
    stderr to stdout, thus unbreak autopkgtests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 08 Nov 2018 15:40:42 +0000

livecd-rootfs (2.543) disco; urgency=medium

  [ Cody Shepherd ]
  * Ensure pre-seeded snaps are now published in the image manifests.
  * Include grub efi packages in manifests for uefi images.

  [ Aleksandr Bogdanov ]
  * vagrant: disabling automatic console log file

  [ Łukasz 'sil2100' Zemczak ]
  * Avoid issues of hard-linking to a symbolic vmlinuz as this can lead to a
    dangling symlink.

  [ Steve Langasek ]
  * Unconditionally set GRUB_FORCE_PARTUUID in cloud images; as of version
    2.02+dfsg1-5ubuntu5 grub will automatically fall back to booting with an
    initrd if one is available, so we can now always attempt initramfsless
    boot for cloud images which almost always works and causes only minimal
    increase in boot time for cases where it does not.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Nov 2018 14:40:17 -0700

livecd-rootfs (2.542) cosmic; urgency=medium

  * Decide what model assertion series to fetch depending on the suite. Use 16
    for xenial and 18 for other series (bionic+). This enables core18 image
    builds.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 03 Oct 2018 11:51:59 +0200

livecd-rootfs (2.541) cosmic; urgency=medium

  [ Michael Hudson-Doyle ]
  * Remove device nodes from Docker images. (LP: #1645468)

  [ Robert C Jennings ]
  * Add the server snap seed to the ubuntu-cpc project
  * Allow hooks to replace generic snap assertion

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Sep 2018 15:21:49 -0700

livecd-rootfs (2.540) cosmic; urgency=medium

  * Ensure /lib/modules exists in root tarballs and sqashfs.
    (LP: #1792905)

 -- Tobias Koch <tobias.koch@canonical.com>  Thu, 20 Sep 2018 09:38:34 +0200

livecd-rootfs (2.539) cosmic; urgency=medium

  * Stop building buildd chroots with --xattrs until we move to python3.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Sep 2018 02:52:10 -0600

livecd-rootfs (2.538) cosmic; urgency=medium

  * Add a buildd subproject.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Sep 2018 16:35:54 +0200

livecd-rootfs (2.537) cosmic; urgency=medium

  * Minimize the number of manually installed packages in images by marking
    dependencies of metapackages as automatically installed.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 18 Sep 2018 08:55:04 +0200

livecd-rootfs (2.536) cosmic; urgency=medium

  * Fix live-server journald config snippet to actually disable journald rate
    limiting.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 28 Aug 2018 11:00:39 +1200

livecd-rootfs (2.535) cosmic; urgency=medium

  * Disentangle enabling universe in the final image a little from having
    PREINSTALLED=true set and enable it for a live-server build.
    (LP: #1783129)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 24 Aug 2018 13:04:51 +1200

livecd-rootfs (2.534) cosmic; urgency=medium

  [ Michael Hudson-Doyle ]
  * Disable journald rate limiting in the live-server live session.
    (LP: #1776891)

  [ Steve Langasek ]
  * generate all tar files with --xattrs.  LP: #1302192.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 Aug 2018 13:12:02 -0700

livecd-rootfs (2.533) cosmic; urgency=medium

  [ Robert C Jennings ]
  * ubuntu-cpc: Remove git-man for minimized images
  * Disable checksum generation

  [ Colin Watson ]
  * live-build/auto/config: Drop "lp-*" hostname filter for Launchpad
    builders, since LP #1747015 is now fixed; "*.buildd" should be enough.

  [ Francis Ginther ]
  * Update unminimize script text and install ubuntu-standard when
    unminimizing a minimal image (LP: #1778777)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Jul 2018 11:06:54 -0600

livecd-rootfs (2.532) cosmic; urgency=medium

  * ubuntu-cpc: Generate the root image contents once, and use it for both the
    -root.tar.xz and the .squashfs.

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 07 Jun 2018 11:11:02 -0700

livecd-rootfs (2.531) cosmic; urgency=medium

  [ Daniel Watkins ]
  * ubuntu-cpc: Use linux-kvm for all amd64 minimized builds (LP: #1775472).

  [ Steve Langasek ]
  * live-build/ubuntu-cpc/hooks/033-disk-image-uefi.binary: don't manually
    install grub-efi-amd64 since that forces off grub-pc, which is otherwise
    now coinstallable.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jun 2018 17:34:07 -0700

livecd-rootfs (2.530) cosmic; urgency=medium

  * ubuntu-cpc: Reintroduce the -root.tar.xz artifact (LP: #1585233).

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 06 Jun 2018 11:21:57 -0700

livecd-rootfs (2.529) cosmic; urgency=medium

  * Improvements to the ubuntu-base (i.e. Docker) build:
    - Customize the unminimize script to not install ubuntu-minimal.
    - Divert /usr/bin/man to a script that points to the unminimize script.
    - Remove apt lists that are currently removed downstream anyway.
      (LP: #1699913)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 07 Jun 2018 05:59:12 +1200

livecd-rootfs (2.528) cosmic; urgency=medium

  * Don't divert grub-probe; otherwise we're missing the filesystem UUIDs that
    the grub search command needs to find the right prefix/root. This is
    different than the PARTUUID for booting initrd-less.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 28 May 2018 10:39:09 -0400

livecd-rootfs (2.527) cosmic; urgency=medium

  * Symlink systemd-networkd-wait-online to /bin/true in the live installer
    live session to avoid depending on buggy systemd behaviour.
  * Remove "optional: true" from installer netplan config.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 23 May 2018 14:27:01 +1200

livecd-rootfs (2.526) cosmic; urgency=medium

  * Drop Lubuntu Next now that Lubuntu Next is Lubuntu.
  * Don't follow recommends on Lubuntu now that this is no longer the
    case in the seed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 03 May 2018 23:18:52 -0500

livecd-rootfs (2.525) bionic; urgency=medium

  * Don't fail to build CPC images if /lib/modules already exists in the
    squashfs.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Tue, 24 Apr 2018 13:00:39 -0400

livecd-rootfs (2.524) bionic; urgency=medium

  * Ensure MAAS squashfsi are clean of passwords. LP: #1764991.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Apr 2018 21:23:30 +0100

livecd-rootfs (2.523) bionic; urgency=medium

  * Allow the configuration of model assertions independent of preseeding
    snaps.
  * Allow non-generic model assertions to be configured.
  * Don't include the name of the model assertion in the path we write it out
    to (LP: #1764541).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Thu, 19 Apr 2018 11:44:38 -0400

livecd-rootfs (2.522) bionic; urgency=medium

  * Remove landscape-common from minimal image, and handle restoring it in
    unminimize script.  LP: #1763182.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 Apr 2018 13:53:00 -0700

livecd-rootfs (2.521) bionic; urgency=medium

  * In subiquity image, mount additional squashfs in /media.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Apr 2018 14:20:27 +0200

livecd-rootfs (2.520) bionic; urgency=medium

  * Make lzma initramfs compression opt-in rather than opt-out, and do not
    opt-in to it for live-server builds to speed up the boot. (LP: #1750873)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 11 Apr 2018 19:15:49 +1200

livecd-rootfs (2.519) bionic; urgency=medium

  [ Robert C Jennings ]
  * Refactor snap preseeding to allow additional snaps to be preseeded from
    hooks

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Apr 2018 15:59:33 -0700

livecd-rootfs (2.518) bionic; urgency=medium

  * Make subiquity installer boot quicker, by making dhcp interfaces
    optional, such that wait-online is not blocking bringing up the
    installer UI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 03 Apr 2018 14:56:58 +0100

livecd-rootfs (2.517) bionic; urgency=medium

  [ Simon Quigley ]
  * Add proper lubuntu support in BASE_SEED.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 03 Apr 2018 11:56:32 +0100

livecd-rootfs (2.516) bionic; urgency=medium

  [ Chris Glass ]
  * Make sure we call the build "minimal" within the cloud build info,
    when building a minimized image.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Mar 2018 12:12:31 -0700

livecd-rootfs (2.515) bionic; urgency=medium

  * Set the default locale to C.UTF-8 in all server and cloud images.
   (LP: #1751051, #1759003)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 27 Mar 2018 09:59:02 +1300

livecd-rootfs (2.514) bionic; urgency=medium

  * On amd64, if building minimal images for bionic, xenial, or extra ppa,
    use kvm kernel, otherwise fallback to virtual.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 21 Mar 2018 11:02:25 +0000

livecd-rootfs (2.513) bionic; urgency=medium

  * In the live-server build, prevent casper from mounting any existing
    swap partitions from drives we might later be installing to.
    (LP: #1743643)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 21 Mar 2018 15:58:02 +1300

livecd-rootfs (2.512) bionic; urgency=medium

  * ubuntu-cpc: When performing a minimized build, don't generate artifacts
    that won't boot with the linux-kvm kernel (LP: #1757223).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Tue, 20 Mar 2018 13:42:50 -0400

livecd-rootfs (2.511) bionic; urgency=medium

  * Whitelist preserving "unowned" /var/log/journal. Maybe systemd package
    should own the directory, and only adjust the permissions in
    postinst. LP: #1754332

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 16 Mar 2018 18:36:56 +0000

livecd-rootfs (2.510) bionic; urgency=medium

  * Rename the directory containing the systemd override file for subiquity to
    the correct name :/
  * Add Environment=SNAP_REEXEC=0 to the above override file.
  * Remove the snap.subiquity.started overrides, that service is long gone.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 15 Mar 2018 14:09:57 +1300

livecd-rootfs (2.509) bionic; urgency=medium

  [ Steve Langasek ]
  * Properly handle loop device names when there are > 10 devices on the
    system.

  [ Dimitri John Ledkov ]
  * Build EFI armhf images.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Mar 2018 12:58:46 +0000

livecd-rootfs (2.508) bionic; urgency=medium

  * Use Ubuntu-specific branches when seeding snaps, as required in
    <https://wiki.ubuntu.com/UbuntuSeededSnaps>.
  * Add dependency on distro-info for the above.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Mar 2018 10:15:43 +0100

livecd-rootfs (2.507) bionic; urgency=medium

  * ubuntu-server: generate multi-lowerdir overlayfs for
    maas-rack-controller, and full maas. To be used in subiquity for maas
    install options.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 Feb 2018 13:11:03 +0000

livecd-rootfs (2.506) bionic; urgency=medium

  * live-build-auto/{build,config}: Support fetching a file from the seed
    mirror (BASE_SEED.minimal-remove) and putting it into the livefs build as
    filesystem.manifest-minimal-remove. It's intended for ubiquity to read
    this file as a list of packages to remove when doing a 'minimal' desktop
    installation.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 23 Feb 2018 15:37:42 +0000

livecd-rootfs (2.505) bionic; urgency=medium

  * Move casper from filesystem.squashfs to installer.squashfs.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 23 Feb 2018 16:54:51 +1300

livecd-rootfs (2.504) bionic; urgency=medium

  * Override JobRunningTimeoutSec to 0s on the .device unit that
    subiquity_config.mount depends on to avoid a 5s delay on switching to a
    new VT when there is no device there (LP: #1750117)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 21 Feb 2018 10:39:58 +1300

livecd-rootfs (2.503) bionic; urgency=medium

  * Install linux-signed-generic in the live-server image. (LP: #1749065)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 15 Feb 2018 09:54:14 +1300

livecd-rootfs (2.502) bionic; urgency=medium

  * Shuffle subiquity service definition to a mix of a snapd-generated service
    file (from the subiquity snap) and an overlay (in this package).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 14 Feb 2018 12:46:06 +1300

livecd-rootfs (2.501) bionic; urgency=medium

  * Stop building ova, vmdk, vagrant images on i386.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Feb 2018 11:24:49 +0000

livecd-rootfs (2.500) bionic; urgency=medium

  * Disable the snapd.refresh.timer in the live server session.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Feb 2018 13:43:12 +1300

livecd-rootfs (2.499) bionic; urgency=medium

  * live-build/auto/config: Take into account SUBPROJECT when setting seeded
    snaps, and also make sure we can work with snaps seeded in project hooks.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 06 Feb 2018 23:37:32 -0500

livecd-rootfs (2.498) bionic; urgency=medium

  * Don't write config/seeded-snaps if no snaps have been seeded.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 01 Feb 2018 11:52:56 +0000

livecd-rootfs (2.497) bionic; urgency=medium

  * live-build/auto/config: Clean out unused hostname matches and fix indenting.
  * live-build/auto/config: Reinstate hostname filtering for "*.buildd", which
    is the correct match for non-lxd builders, and add "lp-*" for the lxd ones.
  * live-build/auto/config: Fix incorrect quoting causing a skipped if statement
    in non-live ubuntu-server builds since sometime in mid-October of last year.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 31 Jan 2018 20:54:54 -0700

livecd-rootfs (2.496) bionic; urgency=medium

  * Update hostname matches for launchpad buildds to match current practice,
    fixing build failures due to LP being unable to reach
    people.canonical.com.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 31 Jan 2018 16:41:23 -0800

livecd-rootfs (2.495) bionic; urgency=medium

  * Set ports/archive as appropriate for default mirror - should fix
    autopkgtests.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 31 Jan 2018 09:38:07 +0000

livecd-rootfs (2.494) bionic; urgency=medium

  * Run subiquity on any serial consoles that the user told systemd
    about.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 31 Jan 2018 21:58:33 +1300

livecd-rootfs (2.493) bionic; urgency=medium

  * Set a default archive mirror - needed for germinate.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 30 Jan 2018 15:08:23 +0000

livecd-rootfs (2.492) bionic; urgency=medium

  * Oops. I shouldn't reference my private stuff.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 30 Jan 2018 11:51:19 +0000

livecd-rootfs (2.491) bionic; urgency=medium

  * Support seeding of snaps, as emitted by germinate >= 2.27.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 30 Jan 2018 11:20:28 +0000

livecd-rootfs (2.490) bionic; urgency=medium

  * ubuntu-cpc: Initramfs compression should match default for
    update-initramfs (LP: #1744114)

 -- Robert C Jennings <robert.jennings@canonical.com>  Mon, 29 Jan 2018 12:15:17 -0500

livecd-rootfs (2.489) bionic; urgency=medium

  [ Balint Reczey ]
  * Revert to building minimized and not minimimized images with the same
    ~2.2 GiB size
  * Stop suggesting partimage which is not used anymore
  * Drop Nexus 7 support

  [ Steve Langasek ]
  * Add support for passing snap channel to ubuntu-core image builds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Jan 2018 15:04:42 -0800

livecd-rootfs (2.488) bionic; urgency=medium

  * Enable systemd-networkd by default for live-server installs.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 04 Jan 2018 09:36:56 +1300

livecd-rootfs (2.487) bionic; urgency=medium

  * Drop android-tools-fsutils dependency, and instead install it on
    demand for the nexus7 sub-arch. This target is no longer produced,
    thus by doing this android-tools can fall out of main to universe.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 11 Dec 2017 12:22:36 +0000

livecd-rootfs (2.486) bionic; urgency=medium

  [ Michael Hudson-Doyle ]
  * Install grub-ieee1275 instead of grub2 on ppc64el; grub2 is a dummy
    transitional package in universe.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 14:22:43 -0800

livecd-rootfs (2.485) bionic; urgency=medium

  [ Michael Hudson-Doyle ]
  * Automount a partition of fixed UUID for giving subiquity canned answers.

  [ Balint Reczey ]
  * Use default xz compression (-6) for raspi2 image.
    Xz with -0 generated ~35% bigger compressed image. (LP: #1732681)
  * Zero fill space in UEFI partitions, too
  * Set LB_ISO_PREPARER to livecd-rootfs to avoid unbound variable in
    default string
  * Build minimized images in a 1GiB image

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 04 Dec 2017 10:51:13 +1300

livecd-rootfs (2.484) bionic; urgency=medium

  [ Balint Reczey ]
  * Skip setting up initrd for s390x when it is not generated for the image.
    This fixes building minimized s390x images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Nov 2017 16:58:34 -0800

livecd-rootfs (2.483) bionic; urgency=medium

  * Fix lingering reference to livecd-rootfs.ubuntu-core.model-assertion
    that breaks the ubuntu-core image build.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Nov 2017 09:15:13 -0800

livecd-rootfs (2.482) bionic; urgency=medium

  * Remove boot/grub leftovers from our root squashfs, left behind after
    grub purge.
  * Remove apt, debconf, dpkg cruft files from /var/cache and /var/lib in all
    our livefses.
  * Pass --cache false to lb config; otherwise we copy around caches of
    .debs that are never used properly, and which prevent us from emptying
    /var/cache/apt in images.
  * When building minimized cloud images, remove various packages that we
    don't want installed by default.  Some are tools that aren't needed for
    non-interactive use; some are libraries whose reverse-dependencies
    will have already been removed; and one, open-vm-tools, should only be
    included in images that are targeted to VMWare (which is not the case
    for any of the current minimal images), rather than being included
    directly in the cloud-image seed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Nov 2017 23:49:43 -0800

livecd-rootfs (2.481) bionic; urgency=medium

  * The target for x86 ubuntu-core images is VMs, so create them with
    a buffer of free space in order to work if booted in place.
  * ubuntu-image now produces a manifest file listing the snap revisions
    used; publish this so that it's picked up by launchpad-buildd.
  * Change ubuntu-core image builds to use the standard "$PREFIX" naming for
    artifacts instead of being gratuitously different; requires a matching
    change to ubuntu-cdimage.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Nov 2017 23:29:50 -0800

livecd-rootfs (2.480) bionic; urgency=medium

  [ Gary Wang ]
  * Add the IMAGEFORMAT=none to support generating a single rootfs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 Nov 2017 11:12:45 -0800

livecd-rootfs (2.479) bionic; urgency=medium

  * Purge initramfs-tools from minimized images.
  * Make sure to remove any initramfs that was generated in a minimized
    image.
  * divert /usr/bin/systemd-detect-virt as part of the grub diversions, so
    that the grub kernel postinst hook is operational when we're building
    in a container.  LP: #1729034.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Oct 2017 09:58:35 -0700

livecd-rootfs (2.478) artful; urgency=medium

  [ Michael Hudson-Doyle ]
  * Two last minute server-live fixes:
    - Seed the subiquity snap to track the stable channel (LP: #1724410)
    - Remove snap.subiquity.started from subiquity's After=/Requires= as it
      does not fix the race condition they were intended to address and causes
      subiquity to be killed when snapd refreshes subiquity (LP: #1724411)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 Oct 2017 22:08:38 -0700

livecd-rootfs (2.477) artful; urgency=medium

  * Fix server live image to pull subiquity from the stable channel, not
    from edge.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 15 Oct 2017 13:44:56 -0700

livecd-rootfs (2.476) artful; urgency=medium

  * snap.subiquity.started.service must be RemainAfterExit=yes to satisfy
    the service dependencies.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Oct 2017 09:23:52 -0400

livecd-rootfs (2.475) artful; urgency=medium

  * Add the SNAP_REEXEC=0 enviroment to the subiquity service as well.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Oct 2017 00:32:46 -0400

livecd-rootfs (2.474) artful; urgency=medium

  * Fix wrong variable name in systemd unit snippets.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Oct 2017 18:24:21 -0400

livecd-rootfs (2.473) artful; urgency=medium

  [ Balint Reczey ]
  * Clean up dangling /boot/initrd.img symlink when needed
  * Revert ignoring failure of minimized autopkgtest on ppc64el
  * Use kvm kernel only on amd64
  * Skip installing server task when building minimial images

  [ Steve Langasek ]
  * export SNAP_REEXEC=0 to our snappy systemd units in the livefs overlay,
    to work around apparmor not working reliably against aufs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Oct 2017 12:46:14 -0400

livecd-rootfs (2.472) artful; urgency=medium

  [ Michael Hudson-Doyle ]
  * Add snap.subiquity.started.service to subiquity.service's Requires=.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Oct 2017 18:41:01 -0400

livecd-rootfs (2.471) artful; urgency=medium

  * Now that grub-related diversions have been factored out in 2.466
    instead of having bogus root=stuff arg generated in grub.cfg, it is
    actually empty. Therefore update the sed command to make the arg in
    the root= token optional. This should resolve non-booting livecd cpc
    images.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Oct 2017 13:26:21 +0100

livecd-rootfs (2.470) artful; urgency=medium

  * Add initial support for preinstallation of snaps in images, and
    preinstall pulsemixer in the Ubuntu MATE image.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 08 Oct 2017 21:49:09 -0400

livecd-rootfs (2.469) artful; urgency=medium

  * Unminimization information should only go to motd when we are actually
    minimized.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 08 Oct 2017 16:08:10 -0400

livecd-rootfs (2.468) artful; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop obsolete fix-ups of resolv.conf, debootstrap should now result in
    correct symlink to resolved without any further fixes.

  [ Michael Hudson-Doyle ]
  * Have subiquity.service order after on a service defined by the subiquity
    snap, which in turn will order after the job that mounts the subiquity
    snap. (LP: #1721414)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 06 Oct 2017 12:52:43 +1300

livecd-rootfs (2.467) artful; urgency=medium

  * fix remaining wrong references to /etc/default/grub.d/40-partuuid

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Oct 2017 23:52:21 -0700

livecd-rootfs (2.466) artful; urgency=medium

  * ubuntu-server: drop hard-coded test key from the subiquity overlay in
    favor of the generic-classic assertion from the store.
  * move snap assertion handling into the generic build script (and, in
    the process, from the subiquity overlay to the base squashfs).
  * add ubuntu-mate to the set of projects we add snap model assertions to.
  * Factor out grub-related diversions and use them consistently, so we
    don't end up with wrong os-probe output in our grub.cfg.
  * Fix the force-partuuid handling to create the file under
    /etc/default/grub.d/ with a .cfg extension as grub expects; it's unclear
    how this ever worked without.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Oct 2017 23:02:36 -0700

livecd-rootfs (2.465) artful; urgency=medium

  * Skip installation of kernel headers for all minimal images
  * Use the kvm kernel flavor for minimized cloud image where available,
    not virtual.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Oct 2017 10:31:20 -0700

livecd-rootfs (2.464) artful; urgency=medium

  * Ignore failure of new autopkgtest on ppc64el, where it's not a
    regression.
  * Use /bin/sh, not /bin/bash, for autopkgtest.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Oct 2017 13:39:20 -0700

livecd-rootfs (2.463) artful; urgency=medium

  [ Balint Reczey ]
  * Bump needed live-build version which can build images without initrd
  * Mention unminimize script in motd
  * Warn users that unminimize may fail reinstalling packages
  * Use SUBPROJECT=minimized name instead of SUBPROJECT=minimize for
    consistency
  * Run autopkgtest for SUBPROJECT=minimized
  * When SUBPROJECT environment variable is not set assume it to be ""

  [ Michael Hudson-Doyle ]
  * Fix path to subiquity-loadkeys

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Sep 2017 17:33:02 -0400

livecd-rootfs (2.462) artful; urgency=medium

  * Fix a reference to an undefined variable in a script that's set -u.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Sep 2017 15:10:47 -0400

livecd-rootfs (2.461) artful; urgency=medium

  * In subiquity, loadkeys to setup Shift+Tab key combination.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 28 Sep 2017 13:58:43 -0400

livecd-rootfs (2.460) artful; urgency=medium

  [ Steve Langasek ]
  * Begin adding support for a project-independent 'minimize' subproject, which
    (ironically) omits ubuntu-minimal in favor of using only the minbase
    package set.
  * Export the subproject into config/chroot and config/binary, so that this
    information is available to per-project hooks that need to be
    subproject-aware (e.g., to skip steps when SUBPROJECT=minimize)
  * Make the 999-cpc-fixes.chroot subproject-aware, so we don't try to
    locale-gen
  * In a cloud environment, we can rely on the kernel being able to boot the
    root filesystem directly, without an initramfs; enable this when building
    minimized.
  * If we're using SUBPROJECT=minimize, and tzdata is not installed, remove
    files that have been left behind.  This is a workaround for a bug that
    should be fixed in tzdata.

  [ Balint Reczey ]
  * Mount using --make-rslave to ensure safe unmounts for rbind mounts
  * Don't ask for password and GECOS while creating vagrant user
  * Drop man pages and most of the documentation from minimized images
    /usr/share/doc/*/copyright and changelog.Debian.gz files are still kept
  * Add unminimize script for reverting minimization on running system
  * Install ubuntu-minimal while unminimizing the system

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 28 Sep 2017 09:24:30 -0400

livecd-rootfs (2.459) artful; urgency=medium

  [ Steve Langasek ]
  * Remove spurious call to 'sync'; we don't need to flush all disk caches
    on the system to cleanly unmount a partition.

  [ Michael Hudson-Doyle ]
  * only show alert (i.e. panic) kernel messages on the console when
    subiquity is running

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Sep 2017 11:34:20 +1200

livecd-rootfs (2.458) artful; urgency=medium

  * Move default netplan config for server-live image to where hook will
    pick it up.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 18 Sep 2017 10:47:59 +1200

livecd-rootfs (2.457) artful; urgency=medium

  * Enable systemd-networkd by default.
    - Usually, netplan's systemd-generator enables systemd-networkd and
    systemd-networkd-wait-online on boot. But netplan configuration is not
    yet generated at that point by cloud-init. Cloud-init generates in the
    network-pre.target and expects the network.target /
    network-online.target to work. These are already part of the ongoing
    systemd transaction, thus cannot be injected into the boot-sequency by
    cloud-init local mode. Therefore make sure cloud images include
    networkd in the initial boot transaction.
    - src:systemd will shortly not enable networkd unconditionally by
    default.
  * Drop ifupdown e-n-i configuration files, no longer used.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 17 Sep 2017 15:17:45 +0100

livecd-rootfs (2.456) artful; urgency=medium

  * Improve teardown_mountpoint to recursively find all submounts and
    unmount them, instead of working from a hard-coded list.  This makes
    the code resilient against other submounts being added later, including
    downstream.
  * Also nuke the sleep / udevadm settle calls in the process, which should
    never be required and slow down the builds.

  [ Michael Hudson-Doyle ]
  * set a default netplan config of dhcp-on-ethernet for the server live image

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Sep 2017 22:35:03 -0700

livecd-rootfs (2.455) artful; urgency=medium

  * Restore the call to 'umount -R $mountpoint' from umount_partition,
    accidentally dropped in previous upload.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Sep 2017 12:50:10 -0700

livecd-rootfs (2.454) artful; urgency=medium

  [ Steve Langasek ]
  * live-build/functions: mount tmpfs on /var/cache/apt and var/lib/apt, so
    we don't have to leave empty space in our derivative images for packages
    that have been downloaded/installed/removed.  This normally isn't
    relevant for the installed system, since the root filesystem will
    auto-expand in place on the target disk, but lets us ship smaller
    images.
  * live-build/functions: also call 'apt-get update' after mounting the
    blank /var/lib/apt.
  * live-build/ubuntu-cpc/hooks/033-disk-image-uefi.binary: call apt-get
    update *before* installing packages, not after.

  [ Robert C Jennings ]
  * live-build/ubuntu-cpc/functions: Add a function, teardown_mountpoint,
    to reverse the work done in setup_mountpoint.  Lack of this function
    has forced users of setup_mountpoint to implement this separately
    and the implementations have diverged. (LP: #1716992)
  * live-build/ubuntu-cpc/functions: Remove umount_settle function.
    The was only used where teardown_mountpoint was lacking.

  [ Steve Langasek ]
  * Also adjust live-build/ubuntu-server/hooks/032-installer-squashfs.binary
    to use teardown_mountpoint.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Sep 2017 12:04:48 -0700

livecd-rootfs (2.453) artful; urgency=medium

  [ Chris Glass ]
  * Create vagrant user for vagrant image, per upstream requirements.

  [ Colin Watson ]
  * Mount and unmount /dev recursively, to cope with setups where there are
    interesting bind-mounts under /dev (e.g. loop devices bind-mounted by
    LXD).  LP: #1716465.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Sep 2017 11:39:11 -0700

livecd-rootfs (2.452) artful; urgency=medium

  * Fix suppressing kpartx error

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 29 Aug 2017 16:18:36 +0200

livecd-rootfs (2.451) artful; urgency=medium

  * Fix a reference to an undefined variable in the ubuntu-cpc hooks,
    introduced by the previous upload.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Aug 2017 14:28:43 -0700

livecd-rootfs (2.450) artful; urgency=medium

  [ Steve Langasek ]
  * Set a default locale of C.UTF-8 in the cloud images.

  [ Mathieu Trudel-Lapierre ]
  * Drop special handling of grub modules.  Modules should be included in
    the signed grub binaries when necessary.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 23 Aug 2017 17:27:53 -0700

livecd-rootfs (2.449) artful; urgency=medium

  [ Balint Reczey ]
  * Use VMDKstream in a more future-proof way

  [ Dimitri John Ledkov ]
  * Drop creating upstart jobs for serial getty.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Aug 2017 17:02:53 +0100

livecd-rootfs (2.448) artful; urgency=medium

  [ Balint Reczey ]
  * Depend on packages in main instead of installing them at runtime
  * Depend on vmdk-stream-converter instead of installing it at run time
  * Use xz -T4 -0 instead of pxz (LP: #1701132)
    Supported xz versions before 5.2 also accept the -T4 option but ignore
    it.
  * Depend on xz-utils instead of pxz

  [ Mathieu Trudel-Lapierre ]
  * auto/config: enable Debug::pkgDepCache::AutoInstall so tracking down
    dependency bugs in the livefs is a little clearer.

  [ Robert C Jennings ]
  * live-build/functions: Update path for VMDKstream.py (LP: #1706116)

 -- Brian Murray <brian@ubuntu.com>  Mon, 24 Jul 2017 11:06:24 -0700

livecd-rootfs (2.447) artful; urgency=medium

  * Add cm3 as a known ubuntu-core image type.  LP: #1698223.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Jun 2017 23:36:44 -0700

livecd-rootfs (2.446) artful; urgency=medium

  * Build ubuntu back with tasks. The metapackage switch was due to g++
    transition and needed some additional hint. This is adding maintenance
    and as mentioned in 2.335, we can revert this.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 02 Jun 2017 15:08:29 +0200

livecd-rootfs (2.445) artful; urgency=medium

  * Resurrect Balint's fix from
    lp:~rbalint/livecd-rootfs/livecd-rootfs-autopkgtest-fix to wrap kpartx
    and trap spurious errors, since the problem is still being seen
    intermittently on i386 despite us calling sync before kpartx.

  [ Mathieu Trudel-Lapierre ]
  * Use ubuntu-server as the user for autologin on ubuntu-server live images.

  [ Simon Quigley ]
  * Use the correct task for lubuntu-next.
  * Use --no-install-recommends for lubuntu-next, consistent with lubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 May 2017 15:56:52 -0700

livecd-rootfs (2.444) artful; urgency=medium

  * For now, make sure all automated image builds are on the edge channel.
    Eventually we will want to pass the channel as build metadata instead.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Apr 2017 18:22:45 -0700

livecd-rootfs (2.443) artful; urgency=medium

  * Mark autopkgtests isolation-machine since debootstrap won't work in a
    container.
  * Use xz to compress ubuntu-image .img files before transfer, so that we
    have smaller downloads and retain file sparseness everywhere.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Apr 2017 17:50:07 -0700

livecd-rootfs (2.442) artful; urgency=medium

  [ Robert Jennings ]
  * live-build/ubuntu-cpc/hooks/060-ipv6.chroot: remove faulty release
    comparison prior to aa-series (LP: #1681548)
  * live-build/ubuntu-cpc/hooks/999-extras.binary: Exit on first failure

  [ Balint Reczey ]
  * sync before calling kpartx to let writing to loop devices finish
  * Sort and list dependencies nicely
  * Require PROJECT environment to be set for lb build
  * Allow overwriting IMAGEFORMAT even for ubuntu-cpc and ubuntu-server
  * Optionally use ubuntu-image for building snap based images

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Apr 2017 15:15:12 -0700

livecd-rootfs (2.441.2) zesty; urgency=medium

  * The ubuntu-server:live should use a casper-based initramfs to work
    correctly. (LP: #1682460)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 18 Apr 2017 09:56:31 -0400

livecd-rootfs (2.441.1) zesty; urgency=medium

  * Setup kernel properly for ubuntu-server:live; we *do* want to build
    kernel-generic and initrd-generic for this image. (LP: #1682460)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 13 Apr 2017 11:14:09 -0400

livecd-rootfs (2.441) zesty; urgency=medium

  [ Balint Reczey ]
  * Add a basic but configurable autopkgtest.

  [ Mathieu Trudel-Lapierre ]
  * Add ubuntu-server:live for a subiquity-based server image.
  * Refactor functions out of ubuntu-cpc and ubuntu-server hooks.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 12 Apr 2017 19:37:08 -0400

livecd-rootfs (2.440) zesty; urgency=medium

  [ Steve Langasek ]
  * live-build/ubuntu-cpc/functions: don't call sleep as part of
    umount_settle; udevadm settle is synchronous and there's no reason to
    sleep after it.
  * live-build/ubuntu-cpc/functions: umount_partition: don't call
    umount_settle for each submount; just unmount them one by one and
    settle at the end.
  * Support passing IMAGE_TARGETS in the environment, to limit which images
    are output as part of a build; particularly useful for ubuntu-cpc builds
    which output multiple image types.

  [ Nishanth Aravamudan ]
  * live-build/ubuntu-cpc/hooks/061-open-iscsi.chroot: generate iSCSI
    Initiator Name at first iscsid run for cloud images to ensure it is
    unique (LP: #1444992).

  [ Brian Murray ]
  * Fix the OVF's metadata to include Ubuntu specific identifiers and
    descriptions instead of the generic Linux ones. Thanks to Chris Glass.
    (LP: #1656293)
  * Add replace_grub_root_with_label function thereby consolidating multiple
    uses of the same calls to sed. Thanks to Dan Watkins.

  [ Adam Conrad ]
  * Set device_tree_address for the new kernel in the RPi bootloader config.txt

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Mar 2017 11:39:22 -0600

livecd-rootfs (2.439) zesty; urgency=medium

  * Fix the manifest generation in OVA files so that ovf files don't have
    double extensions.  Thanks to Chris Glass.  (LP: #1627931)

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Feb 2017 13:32:59 -0800

livecd-rootfs (2.438) zesty; urgency=medium

  * live-build/auto/config: Add ubuntu-budgie project (LP: #1652144)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 22 Dec 2016 18:51:29 +0000

livecd-rootfs (2.437) zesty; urgency=medium

  * live-build/auto/config: Don't remove .pyc files any more - we don't care
    *that* much about the small space gain these days, and would prefer the
    speed win. (LP: #1627190)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 04 Nov 2016 11:02:13 +0000

livecd-rootfs (2.436) zesty; urgency=medium

  [ Robert C Jennings ]
  * ubuntu-cpc: Remove redundant copy of grub files.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 28 Oct 2016 21:49:42 -0400

livecd-rootfs (2.435) yakkety; urgency=medium

  * Update the ubuntu-touch hints to try installing ubuntu-system-settings
    instead of ubuntu-system-settings-online-accounts as this makes the dep
    resolver more happy on amd64/i386 systems. This should fix the current
    image build failure for yakkety i386 images.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 10 Oct 2016 14:41:46 +0200

livecd-rootfs (2.434) yakkety; urgency=medium

  * Update the 00-uid-gid-fix.chroot_early hook for touch to include the new
    known good bootstrap hash values.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 30 Sep 2016 11:20:22 +0200

livecd-rootfs (2.433) yakkety; urgency=medium

  * Use the virtual kernel for the arm64 cpc images instead of generic.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 22 Sep 2016 21:54:16 -0600

livecd-rootfs (2.432) yakkety; urgency=medium

  * Use the virtual kernel for the powerpc64 cpc images (LP: #1625368)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 19 Sep 2016 16:55:40 -0600

livecd-rootfs (2.431) yakkety; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Temporarily change the 60-install-click.chroot script to pull in clicks for
    arm64 builds from a different location for ubuntu-touch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Sep 2016 14:27:40 -0500

livecd-rootfs (2.430) yakkety; urgency=medium

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/01-setup_user.chroot:
    - do not create "ubuntu" user for ubuntu-core anymore, the
      console-conf package will create this user now
  * live-build/ubuntu-core/hooks/02-add_user_to_groups.chroot
    - dropped

  [ Steve Langasek ]
  * live-build/ubuntu-cpc/hooks/042-vagrant.binary: fix unmount handling
    so that the teardown is done properly /before/ we try to make an
    image from our filesystem, since otherwise /etc/resolv.conf is broken.
    LP: #1621393.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 09 Sep 2016 15:57:27 -0700

livecd-rootfs (2.429) yakkety; urgency=medium

  * live-build/auto/build: Fix typo in netplan policy snippet.
    *brown paperbag* (LP: #1615180)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 20 Aug 2016 06:56:37 +0200

livecd-rootfs (2.428) yakkety; urgency=medium

  * live-build/auto/build: Move NetworkManager configuration to the right
    place.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 19 Aug 2016 16:28:23 +0200

livecd-rootfs (2.427) yakkety; urgency=medium

  * live-build/auto/build: If the image pre-installs network-manager, let it
    manage all devices by default by shipping a default netplan policy.
    Installing NM on an existing system only manages wifi and wwan, to avoid
    interfering with networkd managed devices on existing server/cloud
    instances.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Aug 2016 08:39:36 +0200

livecd-rootfs (2.426) yakkety; urgency=medium

  * live-build/ubuntu-core/hooks/400-create-apt-get-warning.binary
    - use echo to display the error, thanks ogra for pointing that out,
      update the string also to use the new snappy command naming

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Aug 2016 15:23:19 +0200

livecd-rootfs (2.425) yakkety; urgency=medium

  * live-build/ubuntu-core/hooks/400-create-apt-get-warning.binary,
    500-create-xdg-wrapper.binary, 700-classic-dir.binary:
    - Correct some syntax errors in the ubuntu-core snap hooks.
    - Create a desktop entry and some mimetype associations for xdg-open in
      ubuntu-core. That way interacting with web, email and documentations
      urls in a snap should do the right thing.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Aug 2016 12:11:19 +0200

livecd-rootfs (2.424) yakkety; urgency=medium

  * Install nplan in the ubuntu-core image.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Aug 2016 10:28:45 +1200

livecd-rootfs (2.423) yakkety; urgency=medium

  [ Simon Quigley ]
  * Add an image for Lubuntu Next (LXQt)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Aug 2016 13:02:01 -0700

livecd-rootfs (2.422) yakkety; urgency=medium

  * live-build/ubuntu-touch/includes.chroot/etc/lightdm/
    lightdm.conf.d/90-phablet.conf:
    - Don't have Touch greeters show a guest session. Touch isn't ready
      for non-phablet users yet nor a multi-user greeter.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 10 Aug 2016 11:06:32 -0400

livecd-rootfs (2.421) yakkety; urgency=medium

  [ Louis Zuckerman ]
  * Fixes for vagrant box builder in ubuntu-cpc LP: #1565985
    - Install virtualbox-guest-utils
    - Don't disable default synced folder
    - Don't set vm name
    - Add cloud-init config to manage /etc/hosts LP: #1561250

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 21 Jul 2016 09:14:50 -0700

livecd-rootfs (2.420) yakkety; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Remove the ubuntu-pd project from the scripts
  * Add instead an ubuntu-touch-custom project for custom re-builds of
    ubuntu-touch

  [ Oliver Grawert ]
  * sanitize the version number of the ubuntu-core snap
  * sanitize the version number of the kernel snap

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 19 Jul 2016 13:59:16 +0200

livecd-rootfs (2.419) yakkety; urgency=medium

  [ Daniel Watkins ]
  * Consolidate cloud images
    - Remove .tar.gz and .tar.xz (removed in favour of the squashfs).
    - Remove the MBR-only disk image in favour of the shared GPT/MBR UEFI
      image.
    - Remove '-disk1' from bootable image names.

  [ Phil Roche ]
  * Removed HWCLOCKACCESS=no from /etc/default/rcS (LP: #1581044)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jun 2016 16:21:08 -0700

livecd-rootfs (2.418) yakkety; urgency=medium

  * Ubuntu-MATE now does follow Recommends; adjust the configuration for it
    to not pass --no-install-recommends.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 22 Jun 2016 13:42:37 -0400

livecd-rootfs (2.417) yakkety; urgency=medium

  * Swap order of security and updates in dvd sources.list.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 13 Jun 2016 05:11:00 -0600

livecd-rootfs (2.416) yakkety; urgency=medium

  * Fix security mirror sources.list entries for non-x86 architectures.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 13 Jun 2016 02:20:02 -0600

livecd-rootfs (2.415) yakkety; urgency=medium

  [ Michael Vogt ]
  * add var/lib/snapd/classic in ubuntu-core

  [ Daniel Watkins ]
  * Don't overwrite the default sources.list in cloud images.
  * Replace sources.list generated using COMPONENTS with the sources.list from
    an Ubuntu Server installation (i.e. with all components enabled, and all
    deb-src lines commented).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jun 2016 12:59:38 -0700

livecd-rootfs (2.414) yakkety; urgency=medium

  * Update post-debootstrap hashes for ubuntu-touch.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 07 Jun 2016 11:18:54 +0200

livecd-rootfs (2.413) yakkety; urgency=medium

  * name switch from ubuntu-core to just core was postponed ... temporarily
    revert this bit til we have the necessary snapd bits in place.

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 30 May 2016 17:43:40 +0200

livecd-rootfs (2.412) yakkety; urgency=medium

  * rename the ubuntu-core snap to simply be "core", update the package
    summary too

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 27 May 2016 10:45:38 +0200

livecd-rootfs (2.411) yakkety; urgency=medium

  [ Michael Vogt ]
  * update kernel snap building to match the new kernel policy
  * system-image: add /usr/local/bin/xdg-open dbus helper

  [ Oliver Grawert ]
  * add u-boot-tools to all snappy arches
  * drop flash-kernel from snappy, it is useless there
  * create /boot/uboot dir on all arches and configure /etc/fw_env.config
    everywhere
  * adjust motd message on snappy (capitalize "Snappy Ubuntu Core" and replace
    the "snappy --help" with "snap --help"

  [ Adam Conrad ]
  * Stop explicitly removing systemd-sysv for touch.
  * Move touch resolution hints to a HINTS variable, and adjust for use
    on dual-stack gl/gles arches where things don't quite work right.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 May 2016 21:05:28 -0600

livecd-rootfs (2.410) yakkety; urgency=medium

  * Rename old ubuntu-core tarballs to ubuntu-base to avoid confusion.
  * Drop special-casing of ubuntu-core:system-image in places, now that
    ubuntu-core unambiguously refers to the snappy Ubuntu Core image.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 May 2016 16:32:58 -0700

livecd-rootfs (2.409) yakkety; urgency=medium

  [ Michael Vogt ]
  * add meta/kernel.yaml to the kernel snaps

  [ Łukasz 'sil2100' Zemczak ]
  * Add the new dhcpd user introduced by latest archive changes.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 04 May 2016 12:49:23 +0200

livecd-rootfs (2.408) xenial; urgency=medium

  * drop linux-firmware-raspi2, it does not actually contain driver
    firmware but bootloaders (and fails to install if its target dir
    is missing).

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 21 Apr 2016 14:15:21 +0200

livecd-rootfs (2.407) xenial; urgency=medium

  [ Colin Watson ]
  * Add a basic build-time syntax check for live-build/auto/*.

  [ Oliver Grawert ]
  * add multiverse to sources.list for snappy kernel builds

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 21 Apr 2016 10:53:12 +0200

livecd-rootfs (2.406) xenial; urgency=medium

  * Fix syntax error.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 20 Apr 2016 21:13:23 +0100

livecd-rootfs (2.405) xenial; urgency=medium

  * move the snappy kernel builds to the correct linux-image-$arch and
    linux-firmware-$arch metapackages

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Apr 2016 19:34:11 +0200

livecd-rootfs (2.404) xenial; urgency=medium

  * Follow linux-firmware-raspi2 renaming in the archive for raspi2 images.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Apr 2016 10:49:02 -0600

livecd-rootfs (2.403) xenial; urgency=medium

  * Follow up on recent changes from the new network-manager packages and add
    the nm-openvpn user to touch. This should essentially fix the image build
    failures.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 18 Apr 2016 12:27:04 +0200

livecd-rootfs (2.402) xenial; urgency=medium

  * Update the passwd, shadow, group and gshadow bootstrap hashes for touch.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 15 Apr 2016 13:52:56 +0200

livecd-rootfs (2.401) xenial; urgency=medium

  * Re-enable systemd predictable network interface naming on cloud-images
  * Stop creating default configuration for eth0 (LP: #1563487)

 -- Daniel Watkins <daniel.watkins@canonical.com>  Thu, 14 Apr 2016 14:47:42 -0400

livecd-rootfs (2.400) xenial; urgency=medium

  * Transition from ubuntu-snappy to ubuntu-core-snapd-units and snapd.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 13 Apr 2016 22:57:39 -0600

livecd-rootfs (2.399) xenial; urgency=medium

  [ Oliver Grawert ]
  * live-build/ubuntu-core/hooks/25-create-generic-initrd.chroot:
    kill the snappy os build if the initramfs-tools-ubuntu-core package
    is not found
  * make s390x known to the snappy builds
  * skip kernel snap an device tarball builds for s390x and ppc64el
  * drop listing of the device tarballs, this was only for debugging

  [ Adam Conrad ]
  * live-build/ubuntu-cpc/hooks/032-disk-image.binary: Install s390-tools
    and sysconfig-hardware before we attempt to configure zipl.

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 10 Apr 2016 17:23:05 +0200

livecd-rootfs (2.398) xenial; urgency=medium

  * switch snappy package builds from "snappy build" to "snapcraft snap"
  (LP: #1557515)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 08 Apr 2016 16:45:48 +0200

livecd-rootfs (2.397) xenial; urgency=medium

  * live-build/ubuntu-core/hooks/25-create-generic-initrd.chroot:
    create a generic initrd inside the snappy os-snap so we do not need the
    hackish ubuntu-core-generic-initrd package anymore.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 07 Apr 2016 17:21:13 +0200

livecd-rootfs (2.396) xenial; urgency=medium

  [ Adam Conrad ]
  * Remove obsolete pvr-omap4 special-casing to simplify configs.

  [ Daniel Watkins ]
  * Enable building of powerpc cloud images.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 03 Apr 2016 02:39:50 -0600

livecd-rootfs (2.395) xenial; urgency=medium

  * create /etc/cloud/cloud.cfg.d/99-snappy-disable-network-config.cfg on
    snappy so we do not end up with broken network config after cloud-init
    ran (LP: #1563296).

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 01 Apr 2016 16:31:50 +0200

livecd-rootfs (2.394) xenial; urgency=medium

  [ Xavi Garcia ]
  * Adding a new hook to change the configuration file for upower.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 30 Mar 2016 16:20:20 +0200

livecd-rootfs (2.393) xenial; urgency=medium

  * actually make the /etc/mtab link relative (LP: #1547033)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 24 Mar 2016 13:27:01 +0100

livecd-rootfs (2.392) xenial; urgency=medium

  * move mtab link to point to /proc/self/mounts instead of /proc/mounts
    (LP: #1547033) in snappy builds

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 22 Mar 2016 13:16:59 +0100

livecd-rootfs (2.391) xenial; urgency=medium

  * adjust snap versions to only have one dash and use plus chars instead

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 21 Mar 2016 17:36:47 +0100

livecd-rootfs (2.390) xenial; urgency=medium

  * add link for wlan mac address in dragonboard kernel snaps
  * move dragonboard kernel snap to linux-snapdragon (with a currently hardcoded
    version due to missing -meta package for this kernel, don't do that at
    home !)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 16 Mar 2016 14:28:22 +0100

livecd-rootfs (2.389) xenial; urgency=medium

  * Follow rename of ubuntustudio-font-meta to ubuntustudio-fonts.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Mar 2016 10:45:40 +0000

livecd-rootfs (2.388) xenial; urgency=medium

  * add support for dragonboard kernel snap
  * remove  grub-efi-arm64 to the arm64 OS snap as it breaks uboot

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 15 Mar 2016 13:21:25 +0100

livecd-rootfs (2.387) xenial; urgency=medium

  * Move the new touch click apps (unav, dekko, calendar) to the custom
    tarball.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 15 Mar 2016 12:56:32 +0100

livecd-rootfs (2.386) xenial; urgency=medium

  [ Michael Vogt ]
  * add dpkg.list to assets of the kernel snap
  * add grub-efi-arm64 to the arm64 OS snap

  [ Adam Conrad ]
  * Build raspi2 images with multiverse for firmware.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 14 Mar 2016 10:31:55 -0600

livecd-rootfs (2.385) xenial; urgency=medium

  * add snap building for kernel snaps

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 09 Mar 2016 15:58:35 +0100

livecd-rootfs (2.384) xenial; urgency=medium

  * slightly adjust the naming of the OS snap for snappy builds so it becomes
    easier for cdimage to grab and publish it.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 08 Mar 2016 19:43:19 +0100

livecd-rootfs (2.383) xenial; urgency=medium

  * add snap cration for ubuntu-core snappy rootfs builds

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 08 Mar 2016 16:43:45 +0100

livecd-rootfs (2.382) xenial; urgency=medium

  * Remove the manta device from the list of touchsubarches as we're not
    building its kernel anymore.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 04 Mar 2016 09:47:31 +0100

livecd-rootfs (2.381) xenial; urgency=medium

  [ Ben Howard ]
  * live-build/ubuntu-cpc/hooks/042-vagrant.binary: scope serial device for
    Virtualbox only.

  [ Łukasz 'sil2100' Zemczak ]
  * Update the debootstrap group and gshadow hashes for ubuntu-touch.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 03 Mar 2016 10:07:26 +0100

livecd-rootfs (2.380) xenial; urgency=medium

  [ Ben Howard ]
  * live-build/ubuntu-cpc/hooks/042-vagrant.binary: add serial device for
    Vagrant images (LP: #1546108).

  [ Daniel Watkins ]
  * Refactor ubuntu-cpc hooks to hard-code producing an 'ext4' rootfs, which
    is used outside of the livecd-rootfs build process (specifically for EC2
    publication).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 22 Feb 2016 19:17:15 +0000

livecd-rootfs (2.379) xenial; urgency=medium

  * add /var/lib/systemd/rfkill to pre-created dirs to use as writable
    mountpoint for bind-mounts in snappy.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 18 Feb 2016 14:42:29 +0100

livecd-rootfs (2.378) xenial; urgency=medium

  * Add net.ifnames=0 to the raspi2 cmdline injected into raspi2 builds.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 17 Feb 2016 17:47:26 -0700

livecd-rootfs (2.377) xenial; urgency=medium

  * live-build/ubuntu-cpc/hooks/999-cpc-fixes.chroot: Add fake_cloud_init
    function to create a nocloud data source for cloud images that aren't
    meant to be used on real clouds and use it by default on armhf+raspi2

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 14 Feb 2016 03:12:37 -0700

livecd-rootfs (2.376) xenial; urgency=medium

  [ Michael Terry ]
  * Change real name for phablet user to "Ubuntu" in ubuntu-touch.

  [ Steve Langasek ]
  * Drop BuildLiveCD from the examples; we now use launchpad-buildd to drive
    livefs builds, so BuildLiveCD is obsolete and misleading.
  * Add hooks to ubuntu-cpc to divert /bin/sync in the chroot and undivert it
    at the end.  This is a general-purpose change that should be applied to
    all flavors and archs, but at the moment it's only needed on armhf+raspi2
    to work around the raspberrypi2-firmware postinst calling sync, which is
    actually warranted in the normal case.
  * If a subarch is specified for a cloud image build, don't build rootfs
    artifacts; these should come from the 'generic' build.
  * Fix architecture handling in hooks.  We know we're always being invoked
    from a launchpad-buildd-like setup, which passes ARCH and SUBARCH in the
    environment, because auto/config and auto/build both rely on this.  So
    don't scatter dpkg --print-architecture calls throughout, especially
    when many of these are not cross-build-aware.
  * Refactor ubuntu-cpc hooks to allow us to handle images where the root
    partition should not be partition 1.

  [ Ben Howard ]
  * ubuntu-cpc: fix hooks/032-disk-image.binary call to
    create_empty_partition, which requires five args due to "-u"
  * ubuntu-cpc: in hooks/030-root-tarball.binary create /lib/modules to fix
    (LP: 1543204).

  [ Dimitri John Ledkov ]
  * Do not remove linux-base, when purging all the linux-*, in the tarball
    build. Otherwise ubuntu-minimal is removed, and things get crazy.
  * Correct initrd.img symlink, kernel/hooks should actually produce the
    right thing here, but meh.
  * Chroot to execute zipl, because it's nice.
  * Use the right loop device to install zipl onto.

  [ Steve Langasek ]
  * Refactor ubuntu-cpc hooks to always produce a 'plain' rootfs via
    live-build and reuse this for the tarball, instead of lb_binary_rootfs
    creating some artifact that we ignore / throw away.
  * Initial support for raspi2 subarch.
  * Import live-build/ubuntu-cpc/hooks/raspi2/mkknlimg from
    https://github.com/raspberrypi/linux/blob/rpi-4.1.y/scripts/mkknlimg
    and use it to install a bootable uboot.bin.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Feb 2016 21:14:49 +0000

livecd-rootfs (2.375) xenial; urgency=medium

  [ Steve Langasek ]
  * Refactor some non-idiomatic architecture handling in
    live-build/ubuntu-cpc/hooks/999-cpc-fixes.chroot that also misidentifies
    the architecture name for armhf.

  [ Ben Howard ]
  * ubuntu-cpc: add missing net.ifnames=0 for ppc64el disk images.

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 04 Feb 2016 17:15:58 +0100

livecd-rootfs (2.374) xenial; urgency=medium

  [ Michael Vogt ]
  * ubuntu-core:
    - include the dpkg.list in the device tarball
    - store /usr/share/snappy/dpkg.list manifest on the OS tarball

  [ Dimitri John Ledkov ]
  * ubuntu-cpc:
    - exclude s390x from should_install_grub

  [ Steve Langasek ]
  * Refactor/reorder ubuntu-cpc support for consistency with other flavors,
    so that subarch overrides can be applied correctly.

  [ Ben Howard ]
  * ubuntu-cpc:
    - fixed loop setup due to change of kpartx output
    - only use grub-install logic for Intel architectures

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 02 Feb 2016 10:18:14 -0700

livecd-rootfs (2.373) xenial; urgency=medium

  * Set timeout options so ppc64el cloud images don't display a grub boot
    menu (matching the behaviour of other cloud images).
  * Specify a regex to run-parts so that cloud image extra scripts are found
    and executed.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Thu, 28 Jan 2016 11:51:23 +0000

livecd-rootfs (2.372) xenial; urgency=medium

  * Install grub in ppc64el cloud images so they are bootable (LP: #1538610)

 -- Daniel Watkins <daniel.watkins@canonical.com>  Wed, 27 Jan 2016 16:32:58 +0000

livecd-rootfs (2.371) xenial; urgency=medium

  * Remove unneeded packages from the root.tar.{gz,xz} cloud image targets
    (LP: #1534764).

 -- utlemming Howard <utlemming.howard@ubuntu.com>  Tue, 19 Jan 2016 12:48:32 +0000

livecd-rootfs (2.370) xenial; urgency=medium

  * Produce OVA files for i386 cloud builds.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Wed, 13 Jan 2016 11:51:51 +0000

livecd-rootfs (2.369) xenial; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Fix the invalid path for the error message in 00-uid-gid-fix.chroot_early
    for ubuntu-touch.

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/11-remove-extra-packages.chroot:
    - remove libicu52 hook

  [ Daniel Watkins ]
  * Enable building of s390x cloud images.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Jan 2016 10:29:43 +0000

livecd-rootfs (2.368) xenial; urgency=medium

  * Fix earlier mistake of changing the wrong hashes.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 14 Dec 2015 10:01:58 +0100

livecd-rootfs (2.367) xenial; urgency=medium

  * Update the passwd/shadow db hashes on ubuntu-touch builds

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 14 Dec 2015 09:47:01 +0100

livecd-rootfs (2.366) xenial; urgency=medium

  * also add the new apt user to /etc/passwd in snappy

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 11 Dec 2015 17:34:44 +0100

livecd-rootfs (2.365) xenial; urgency=medium

  * update /etc/shadow on snappy for new apt user

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 11 Dec 2015 12:05:39 +0100

livecd-rootfs (2.364) xenial; urgency=medium

  * ubunut-cpc:
    - extendend hooks/functions to support creation of derivative images
      including mounting images.
    - added the ability to create qcow2 images in hooks/functions
    - simplified loop clean-up in hooks/functions
    - removed assumption that disk1.img would be built
    - switched qcow2 generation to use hooks/functions function

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 10 Dec 2015 09:10:35 -0700

livecd-rootfs (2.363) xenial; urgency=medium

  * configure /etc/fw_env.config for all arm arches on snappy

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 10 Dec 2015 15:04:41 +0100

livecd-rootfs (2.362) xenial; urgency=medium

  * make sure u-boot-tools is installed on snappy arm64

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 08 Dec 2015 16:47:21 +0100

livecd-rootfs (2.361) xenial; urgency=medium

  * live-build/ubuntu-core/hooks/01-setup_user.chroot:
    make sure the default group is still created when adding the default user
    to adm and sudo groups.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 08 Dec 2015 16:36:34 +0100

livecd-rootfs (2.360) xenial; urgency=medium

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/01-setup_user.chroot:
    - add default ubuntu user to "adm" and "sudo" groups

  [ Łukasz 'sil2100' Zemczak ]
  * Fix the previous apt list removal hook. This hook needs to
    be .binary as otherwise we're still left with apt lists when
    the image is published.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Dec 2015 11:03:35 +0100

livecd-rootfs (2.359) xenial; urgency=medium

  * ubuntu-cpc:
    - add devpts-live to hook builds
    - add logic to settle the disks after UEFI builds

 -- Ben Howard <ben.howard@ubuntu.com>  Mon, 23 Nov 2015 09:34:57 -0700

livecd-rootfs (2.358) xenial; urgency=medium

  * Fix typo in ubuntu-cpc preventing non-intel builds.

 -- Ben Howard <ben.howard@ubuntu.com>  Tue, 17 Nov 2015 08:36:32 -0700

livecd-rootfs (2.357) xenial; urgency=medium

  * merge lp:~utlemming/livecd-rootfs/additional-cloud-targets:
  * added additional CPC build targets:
    - added manifest generation for squashfs and root.tar.gz
    - added VMDK generation
    - added OVA generation from VMDK's
    - added generic Vagrant image generation

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 16 Nov 2015 15:50:17 +0100

livecd-rootfs (2.356) xenial; urgency=medium

  * merge lp:~sil2100/livecd-rootfs/update_hashes to update the passwd db
    hashes on ubuntu-touch builds (LP: #1516526)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 16 Nov 2015 15:44:48 +0100

livecd-rootfs (2.355) xenial; urgency=medium

  * fix input group in snappy

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 13 Nov 2015 12:52:34 +0100

livecd-rootfs (2.354) xenial; urgency=medium

  * do not ship assets/dtbs/overlays in raspi2 tarball, it breaks
    ubuntu-device-flash

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 13 Nov 2015 10:53:13 +0100

livecd-rootfs (2.353) xenial; urgency=medium

  * drop input group from snappy images, adjust md5 sums in
    live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early
  * completely separate the snappy device tarball creation from the snappy
    rootfs so one doesnt taint the other (which allows dropping a lot more from
    the rootfs we do not need in a snappy system, like initramfs creation
    tools and all its dependencies).
  * drop live-build/ubuntu-core/hooks/500-move-kernel-to-device-tar.binary
  * enable automated build of raspi2 device tarballs for snappy

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 09 Nov 2015 12:53:24 +0100

livecd-rootfs (2.352) xenial; urgency=medium

  * Move building of all architecture-specific CPC artifacts into Launchpad
    (LP: #1513754).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Fri, 06 Nov 2015 09:55:33 +0000

livecd-rootfs (2.351) xenial; urgency=medium

  * live-build/ubuntu-core/hooks/21-snappy-security-policy-stamp.chroot:
    - create a /usr/share/snappy/security-policy-version so that
      snappy can re-generate the security profiles if any of the versions
      of apparmor or ubuntu-core-security-* changes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 04 Nov 2015 08:45:49 +0100

livecd-rootfs (2.350) xenial; urgency=medium

  [ Oliver Grawert ]
  * bump UID for tss user in snappy, else it matches dnsmasq and bad things
    happen
  * fix handling of writable files in /etc/default for snappy

  [ Ben Howard ]
  * Cloud Images: disable new NIC naming convention (LP: #1510345).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Oct 2015 14:25:28 +0000

livecd-rootfs (2.349) wily; urgency=medium

  * do not hardcode installation of grub-pc for amd64 in snappy images,
    instead install the right grub set for secureboot there

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 09 Oct 2015 17:47:03 +0200

livecd-rootfs (2.348) wily; urgency=medium

  * limit grub-install diversion on snappy images to x86 architectures

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 09 Oct 2015 12:52:57 +0200

livecd-rootfs (2.347) wily; urgency=medium

  * divert grub-install on snappy images during rootfs build

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 09 Oct 2015 12:44:04 +0200

livecd-rootfs (2.346) wily; urgency=medium

  * merge lp:~sil2100/livecd-rootfs/remove_apt_lists to drop cruft from
    /var/lib/apt/lists on phone images

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 30 Sep 2015 15:23:02 +0200

livecd-rootfs (2.345) wily; urgency=medium

  [ Łukasz Zemczak ]
  * lp:~sil2100/livecd-rootfs/pocket-desktop:
    - add support for pocket-desktop

  [ Oliver Grawert ]
  * add user/group fixes for snappy shipping tpm-tools

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Sep 2015 16:19:43 +0200

livecd-rootfs (2.344) wily; urgency=medium

  * Drop 'landscape-client' from Cloud Images (LP: #1497030).

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 17 Sep 2015 15:56:24 -0600

livecd-rootfs (2.343) wily; urgency=medium

  [ Oliver Grawert ]
  * add empty "extrausers" equivalents for subuid and subgid files, else
    adduser falls over in interactive mode when trying to write to them.

  [ Iain Lane ]
  * live-build/ubuntu-touch/hooks/03-etc-writable.chroot: Set up /etc/whoopsie
    too. (LP: #1437633)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 10 Sep 2015 12:22:57 +0100

livecd-rootfs (2.342) wily; urgency=medium

  * ubuntu-touch, ubuntu-desktop-next: drop systemd-journal-remote from group
    files, update md5sums in 00-uid-gid-fix.chroot_early

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 09 Sep 2015 13:20:10 +0200

livecd-rootfs (2.341) wily; urgency=medium

  * add ppp and watchdog packages to snappy

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 07 Sep 2015 18:32:15 +0200

livecd-rootfs (2.340) wily; urgency=medium

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/500-move-kernel-to-device-tar.binary:
    - cleanup further after moving the kernel out of the rootfs
      (LP: #1468469)

  [ Oliver Grawert ]
  * systemd-journal-remote was dropped from /etc/group and /etc/gshadow,
    update the files and md5sums in the passwd checks of ubuntu-core

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 03 Sep 2015 14:20:39 +0200

livecd-rootfs (2.339) wily; urgency=medium

  * revert the apparmor-super-noise change, issue is found
  * touch the cache files during build to prevent timestamp issues in the future
  * drop copying of zip files of the android package, we do not generate these
    anymore.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 12 Aug 2015 12:17:51 +0200

livecd-rootfs (2.338) wily; urgency=medium

  [ Łukasz Zemczak ]
  * merge lp:~sil2100/livecd-rootfs/deb-src_for_extra_ppas,
  In case of extra PPAs also include the deb-src entry in the sources list.
  (LP: #1482703)
  [ Oliver Grawert ]
  * add the apparmor-super-noise change to get extra detailed info about all
  apparmor operations in the ubuntu-touch build logs

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 11 Aug 2015 18:18:58 +0200

livecd-rootfs (2.336) wily; urgency=medium

  * make apparmor precompilation more verbose, list the dir contents of
    /custom/cache/apparmor to see in the build log what has been created.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 11 Aug 2015 11:29:01 +0200

livecd-rootfs (2.335) wily; urgency=medium

  * Attempt to build Ubuntu image using metapackages instead of tasks; this
    is necessary in order to build a test image out of wily-proposed for the
    g++5 transition, but may be reverted later if this doesn't turn out to
    be maintainable.  (Code taken from the trusty HWE LTS branch of
    livecd-rootfs.)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 09 Aug 2015 22:54:24 -0700

livecd-rootfs (2.334) wily; urgency=medium

  * add dnsmasq user to snappy builds, needed by ubuntu-fan

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 28 Jul 2015 10:48:13 +0200

livecd-rootfs (2.333) wily; urgency=medium

  * lp:~mvo/livecd-rootfs/snappy-add-fw_env.config:
    - add /etc/fw_env.config that points to
      /boot/uboot/fw_env.config to make fw_{set,print}env work

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Jul 2015 17:46:09 +0200

livecd-rootfs (2.332) wily; urgency=medium

  * Get previous ubuntu-core changes on desktop-next

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Jul 2015 18:19:41 +0200

livecd-rootfs (2.331) wily; urgency=medium

  * merge lp:~sergiusens/livecd-rootfs/eth0Not to not hardcode eth0 anymore on
    snappy.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 09 Jul 2015 16:41:53 +0200

livecd-rootfs (2.330) wily; urgency=medium

  * fix another quoting issue in snappy

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 09 Jul 2015 12:11:55 +0200

livecd-rootfs (2.329) wily; urgency=medium

  [ Łukasz Zemczak ]
  * Split out the youtube scope to the custom tarball since some images
    can't have it pre-installed (e.g. arale China images).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jul 2015 15:08:15 -0700

livecd-rootfs (2.328) wily; urgency=medium

  * fix quoting issue with the last change ...

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 08 Jul 2015 22:51:04 +0200

livecd-rootfs (2.327) wily; urgency=medium

  * merge lp:~sergiusens/livecd-rootfs/snappyDevicePart for using versioned
    kernel and initrd binaries in snappy

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 08 Jul 2015 17:46:36 +0200

livecd-rootfs (2.326) wily; urgency=medium

  * snappy: install libc6:i386 on amd64 images for multiarch support out of
    the box. (LP: #1444049)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 07 Jul 2015 11:49:46 +0200

livecd-rootfs (2.325) wily; urgency=medium

  * live-build/ubuntu-touch/includes.chroot/etc/lightdm/lightdm.conf.d/
    90-phablet.conf:
    - don't use deprecated "[SeatDefault]" syntax
  * live-build/ubuntu-desktop-next/includes.chroot/usr/share/lightdm/
    lightdm.conf.d/90-desktop-next-autologin.conf:
    - let desktop-next autolog to the ubuntu user session

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 Jul 2015 11:39:41 +0200

livecd-rootfs (2.324) wily; urgency=medium

  * Revert unwanted change included in the previous upload

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Jul 2015 16:04:16 +0200

livecd-rootfs (2.323) wily; urgency=medium

  * live-build/ubuntu-desktop-next/hooks/11-remove-extra-packages.chroot:
    - remove click from desktop-next

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Jul 2015 15:53:43 +0200

livecd-rootfs (2.322) wily; urgency=medium

  * live-build/ubuntu-desktop-next/hooks/00-uid-gid-fix.chroot_early:
    - updated for the previous group changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 01 Jul 2015 10:09:43 +0200

livecd-rootfs (2.320) wily; urgency=medium

  * Copied some touch tweaks (n-m config and user groups) to desktop-next

  [ Michael Vogt ]
  * snappy/desktop-next:
    - add snappypkg user and remove clickpkg user

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 30 Jun 2015 18:08:10 +0200

livecd-rootfs (2.319) wily; urgency=medium

  * copy set locale hook from core to desktop-next

  [ Sergio Schvezov ]
  * removing debian packaging artifacts from the image

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Jun 2015 10:43:07 +0200

livecd-rootfs (2.318) wily; urgency=medium

  * merge lp:~sergiusens/livecd-rootfs/no-walinuxagent to remove all the
    hackery that was initially needed for azure snappy images, this got
    properly implemented now.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 25 Jun 2015 13:59:50 +0200

livecd-rootfs (2.317) wily; urgency=medium

  [ Sebastien Bacher ]
  * live-build/ubuntu-desktop-next/hooks/20-extra-files.chroot:
    - create other needed directories
  * live-build/ubuntu-desktop-next/includes.chroot:
    - copy ubuntu-core's include for /etc/hosts and resolv.conf config
  * live-build/ubuntu-desktop-next/hooks/00-uid-gid-fix.chroot_early:
    - copy touch hacks to create needed userdirs (lightdm & usermetrics),
      the users are added by the script and not the usual postinst so their
      uderdirs are not created as they should
  * live-build/ubuntu-desktop-next/hooks/10-remove-documentation.binary:
    - don't remove the copyright and manpages on desktop

  [ Oliver Grawert ]
  * allow install of "multi" click packages in 60-install-click.chroot on
    ubuntu-touch

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 19 Jun 2015 10:52:07 +0200

livecd-rootfs (2.316) wily; urgency=medium

  * live-build/ubuntu-desktop-next/hooks/20-extra-files.chroot:
    - create /writable otherwise the mounts job fail and block the boot

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Jun 2015 17:10:18 +0200

livecd-rootfs (2.315) wily; urgency=medium

  * live-build/ubuntu-core/hooks/500-move-kernel-to-device-tar.binary,
    live-build/ubuntu-desktop-next/hooks/500-move-kernel-to-device-tar.binary,:
    - deal with vmlinuz .signed when copying kernels

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Jun 2015 17:53:01 +0200

livecd-rootfs (2.314) wily; urgency=medium

  [ Iain Lane ]
  * Small whitespace cleanup in live-build/auto/config

  [ Sebastien Bacher ]
  * Set kernel flavours variable to try to fix amd64 build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Jun 2015 15:10:03 +0200

livecd-rootfs (2.313) wily; urgency=medium

  * Revert symlink changes, that creates build issues, copy updated hook
    to the desktop-next directory instead

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Jun 2015 11:26:04 +0200

livecd-rootfs (2.312) wily; urgency=low

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/500-move-kernel-to-device-tar.binary:
    - ignore /vmlinu?, /initrd.img symlinks when building the boot assets

  [ Sebastien Bacher ]
  * Symlink some desktop-next hooks to ubuntu-core to avoid duplication

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Jun 2015 17:56:23 +0200

livecd-rootfs (2.311) wily; urgency=medium

  * Updates users and groups for desktop next

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Jun 2015 15:32:17 +0200

livecd-rootfs (2.310) wily; urgency=medium

  * Don't add a docker group to desktop next

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Jun 2015 09:49:23 +0200

livecd-rootfs (2.309) wily; urgency=medium

  * Updated user/groups config for the desktop-next

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 05 Jun 2015 18:31:52 +0200

livecd-rootfs (2.308) wily; urgency=medium

  * Copy desktop-next hooks in the configuration

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 05 Jun 2015 15:06:07 +0200

livecd-rootfs (2.307) wily; urgency=medium

  * Remove duplicated code leftover in the previous desktop-next changeset

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 05 Jun 2015 10:55:39 +0200

livecd-rootfs (2.306) wily; urgency=medium

  * Create hooks and image build config for the ubuntu-desktop-next
    new based on snappy image.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 29 May 2015 11:51:22 +0200

livecd-rootfs (2.305) wily; urgency=medium

  * also add /lib/firmware to the dirs we pre-create on touch and core.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 28 May 2015 13:18:43 +0200

livecd-rootfs (2.304) wily; urgency=medium

  * -touch/-core create /etc/mtab link, /lib/modules dir and the respective
    writable mountpoints (/userdata for touch, /writable for core) so we do
    not need to re-pack the rootfs on the system-image server to add them.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 28 May 2015 12:17:32 +0200

livecd-rootfs (2.303) wily; urgency=medium

  * drop grouper from touchsubarches variable. the android package does not
    provide any grouper images anymore which makes touch image builds fail.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 26 May 2015 14:12:09 +0200

livecd-rootfs (2.302) wily; urgency=medium

  * Call Setup_cleanup in live-build/auto/build to set exit handler.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 25 May 2015 23:09:42 -0600

livecd-rootfs (2.301) wily; urgency=low

  [ Michael Vogt ]
  * create /boot/uboot on armhf to ensure that its in the system
    tarball and still on the system if ubuntu-core-upgrader
    performs a "format" (LP: #1447652)
  * live-build/ubuntu-core/hooks/500-move-kernel-to-device-tar.binary:
    - fix typo in hardware.yaml
  * live-build/auto/config:
    - add grub-efi-ia32-bin for i386 for efi support

  [ Adam Conrad ]
  * live-build/auto/config: Handle applying priorities to EXTRA_PPAS
    via the extra_ppa="user/ppaname:priority" syntax (LP: #1450257)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 06 May 2015 18:23:17 -0600

livecd-rootfs (2.300) vivid; urgency=medium

  * live-build/ubuntu-core/hooks/11-remove-extra-packages.chroot: revert
    removal of python from the rootfs temporarily, since we've manually
    re-added it to the seed in order to make walinuxagent work again on the
    azure image.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Apr 2015 16:03:42 -0700

livecd-rootfs (2.299) vivid; urgency=medium

  * Fix snappy motd to not reference 'development', which isn't always true.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Apr 2015 13:29:03 -0600

livecd-rootfs (2.298) vivid; urgency=low

  * live-build/auto/config:
    - remove resolvconf, click-apparmor, dosfstools
    - shuffle install order around
  * snappy:
    + remove click-hook-framework
    + remove /etc/init.d/grub-common

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Apr 2015 09:37:34 -0500

livecd-rootfs (2.297) vivid; urgency=low

  * fix device.tar.gz generation for snappy
  * lp:~ubuntu-on-ec2/livecd-rootfs/cpc2:
    - build cloud based images using livecd-rootfs

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Apr 2015 14:54:23 +0200

livecd-rootfs (2.296) vivid; urgency=low

  * ubuntu-core:
    - update passwd/group etc for new syslog user
    - remove live-build/ubuntu-core/hooks/15-pycompile-snappy.chroot
    - merged lp:~snappy-dev/livecd-rootfs/core_update
      to generate device tar conform hardware.yaml
    - add compability handling for current u-d-f/grub when extracting
      the device tarball

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 30 Mar 2015 20:40:25 +0200

livecd-rootfs (2.295) vivid; urgency=medium

  * forcefully add ubuntu-system-settings-online-accounts to ubuntu-touch
    builds to make sure the dependency is fulfilled in advance

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Mar 2015 10:26:40 +0100

livecd-rootfs (2.294) vivid; urgency=medium

  * add more verbosity to the copy command for android fragments in
    ubuntu-touch

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 13 Mar 2015 11:10:33 +0100

livecd-rootfs (2.293) vivid; urgency=low

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/11-remove-extra-packages.chroot:
    - remove libpython2.7 and friends as welll

  [ Oliver Grawert ]
  * remove all .override files in teh build chroot, else teh buildd machines
    fall over.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 10 Mar 2015 16:21:36 +0100

livecd-rootfs (2.292) vivid; urgency=low

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/11-remove-extra-packages.chroot:
    - python2 is no longer required on a snappy system
  * live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early:
    - updated md5sums as the ordering of users/groups has changed with
      the new systemd-sysv

  [ Oliver Grawert ]
  * live-build/ubuntu-touch/hooks/00-uid-gid-fix.chroot_early:
    bump all md5sums to new values, now that debootstrap installs systemd-sysv
    instead of upstart the ordering and thus the group numbering has changed

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 10 Mar 2015 12:07:16 +0100

livecd-rootfs (2.291) vivid; urgency=low

  [ Michael Vogt ]
  * do not leave some packages in ^rc state on snappy/ubuntu-core
    (LP: #1428115). Thanks to Daniel Holbach

  [ Oliver Grawert ]
  * put FLASH_KERNEL_SKIP=true into /etc/environment on phones, this will
    prevent the systems from trying to flash an updated initrd automatically
    in case you call update-initramfs or install your own kernel package on a
    nexus device where this is supported, please call flash-kernel manually
    after unsetting the variable in your work environment.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 06 Mar 2015 21:14:11 +0100

livecd-rootfs (2.290) vivid; urgency=medium

  * touch: Explicitly uninstall systemd-sysv, to help apt to install upstart
    when the preferred "init" alternative is systemd-sysv. Also explicitly
    install packagekit to help the problem resolver. Thanks Colin Watson!
    (LP: #1428026)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2015 12:04:22 +0100

livecd-rootfs (2.289) vivid; urgency=medium

  * add info about /var/log ownership so it ends up in the ubuntu-touch build
    logs

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 03 Mar 2015 15:10:07 +0100

livecd-rootfs (2.288) vivid; urgency=low

  [ Michael Vogt ]
  * add dosfstools on snappy to ensure systemd can fsck the /boot
    partition

  [ Ricardo Salveti de Araujo ]
  * touch: don't depend on mir-platform-graphics-android and let that to be
    handled by the seeds (they can't stop bumping the package name and the
    graphics-mesa package doesn't cause any harm)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 01 Mar 2015 01:27:11 -0300

livecd-rootfs (2.287) vivid; urgency=low

  [ Michael Vogt ]
  * add even more verbose output to
    live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early
    (thanks Oliver!)
  * live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early:
    - adjust the {group,gshadow}_bootstrap values. The audio group
      used to be gid 1005 after the bootstrap and is now 29.
  * live-build/auto/config:
    - add snappy-ubuntu

  [ Oliver Grawert ]
  * make sure /var/log is always owned by the syslog group on touch

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 18 Feb 2015 15:03:54 +0100

livecd-rootfs (2.286) vivid; urgency=medium

  * touch: forcing package mir-platform-graphics-android to see if we're able
    to remove the dependency on the mesa one (until mir is properly fixed)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 12 Feb 2015 03:05:31 -0200

livecd-rootfs (2.285) vivid; urgency=medium

  * touch: removing dependencies on a specific mir platform driver as mir can
    now identify and load the correct driver during runtime

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 11 Feb 2015 23:35:42 -0200

livecd-rootfs (2.284) vivid; urgency=medium

  * bump the gshadow hash in 00-uid-gid-fix.chroot_early too

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 11 Feb 2015 21:07:27 +0100

livecd-rootfs (2.283) vivid; urgency=low

  [ Michael Vogt ]
  * add more verbose output to
    live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early
    (thanks Oliver!)

  [ Oliver Grawert ]
  * make sure to collect all output of all changed files in one go in
    00-uid-gid-fix.chroot_early, that way we only need to fix it once and have
    all info in the logs

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 11 Feb 2015 18:25:11 +0100

livecd-rootfs (2.282) vivid; urgency=medium

  * update the passwd hash for changed GID of syslog ... also add output of
    the respective md5sums to the error message for easier debugging

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 11 Feb 2015 16:46:18 +0100

livecd-rootfs (2.281) vivid; urgency=medium

  * add more verbose output to
    live-build/ubuntu-touch/hooks/00-uid-gid-fix.chroot_early

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 11 Feb 2015 15:11:51 +0100

livecd-rootfs (2.280) vivid; urgency=medium

  * live-build/ubuntu-core/hooks/02-add_user_to_groups.chroot: use commas
    instead of spaces.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 04 Feb 2015 18:03:08 +0100

livecd-rootfs (2.279) vivid; urgency=medium

  * Revert changes to post-debootstrap hashes for core.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 04 Feb 2015 16:32:09 +0100

livecd-rootfs (2.278) vivid; urgency=medium

  * Add live-build/ubuntu-core/hooks/99zz-check-uid-gid.chroot, copy of
    live-build/ubuntu-touch/hooks/99zz-check-uid-gid.chroot with just the
    error message changed. Currently, the passwd/group checks weren't run.
  * live-build/ubuntu-touch/hooks/00-uid-gid-fix.chroot_early: also add input
    group.
  * Core: drop live-build/ubuntu-core/hooks/12-add-docker-user.chroot and move
    docker user creation to
    live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early; add ubuntu user
    to docker group in
    live-build/ubuntu-core/hooks/02-add_user_to_groups.chroot. This fixes
    static uid/gid maps for docker user/group.
  * Update post-debootstrap hashes in
    live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 04 Feb 2015 14:28:37 +0100

livecd-rootfs (2.277) vivid; urgency=medium

  * live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early: add new "input"
    group to etc/group and etc/gshadow static maps.
  * live-build/ubuntu-core/includes.chroot/etc/resolv.conf: use relative
    symlink as suggested by lintian.
  * Bump Standards-Version to 3.9.6.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 04 Feb 2015 13:32:58 +0100

livecd-rootfs (2.276) vivid; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * live-build/auto/config: add config for Ubuntu MATE.

  [ Michael Vogt ]
  * use generic kernel for all ubuntu-core system-image
  * live-build/ubuntu-core/hooks/01-setup_user.chroot:
    - run chpasswd after user moved into /var/lib/extrausers
  * live-build/ubuntu-core/hooks/01-setup_user.chroot:
    - run with -e

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 28 Jan 2015 11:03:08 -0500

livecd-rootfs (2.275+ppa2) vivid; urgency=medium

  * live-build/ubuntu-core/hooks/04-configure_network.chroot: use
    'allow-hotplug' for the network config, not 'auto', to work around
    systemd behavior that causes 'auto' to delay the rest of the boot when
    DHCP is not available on the network.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Jan 2015 22:49:43 -0800

livecd-rootfs (2.275+ppa1) vivid; urgency=low

  * live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early:
    - port static uid/gid setup from ubuntu-touch
  * live-build/ubuntu-core/hooks/15-pycompile-snappy.chroot:
    - byte compile .pyc files for snappy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 07 Jan 2015 09:36:11 +0100

livecd-rootfs (2.275) vivid; urgency=low

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early:
    - port static uid/gid setup from ubuntu-touch

  [ Ricardo Salveti de Araujo ]
  * Bump the hardcoded libmirplatform driver version for ubuntu-touch

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 14 Jan 2015 13:31:43 -0200

livecd-rootfs (2.274) vivid; urgency=medium

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/400-create-apt-get-warning.binary:
    - improve apt-get output
  * live-build/auto/config:
    - add click-apparmor for system-image
  * live-build/ubuntu-core/hooks/400-create-apt-get-warning.binary:
    - fix incorrect "echo"
    - add missing wrappers for apt, apt-cache
    - fix message
  * live-build/ubuntu-core/hooks/14-set-motd.chroot:
    - update motd

  [ James Hunt ]
  * live-build/ubuntu-core/hooks/10-remove-documentation.binary:
    - compress remaining documentation to save further space.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Dec 2014 12:57:30 +0100

livecd-rootfs (2.273) vivid; urgency=low

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/14-set-motd.chroot:
    - set snappy specific motd
  * live-build/ubuntu-core/hooks/13-set-locale.chroot:
    - set default locale to C.UTF-8

  [ Oliver Grawert ]
  * add systemd-journal-remote group to touch builds

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 02 Dec 2014 10:20:28 +0100

livecd-rootfs (2.271) vivid; urgency=medium

  *  bump the hardcoded libmirplatform driver version for ubuntu-touch

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 27 Nov 2014 16:27:44 +0100

livecd-rootfs (2.270) vivid; urgency=medium

  * bump version of mir alternative in ubuntu-touch

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 27 Nov 2014 12:37:31 +0100

livecd-rootfs (2.269) vivid; urgency=low

  * live-build/auto/{build,config}:
    - create device-azure.tar.gz during the build that includes the
      packages for the azure cloud
  * live-build/ubuntu-core/hooks/400-create-apt-get-warning.binary:
    - display helpful message to use snappy when a user tries to use
      apt-get on a snappy system
  * live-build/ubuntu-core/hooks/500-move-kernel-to-device-tar.binary:
    - do the device-azure.tar.gz extraction here
  * live-build/ubuntu-core/hooks/12-add-docker-user.chroot:
    - ensure docker group is used

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 24 Nov 2014 08:38:15 +0100

livecd-rootfs (2.268) vivid; urgency=low

  * live-build/ubuntu-core/hooks/09-move-kernel-to-device-tar.binary:
    - build device tarball with system/ prefix
    - include /vmlinz, /initrd.img into device tarball
    - include /boot/abi-* /boot/System.map-*

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 Nov 2014 11:27:31 +0100

livecd-rootfs (2.267) vivid; urgency=low

  * live-build/auto/config:
    - system-image: do not install ubuntu-minimal
    - system-image: install KERNEL_FLAVOURS=virtual on i386/amd64
    - system-image: use "--linux-packages=linux-image"
    - add click-hook-framework
  * live-build/auto/build:
    - system-image: collect the deivce.tar.gz
  * live-build/ubuntu-core/hooks/09-move-kernel-to-device-tar.binary:
    - create a device.tar.gz from the installed kernel/modules and
      remove it from the rootfs
  * live-build/ubuntu-core/hooks/10-remove-documentation.binary:
    - strip documentation
  * live-build/ubuntu-core/hooks/11-remove-extra-packages.chroot:
    - remove extra packages like libicu52/libqt that are still on the
      image because vivid system-image has a dependency on u-d-m which
      depends on libqt
  * live-build/ubuntu-core/hooks/12-add-docker-user.chroot:
    - add a docker user/group into the image (this can go once we have
      a hook for this)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Nov 2014 13:06:19 +0100

livecd-rootfs (2.266) vivid; urgency=medium

  * Move the shorts click package to the custom tarball.  LP: #1386177.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Nov 2014 23:15:15 -0800

livecd-rootfs (2.265) vivid; urgency=low

  * live-build/ubuntu-core/hooks/03-boot_with_systemd.chroot:
    - only modify /etc/default/grub if the file exists

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Nov 2014 17:10:57 +0100

livecd-rootfs (2.264) vivid; urgency=low

  * live-build/auto/config:
    - also install flash-kernel/u-boot-tools in the armhf system-image,
      thanks to Adam Conrad

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Nov 2014 11:45:00 +0100

livecd-rootfs (2.263) vivid; urgency=medium

  * live-build/auto/config:
    - explicitly set KERNEL_FLAVOURS=generic to get the right kernel
      on armhf

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Nov 2014 11:30:02 +0100

livecd-rootfs (2.262) vivid; urgency=medium

  * fix typo in 99zz-check-uid-gid.chroot
  * add systemd users to group and passwd files on touch

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 29 Oct 2014 19:54:28 +0100

livecd-rootfs (2.261) vivid; urgency=medium

  * make diff not exit 1 if we show the diff for passwd, shadow, group etc

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 29 Oct 2014 16:44:25 +0100

livecd-rootfs (2.260) vivid; urgency=medium

  * properly redirect error output in 99zz-check-uid-gid.chroot so it ends up
    in the log files.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 29 Oct 2014 13:19:46 +0100

livecd-rootfs (2.259) vivid; urgency=medium

  * merge ubuntu-core system-image fixes from the PPA:
    - add ubuntu-core-libs
    - add packages not (yet) in the ubuntu-core seed
    - fix resolv.conf
    - make timezone, localtime and hostname writable for cloud-init

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 Oct 2014 11:05:29 +0100

livecd-rootfs (2.258) vivid; urgency=medium

  * collect changes to /etc/{passwd|shadow|group|gshadow} in the error output
    in case they got updated on ubuntu-touch. Give a proper hint what to
    change to make the error go away on the next run.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 29 Oct 2014 09:49:56 +0100

livecd-rootfs (2.257) utopic; urgency=medium

  * Drop the click packages moved in 2.255 from the rootfs, leaving them
    only in the custom tarball.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Oct 2014 21:07:38 +0100

livecd-rootfs (2.256) utopic; urgency=medium

  * Fix directory layout of custom tarball.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Oct 2014 17:12:23 +0100

livecd-rootfs (2.255) utopic; urgency=medium

  [ Steve Langasek ]
  * Add support to the ubuntu-touch target to generate a separate custom
    tarball as part of the build, moving most click packages into it.

  [ Colin Watson ]
  * Temporarily install the to-be-moved click packages in both core and
    custom databases, to simplify the landing process.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Oct 2014 00:12:08 +0100

livecd-rootfs (2.254) utopic; urgency=medium

  * force the right alternative when the libmir*-android packages are
    installed, so that accidentially pulled in -mesa versions will not provide
    the default alternatives for them in ubuntu-touch images

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 11 Oct 2014 13:09:49 +0200

livecd-rootfs (2.253) utopic; urgency=medium

  * Update hardcoded libmir*-android installations for Mir 0.8.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 11 Oct 2014 08:54:47 +0100

livecd-rootfs (2.252) utopic; urgency=low

  [ James Hunt ]
  * Convert resolvconf hook from a chroot hook to a binary hook since lb
    overwrites /etc/resolv.conf after the chroot hooks have run.  *

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Oct 2014 13:20:40 +0200

livecd-rootfs (2.251) utopic; urgency=low

  * create /etc/hosts for ubuntu-core:system-image

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Oct 2014 09:24:39 +0200

livecd-rootfs (2.250) utopic; urgency=low

  * build system-image without recommends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Oct 2014 11:44:09 +0200

livecd-rootfs (2.249) utopic; urgency=medium

  * live-build/ubuntu-core/hooks/06-handle_resolvconf.chroot: Remove
    pre-existing /etc/resolv.conf.

 -- James Hunt <james.hunt@ubuntu.com>  Mon, 06 Oct 2014 13:25:11 +0100

livecd-rootfs (2.248) utopic; urgency=medium

  * live-build/ubuntu-core/hooks/06-handle_resolvconf.chroot: Configure
    resolv.conf for Ubuntu Core.
  * live-build/ubuntu-core/hooks/07-configure-system-image-client.chroot:
    Configure system-image-cli's client.ini for Ubuntu Core. This can be
    dropped once bug 1373467 is fixed.

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 03 Oct 2014 15:23:47 +0100

livecd-rootfs (2.247) utopic; urgency=medium

  * live-build/ubuntu-touch/hooks/00-uid-gid-fix.chroot_early:
    Create some directories which would otherwise go missing due to our
    pre-created users. (LP: #1374553)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 26 Sep 2014 14:41:19 -0400

livecd-rootfs (2.246) utopic; urgency=medium

  * live-build/auto/config: Use ubuntukylin-live task for ubuntukylin, not
    ubuntu-live (LP: #1372731).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Sep 2014 10:59:55 +0100

livecd-rootfs (2.245) utopic; urgency=medium

  * Add two new hooks for Ubuntu Touch to setup sensible /etc/passwd,
    /etc/shadow, /etc/group and /etc/gshadow PRIOR to package installation
    to guarantee user/group ordering on the image and then to check for any
    unexpected change to those files. (LP: #1332538)

    Any change to either the initial set of users and groups or to the
    post-package-install set will now be fatal to the image and will require
    a manual update of the hardcoded user/group list contained in this new
    chroot_early hook.
  * Bump dependency on live-build accordingly.
  * Update the setup_user hook to also take care of gshadow.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 22 Sep 2014 16:02:58 -0400

livecd-rootfs (2.244) utopic; urgency=medium

  * Substitute DEB_HOST_MULTIARCH into hook scripts at build time, rather
    than relying on dpkg-architecture (which is in dpkg-dev) to be present
    in the image.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Sep 2014 16:07:41 +0100

livecd-rootfs (2.243) utopic; urgency=medium

  * Updating apparmor features file for Ubuntu Touch

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 22 Sep 2014 23:59:25 -0300

livecd-rootfs (2.242) utopic; urgency=medium

  * get-ppa-fingerprint: Adjust use of
    softwareproperties.ppa.get_ppa_info_from_lp to match the new calling
    convention in software-properties 0.93.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Sep 2014 11:11:41 +0100

livecd-rootfs (2.241) utopic; urgency=medium

  * live-build/auto/config: Use ubuntukylin-desktop task for ubuntukylin,
    not ubuntu-desktop.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Sep 2014 10:54:17 +0100

livecd-rootfs (2.240) utopic; urgency=medium

  * live-build/ubuntu-touch/hooks/01-setup_user.chroot:
    - Don't modify PAM files directly, we'll let ubuntu-touch-session
      do that for us the proper way.  (LP: #1348637)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 13 Aug 2014 16:37:17 -0400

livecd-rootfs (2.239) utopic; urgency=medium

  * Revert part of the last change to ship the systemd hook as .chroot
    and not .binary since it doesn't appear to be running properly as a
    binary hook.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 05 Aug 2014 13:37:57 -0400

livecd-rootfs (2.238) utopic; urgency=medium

  * ubuntu-core: Fix build failure due to missing /etc/default/grub and
    provide an fstab that will make systemd happy.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 05 Aug 2014 11:32:44 -0400

livecd-rootfs (2.237) utopic; urgency=medium

  * ubuntu-core: Add click-systemd to preinstalled image (currently only in
    a PPA, so can't use tasks for this).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Aug 2014 13:29:22 +0200

livecd-rootfs (2.236) utopic; urgency=medium

  [ James Hunt ]
  * ubuntu-core:
    - Perform in-place edit.
    - Allow variable expansion.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Aug 2014 10:52:55 +0200

livecd-rootfs (2.235) utopic; urgency=medium

  * Only add the ubuntu-core hooks for the system-image subproject.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Aug 2014 08:34:27 +0200

livecd-rootfs (2.234) utopic; urgency=medium

  [ James Hunt ]
  * ubuntu-core:
    - Don't remove doc to be kind to devs.
    - Boot with systemd (temporary method until we have systemd-sysv).
    - Configure first network interface.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Aug 2014 16:12:43 +0200

livecd-rootfs (2.233) utopic; urgency=medium

  [ Colin Watson ]
  * live-build/auto/config: Add configuration for new kubuntu-plasma5
    flavour.

  [ James Hunt ]
  * ubuntu-core: Run setup hooks as done for ubuntu-touch.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 Jul 2014 10:37:18 +0100

livecd-rootfs (2.232) utopic; urgency=medium

  [ James Hunt ]
  * live-build/auto/config: Enable universe for system-image ubuntu-core
    sub-project which requires 'system-image-cli'.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Jul 2014 17:56:04 +0100

livecd-rootfs (2.231) utopic; urgency=medium

  * Hard-code installation of libmirclientplatform-android and
    libmirplatformgraphics-android to avoid accidentally pulling in the
    -mesa variants that are preferred as dependencies of libmirclient and
    libmirserver.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 28 Jul 2014 20:17:14 -0700

livecd-rootfs (2.230) utopic; urgency=low

  * lp:~mvo/livecd-rootfs/ubuntu-core-system-image:
    - install the "ubuntu-core" task and a kernel when building
      ubuntu-core with SUBPROJECT=system-image

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Jul 2014 20:10:56 +0200

livecd-rootfs (2.229) utopic; urgency=medium

  [ Michael Terry ]
  * Don't set an arbitrary password for the phablet user. As we transition
    to using PAM as the storage medium for the user's password, we can't
    expect the user to know about the 'phablet' password.
  * And configure libnss-extrausers to store user password information
    instead of /etc/shadow.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Jul 2014 15:49:48 -0700

livecd-rootfs (2.228) utopic; urgency=medium

  * Pass --mirror-binary in the ubuntu-rtm case too; this isn't inherited
    from the bootstrap mirror.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Jul 2014 11:51:11 +0100

livecd-rootfs (2.227) utopic; urgency=medium

  * Pass --mirror-chroot-security and --mirror-binary-security in the
    ubuntu-rtm case, as the default of http://security.ubuntu.com/ubuntu/
    isn't going to have ubuntu-rtm suites.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Jul 2014 11:00:23 +0100

livecd-rootfs (2.226) utopic; urgency=medium

  * Disable apt authentication checks when building ubuntu-rtm images
    against dogfood (that test archive is signed, but not with a very useful
    key).
  * Apply a grievous hack to get debootstrap working against ubuntu-rtm
    series.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Jul 2014 01:50:21 +0100

livecd-rootfs (2.225) utopic; urgency=medium

  * Use the soon-to-exist ubuntu-rtm archive for ubuntu-touch builds if
    SUBPROJECT is ubuntu-rtm (or ubuntu-rtm/dogfood for the dogfood
    version).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Jul 2014 12:50:09 +0100

livecd-rootfs (2.224) utopic; urgency=medium

  * drop extra space in DEFGROUPS variable

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 16 Jul 2014 20:32:58 +0200

livecd-rootfs (2.223) utopic; urgency=medium

  * add android_cache group (GID 2001) so that after we switch developer mode
    to default to the phablet user it is still possible to adb push image
    tarballs to the /cache partition

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 16 Jul 2014 14:15:21 +0200

livecd-rootfs (2.222) utopic; urgency=medium

  * Precompiling apparmor policies on touch

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 15 Jul 2014 17:34:38 -0300

livecd-rootfs (2.221) utopic; urgency=medium

  * Adding android_nvram group to the touch image

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 30 Jun 2014 00:12:43 +0400

livecd-rootfs (2.220) utopic; urgency=medium

  [ Alfonso Sanchez-Beato (email Canonical) ]
  * Add media group to touch image

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 27 Jun 2014 16:31:02 +0200

livecd-rootfs (2.219) utopic; urgency=medium

  * Drop fdupes analysis: not widely used any more, can be done separately
    if needed, and very noisy in build logs.
  * Make the output kernel/initrd world-readable in a couple more cases,
    particularly relevant to ubuntu-defaults-image (LP: #1334616).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jun 2014 12:31:12 +0100

livecd-rootfs (2.218) utopic; urgency=medium

  * Install linux-signed-generic directly in live passes rather than relying
    on it being in the corresponding tasks.  linux-signed-generic shouldn't
    be in a task because that expands to ABI-versioned packages, and tasks
    can't be updated post-release.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jun 2014 02:18:36 +0100

livecd-rootfs (2.217) utopic; urgency=medium

  * drop swapfile creation for preinstalled images

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 23 Jun 2014 18:35:57 +0200

